<?php

class UCIDG_Shortcodes {

    private $sParentSlug  = "ucidg-main";
    private $sPageSlug    = "ucidg-shortcodes";
    private $sPageTitle   = "Shortcodes";
    private $sMenuTitle   = "Shortcodes";
    private $sCapability  = "manage_options";
    private $oAutoLoad    = null;
    private $oHelpers     = null;
    private $sPageLink    = null;
    private $sPageURL     = null;
    private $sAjaxPageURL = null;

    public function __construct($oAutoLoad, $oHelpers, &$aMenus) {
        $aMenus[] = $this->sPageSlug;

        $this->oAutoLoad = $oAutoLoad;
        $this->oHelpers  = $oHelpers;

        $this->sAjaxPageURL = $this->oHelpers->sMakeParams( admin_url( 'admin-ajax.php' ) );
    }

    public function MainPage() {
        $this->sPageURL = $this->oHelpers->sMakeParams( $this->oAutoLoad->GetMenuPageURL( $this->sPageSlug ) );

        require UCIDG_PLUGIN_DIR . 'resourses/view/shortcode.php';
    }

    public function SetMenu() {
        $this->sPageLink = $this->oAutoLoad->RegisterMenu( $this->sParentSlug, $this->sPageSlug, $this->sPageTitle, $this->sMenuTitle, $this->sCapability, array( $this, "MainPage" ) );
    }

}
