<?php

class UCIDG_Code
{
    public function __construct()
    {
    }

    public function GetCode($sUniqueCertificateCode, $bAll = false)
    {
        global $wpdb; // this is how you get access to the database

        $sCodeByCertificateCode = $sUniqueCertificateCode;
        $sCodeByEmailSearch = "";
        $sCodeByNameSearch = "";

        //  Get data from WordPress
        $this->oSetting = new UCIDG_Setting();
        $aData = $this->oSetting->GetSettings_SearchOptions();


        if ($aData['EmailSearch'] == "active") {
            $sCodeByEmailSearch = $sUniqueCertificateCode;
        }
        if ($aData['NameSearch'] == "active") {
            $sCodeByNameSearch = $sUniqueCertificateCode;
        }

        $sQuery = $wpdb->prepare(
            "
            SELECT
                U.display_name,
                U.user_email,
                UM1.meta_value AS first_name,
                UM2.meta_value AS last_name,
                CD.UserId,
                CD.UniqueCertificateCode,
                CD.CourseId,
                CD.CourseName,
                CD.LessonName,
                CD.QuizId,
                CD.QuizName,
                CD.CertificateName,
                CD.CertificateId,
                DATE_FORMAT(CD.CreatedOn,'%b %D, %Y') AS iCertificateDate,
                DATE_FORMAT(FROM_UNIXTIME(UM3.meta_value),'%b %D, %Y') AS CertificateDate
            FROM
                " . $wpdb->prefix . "uci_codes AS CD
            INNER JOIN
                " . $wpdb->users . " AS U
            ON
                U.ID = CD.UserId
            INNER JOIN
                " . $wpdb->usermeta . " AS UM1
            ON
                UM1.user_id = U.ID AND UM1.meta_key = 'first_name'
            INNER JOIN
                " . $wpdb->usermeta . " AS UM2
            ON
                UM2.user_id = U.ID AND UM2.meta_key = 'last_name'
            LEFT JOIN
                " . $wpdb->usermeta . " AS UM3
            ON
                UM3.user_id = U.ID AND UM3.meta_key = CONCAT('course_completed_', IF( CD.QuizId > 0, CD.QuizId , IF(CD.LessonId >0, CD.LessonId , CD.CourseId ) ))
            INNER JOIN
                " . $wpdb->posts . " AS P
            ON
                P.ID = IF( CD.QuizId > 0, CD.QuizId , IF(CD.LessonId >0, CD.LessonId , CD.CourseId ) )
            WHERE
                ( CD.UniqueCertificateCode = %s )
                OR ( U.user_email = %s )
                OR ( U.user_login = %s )
            ",
            $sCodeByCertificateCode,
            $sCodeByEmailSearch,
            $sCodeByNameSearch);

        // die($sQuery);


        if ($bAll) {
            $aCode = $wpdb->get_results(
                $sQuery
            );
        } else {
            // code...
            $aCode = $wpdb->get_row(
                $sQuery
            );
        }

        return $aCode;
    }

    public function CheckCode($sWhere)
    {
        global $wpdb; // this is how you get access to the database

        $aCode = $wpdb->get_row(
            "
            SELECT
                *
            FROM
                " . $wpdb->prefix . "uci_codes
            WHERE 1=1
        " . $sWhere
        );

        return $aCode;
    }

    public function GetCodes($sWhere = "", $sOutputType = "OBJECT", $sCodeURL = "")
    {
        global $wpdb; // this is how you get access to the database

//                IF('$sCodeURL' <> '', CONCAT('<a href=', CONCAT('".$sCodeURL."&code=', CD.UniqueCertificateCode), '>', CONCAT('".$sCodeURL."&code=', CD.UniqueCertificateCode), '</a>', '') AS UniqueCertificateCodeURL,


        $sQuery = "
            SELECT
                (@row_number := @row_number + 1) AS ID,
                CD.UserId,
                CD.UniqueCertificateCode,
                IF('$sCodeURL' <> '', CONCAT('".$sCodeURL."&code=', CD.UniqueCertificateCode), '') AS UniqueCertificateCodeURLi,
                IF('$sCodeURL' <> '', CONCAT('<a target=\"_blank\" href=\"',  '".$sCodeURL."&code=', CD.UniqueCertificateCode, '\">', '".$sCodeURL."&code=', CD.UniqueCertificateCode, '</a>'), '') AS UniqueCertificateCodeURL,
                U.display_name AS DisplayName,
                CONCAT( UM1.meta_value, ' ', UM2.meta_value) AS FullName,
                UM1.meta_value AS FirstName,
                UM2.meta_value AS LastName,
                U.user_email AS StudentEmail,
                CD.CourseName,
                CD.LessonName,
                CD.QuizName,
                CD.CertificateName,
                DATE_FORMAT(CD.CreatedOn,'%b %D, %Y') AS iCertificateDate,
                DATE_FORMAT(FROM_UNIXTIME(UM3.meta_value),'%b %D, %Y') AS CertificateDate
            FROM
                (SELECT @row_number:=0) AS t, " . $wpdb->prefix . "uci_codes AS CD
            INNER JOIN
                " . $wpdb->users . " AS U
            ON
                U.ID = CD.UserId
            INNER JOIN
                " . $wpdb->usermeta . " AS UM1
            ON
                UM1.user_id = U.ID AND UM1.meta_key = 'first_name'
            INNER JOIN
                " . $wpdb->usermeta . " AS UM2
            ON
                UM2.user_id = U.ID AND UM2.meta_key = 'last_name'
            LEFT JOIN
                " . $wpdb->usermeta . " AS UM3
            ON
                UM3.user_id = U.ID AND UM3.meta_key = CONCAT('course_completed_', IF( CD.QuizId > 0, CD.QuizId , IF(CD.LessonId >0, CD.LessonId , CD.CourseId ) ))

            INNER JOIN
                " . $wpdb->posts . " AS P
            ON
                P.ID = IF( CD.QuizId > 0, CD.QuizId , IF(CD.LessonId >0, CD.LessonId , CD.CourseId ) )


            WHERE 1=1 $sWhere
            ORDER BY CreatedOn
        ";

        // left join v1_posts vp
        // on vp.ID = if( CD.QuizId > 0, CD.QuizId , IF(CD.LessonId >0, CD.LessonId , CD.CourseId ) )


        // echo $sQuery;

        $aCodes = $wpdb->get_results($sQuery, $sOutputType);

        return $aCodes;
    }

    public function InsertCode($args)
    {
        global $wpdb; // this is how you get access to the database

        $result = $wpdb->insert(
            $wpdb->prefix . 'uci_codes',
            array(
            'UserId'                => $args[ 'UserId' ],
            'UniqueCode'            => $args[ 'UniqueCode' ],
            'UniqueCertificateCode' => $args[ 'UniqueCertificateCode' ],
            'CourseId'              => $args[ 'CourseId' ],
            'CourseName'            => $args[ 'CourseName' ],
            'LessonId'              => $args[ 'LessonId' ],
            'LessonName'            => $args[ 'LessonName' ],
            'QuizId'                => $args[ 'QuizId' ],
            'QuizName'              => $args[ 'QuizName' ],
            'CertificateId'         => $args[ 'CertificateId' ],
            'CertificateName'       => $args[ 'CertificateName' ],
            'CreatedOn'             => date("Y-m-d h:i:s")
                ),
            array(
            '%d', // value1
            '%s', // value2
            '%s', // value3
            '%d', // value4
            '%s', // value5
            '%d', // value6
            '%s', // value7
            '%d', // value8
            '%s', // value9
            '%d', // value10
            '%s', // value11
            '%s' // value12
                )
        );

        return $result;
    }

    public function DeleteCode($sCode)
    {
        global $wpdb;

        $iDeleted = $wpdb->delete(
            $wpdb->prefix . 'uci_codes',
            array('UniqueCertificateCode' => $sCode),
            array('%s')
        );

        return $iDeleted;
    }

    public function GenerateCourseCodes($aData, $oCodeSearch)
    {
        $_REQUEST[ 'quiz' ]   = "";
        $_REQUEST[ 'course_id' ] = $aData[ 'Course' ];

        $sSavingError = "";

        $aStudents = $aData[ 'StudentIDs' ] ? explode(",", $aData[ 'StudentIDs' ]) : array();

        if (count($aStudents) > 0) {
            foreach ($aStudents as $iStudentID) {
                $sCode = $oCodeSearch->CodeGenerator($iStudentID, $aData[ 'Certificate' ]);
            }
        }

        return array(
            "ID"    => 0,
            "Error" => $sSavingError
        );
    }

    public function GenerateQuizCodes($aData, $oCodeSearch)
    {
        $_REQUEST[ 'quiz' ]   = $aData[ 'Quiz' ];

        $sSavingError = "";

        $aStudents = $aData[ 'StudentIDs' ] ? explode(",", $aData[ 'StudentIDs' ]) : array();

        if (count($aStudents) > 0) {
            foreach ($aStudents as $iStudentID) {
                $sCode = $oCodeSearch->CodeGenerator($iStudentID, $aData[ 'Certificate' ]);
            }
        }

        return array(
            "ID"    => 0,
            "Error" => $sSavingError
        );
    }
}
