<?php

class UCIDG_Setting
{
    public function __construct()
    {
    }

    public function GetSettings()
    {
        $sSearchURL = trim(get_option("UCIDG_SearchURL"));
        $sNameSearch = trim(get_option("UCIDG_NameSearch"));
        $sEmailSearch = trim(get_option("UCIDG_EmailSearch"));
        $aVerficationPageFields = (get_option("UCIDG_VerficationPageFields"));

        if (trim($sNameSearch) == "") {
            $sNameSearch = "active";
        }
        if (trim($sEmailSearch) == "") {
            $sEmailSearch = "active";
        }

        return array(
            "SearchURL" => $sSearchURL,
            "VerficationPageFields" => $aVerficationPageFields,
            "NameSearch" => $sNameSearch,
            "EmailSearch" => $sEmailSearch,
        );
    }

    public function GetSettings_SearchURL()
    {
        $sSearchURL = trim(get_option("UCIDG_SearchURL"));

        return array(
            "SearchURL" => $sSearchURL,
        );
    }

    public function SaveSettings_SearchURL($aData)
    {
        update_option("UCIDG_SearchURL", $aData['SearchURL']);

        return array("Error" => "" );
    }

    public function GetSettings_SearchOptions()
    {
        $sNameSearch = trim(get_option("UCIDG_NameSearch"));
        $sEmailSearch = trim(get_option("UCIDG_EmailSearch"));

        if (trim($sNameSearch) == "") {
            $sNameSearch = "active";
        }
        if (trim($sEmailSearch) == "") {
            $sEmailSearch = "active";
        }

        return array(
            "NameSearch" => $sNameSearch,
            "EmailSearch" => $sEmailSearch,
        );
    }

    public function SaveSettings_SearchOptions($aData)
    {
        update_option("UCIDG_NameSearch", $aData['NameSearch']);
        update_option("UCIDG_EmailSearch", $aData['EmailSearch']);

        return array("Error" => "" );
    }

    public function GetSettings_VerficationPageFields()
    {
        $aVerficationPageFields = (get_option("UCIDG_VerficationPageFields"));

        return array(
            "VerficationPageFields" => $aVerficationPageFields,
        );
    }

    public function SaveSettings_VerficationPageFields($aData)
    {
        // echo json_encode($aData['VerficationPageFields']);

        $bUpdate = update_option("UCIDG_VerficationPageFields", $aData['VerficationPageFields']);

        return array("Error" => "" );
    }

    public function GetSettings_FontColor()
    {
        $sFontSize = (get_option("UCIDG_FontSize"));
        $sColor = (get_option("UCIDG_Color"));

        return array(
            "FontSize" => $sFontSize,
            "Color" => $sColor,
        );
    }

    public function SaveSettings_FontColor($aData)
    {
        // echo json_encode($aData['VerficationPageFields']);

        $bUpdate = update_option("UCIDG_FontSize", $aData['FontSize']);
        $bUpdate = update_option("UCIDG_Color", $aData['Color']);

        return array("Error" => "" );
    }

    public function GetVerficationPageFields()
    {
        $aFields = $this->GetSettings_VerficationPageFields();

        if (isset($aFields['VerficationPageFields'])) {
            $aFields = $aFields['VerficationPageFields'];
        }


        /*
            • Name
            • Course/Quiz for which certificate was issued
            • Lesson
            • Date of certificate
            • Unique ID
            • Certificate print button
            • User photo ,if in the profile.
        */

        $aData['VerficationPageFields'] = array(
            "CertificateCode" => array(
                "name" => __("Certificate Code", UCIDG_TextDomain),
                "status" => "show",
                "field" => "UniqueCertificateCode",
                "ask" => true,
            ),
            "UserPhoto" => array(
                "name" => __("User Photo", UCIDG_TextDomain),
                "status" => "show",
                "field" => "user_email",
                "ask" => true,
            ),
            "FirstName" => array(
                "name" => __("First Name", UCIDG_TextDomain),
                "status" => "show",
                "field" => "first_name",
                "ask" => true,
            ),
            "LastName" => array(
                "name" => __("Last Name", UCIDG_TextDomain),
                "status" => "show",
                "field" => "last_name",
                "ask" => true,
            ),
            "CourseName" => array(
                "name" => __("Course Name", UCIDG_TextDomain),
                "status" => "show",
                "field" => "CourseName",
                "ask" => true,
            ),
            "LessonName" => array(
                "name" => __("Lesson Name", UCIDG_TextDomain),
                "status" => "show",
                "field" => "LessonName",
                "ask" => true,
            ),
            "QuizName" => array(
                "name" => __("Quiz Name", UCIDG_TextDomain),
                "status" => "show",
                "field" => "QuizName",
                "ask" => true,
            ),
            "CertificateName" => array(
                "name" => __("Certificate Name", UCIDG_TextDomain),
                "status" => "show",
                "field" => "CertificateName",
                "ask" => true,
            ),
            "DateOfCertificate" => array(
                "name" => __("Date Of Certificate", UCIDG_TextDomain),
                "status" => "show",
                "field" => "CertificateDate",
                "ask" => true,
            ),
            "CertificatePrintButton" => array(
                "name" => __("Certificate Print Button", UCIDG_TextDomain),
                "status" => "show",
                "field" => "",
                "ask" => true,
            )
        );

        foreach ($aData['VerficationPageFields'] as $sFieldName => $aDatum) {
            if (isset($aFields[$sFieldName])) {
                $aData['VerficationPageFields'][$sFieldName]['status'] = strtolower($aFields[$sFieldName]);
            }
        }

        return $aData;
    }
}
