<?php

class UCIDG_Helpers
{
    public function __contruct()
    {
    }

    public function bFindInString($sFind, $sString)
    {
        $bFound = false;
        if (strpos($sString, $sFind) !== false) {
            $bFound = true;
        }
        return $bFound;
    }

    public function sParamPost($sIndex, $bTrim = false)
    {
        $sValue = false;
        if (isset($_POST[ $sIndex ])) {
            $sValue = $_POST[ $sIndex ];
            if ($bTrim) {
                $sValue = trim($sValue);
            }
        }
        return $sValue;
    }

    public function sParamGet($sIndex, $bTrim = false)
    {
        $sValue = false;
        if (isset($_GET[ $sIndex ])) {
            $sValue = $_GET[ $sIndex ];
            if ($bTrim) {
                $sValue = trim($sValue);
            }
        }
        return $sValue;
    }

    public function sParamRequest($sIndex, $bTrim = false)
    {
        $sValue = false;
        if (isset($_REQUEST[ $sIndex ])) {
            $sValue = $_REQUEST[ $sIndex ];
            if ($bTrim) {
                $sValue = trim($sValue);
            }
        }
        return $sValue;
    }

    public function sMakeParams($sURL)
    {
        if (! $this->bFindInString("?", $sURL)) {
            $sURL .= "?";
        }
        return $sURL;
    }

    public static function iGetMicrotime()
    {
        list($usec, $sec) = explode(" ", microtime());
        $value = (( float ) $usec + (( float ) $sec));
        $value *= 1000;
        $value = round($value);
        return $value;
    }

    public function sFileUploadFromURL($sURL)
    {
        $aUploadDir = wp_upload_dir();
        $sImageData = file_get_contents($sURL);
        $sFileName = basename($sURL);
        if (wp_mkdir_p($aUploadDir[ 'path' ])) {
            $sFile = $aUploadDir[ 'path' ] . '/' . $sFileName;
        } else {
            $sFile = $aUploadDir[ 'basedir' ] . '/' . $sFileName;
        }
        file_put_contents($sFile, $sImageData);
        return $sFile;
    }

    public function sFileUploadFromFILES($sFile)
    {
        if (! function_exists('wp_handle_upload')) {
            require_once(ABSPATH . 'wp-admin/includes/file.php');
        }

        $uploadedfile = $_FILES[ $sFile ];

        $upload_overrides = array(
                'test_form' => false
        );

        $movefile = wp_handle_upload($uploadedfile, $upload_overrides);

        if ($movefile && ! isset($movefile[ 'error' ])) {
            // echo "File is valid, and was successfully uploaded.\n";
            // var_dump($movefile);
        } else {
            /**
             * Error generated by _wp_handle_upload()
             *
             * @see _wp_handle_upload() in wp-admin/includes/file.php
             */
            // echo $movefile['error'];
        }

        return $movefile;
    }

    public function sCreateWordPressAttachment($sFileName, $sFile, $iPostID = 0)
    {
        $wp_filetype = wp_check_filetype($sFileName, null);
        $attachment = array(
                'post_mime_type' => $wp_filetype[ 'type' ],
                'post_title' => sanitize_file_name($sFileName),
                'post_content' => '',
                'post_status' => 'inherit'
        );
        $iAttachId = wp_insert_attachment($attachment, $sFile, $iPostID);

        $iAttachId = 0;
        $sFeaturedImageURI = urldecode($sFeaturedImageURL);
        $aAttchments = get_option("ucidg-import-attachments");
        if (! $aAttchments) {
            $aAttchments = array();
        }
        $aAttchments[ $sFeaturedImageURI ] = $iAttachId;
        update_option("ucidg-import-attachments", $aAttchments);
        return $iAttachId;
    }

    public function sCreateImageMetaDataWordPress($iAttachId, $sFile)
    {
        require_once(ABSPATH . 'wp-admin/includes/image.php');
        $attach_data = wp_generate_attachment_metadata($iAttachId, $sFile);
        $res1 = wp_update_attachment_metadata($iAttachId, $attach_data);
        return $res1;
    }

    public function sUploadFile($sFile = "", $sURL = "", $bWordPressUpload = false, $iPostID = 0, $bFeaturedImage = false)
    {
        $aResponse = array(
                "URL" => "",
                "Error" => ""
        );
        if ($sFile || $sURL) {
            // Upload File
            $bError = false;
            $sFileURL = "";
            if ($sFile) {
                $aFile = $this->sFileUploadFromFILES($sFile);
                if (isset($aFile[ 'error' ]) && $aFile[ 'error' ]) {
                    $bError = true;
                    $aResponse[ 'Error' ] = "File uploading error. Please! contact with your administrator for this issue.";
                } else {
                    $sFileURL = $aFile[ 'file' ];
                    // $aResponse = $sFileURL;
                }
            } elseif ($sURL) {
                $sFileURL = $this->sFileUploadFromURL($sURL);
            }

            $aResponse[ 'Dir' ] = $sFileURL;

            if ($sFileURL) {
                if ($bWordPressUpload) {
                    // Here is the wordpress upload
                    $iAttachmentID = $this->sCreateWordPressAttachment(
                        $sFileURL,
                        $sFileURL,
                        $iPostID
                    );
                    if ($iAttachId < 0) {
                        $aResponse[ 'Error' ] = "Attachment could not be created.";
                    } elseif ($bFeaturedImage) {
                        $aMetaData = $this->sCreateImageMetaDataWordPress(
                            $iAttachId,
                            $sFile
                        );
                        if (! $aMetaData) {
                            $aResponse[ 'Error' ] = "Featured image could not be set!";
                        }
                    }
                } else {
                    // Normal upload to temp directory
                }
            } else {
                $aResponse[ 'Error' ] = "File could not be saved. Contact with your administrator!";
            }
        } else {
            $aResponse[ 'Error' ] = "No file name or URL given.";
        }
        return $aResponse;
    }

    public function sGetURLFromAttachment($iAttachmentID)
    {
        $sFileURL = get_attached_file($iAttachmentID);
        return $sFileURL;
    }

    public function aReadImportFile($sFileURL = "", $iAttachmentID = 0)
    {
        $aResponse = array(
                "Data" => array(),
                "Error" => ""
        );

        if ($sFileURL || $iAttachmentID) {
            if ($iAttachmentID > 0) {
                $sFileURL = $this->sGetURLFromAttachment($iAttachmentID);
            }

            $sExtension = strtolower(pathinfo(
                $sFileURL,
                PATHINFO_EXTENSION
            ));
            if ($sExtension == "csv") {
                $aResponse[ 'Data' ] = $this->aCSVFileReader($sFileURL);
            } elseif ($sExtension == "xls" || $sExtension == "xlsx") {
                $aResponse[ 'Data' ] = $this->aExcelFileReader($sFileURL);
            } else {
                $aResponse[ 'Error' ] = '<p class="fileInst" style="color:red;"> Please! Select a CSV or Excel file. </p>';
            }
        } else {
            $aResponse[ 'Error' ] = "Either URL or AttachmentID must be given to get data from files.";
        }

        return $aResponse;
    }

    public function aCSVFileReader($sFileURL)
    {
        $data = array();
        if (($handle = fopen($sFileURL, "r")) !== false) {
            $bFirst = true;
            while (($line = fgetcsv($handle)) !== false) {
                if ($bFirst) {
                    $bFirst = false;
                    continue;
                }
                $data[] = $line;
            }

            fclose($handle);
        }

        return $data;
    }

    public function aExcelFileReader($sFileURL)
    {
        /**
         * Define a Read Filter class implementing PHPExcel_Reader_IReadFilter
         */

        /**
         * automatically detect the correct reader to load for this file type
         */
        $objReader = PHPExcel_IOFactory::createReaderForFile($sFileURL);

        /**
         * Load only the rows and columns that match our filter to PHPExcel *
         */
        $objPHPExcel = $objReader->load($sFileURL);
        $objPHPExcel->getActiveSheet()->toArray(null, true, true, true);

        // get all sheet names from the file
        $worksheetNames = $objPHPExcel->getSheetNames($sFileURL);

        $return = array();
        foreach ($worksheetNames as $key => $sheetName) {
            // set the current active worksheet by name
            $objPHPExcel->setActiveSheetIndexByName($sheetName);

            $objPHPExcel->getActiveSheet();
            // create an assoc array with the sheet name as key and the sheet
            // contents array as value
            $return[ $sheetName ] = $objPHPExcel->getActiveSheet()->toArray(
                null,
                true,
                true,
                true
            );
        }

        $data = array();
        if (count($return) > 0) {
            foreach ($return as $sheetName => $sheet) {
                if (count($return[ $sheetName ]) > 0) {
                    $columns = array();
                    if (count($return[ $sheetName ][ 1 ])) {
                        foreach ($return[ $sheetName ][ 1 ] as $key => $value) {
                            if (trim($value)) {
                                $columns[] = $key;
                            }
                        }
                    }

                    if (count($columns) > 0) {
                        foreach ($return[ $sheetName ] as $key => $value) {
                            if ($key != 1) {
                                $key = $sheetName . "-" . $key;
                                $row = array();
                                $bValue = false;
                                foreach ($columns as $column) {
                                    $row[] = trim($value[ $column ]);
                                    if (trim($value[ $column ])) {
                                        $bValue = true;
                                    }
                                }
                                if ($bValue) {
                                    $data[] = $row;
                                }
                            }
                        }
                    }
                }
            }
        }

        return $data;
    }
}
