<div class="ucidg_page">

    <div class="ucidg_card mb-3">
        <div class="ucidg_card-body">
            <h5 class="ucidg_card-title" style="<?php echo UCIDG_TextStyle; ?>"><?php _e("Code List", UCIDG_TextDomain) ?></h5>
            <ul class="list-group list-group-flush" style="<?php echo UCIDG_TextStyle; ?>">
                <li class="list-group-item">
                    <a
                        href="<?php echo $this->sPageURL; ?>&UCIDG=LoadFormCourses"
                        class="ucidg_card-link"
                        style="<?php echo UCIDG_TextStyle; ?>"><?php _e("Generate Course Codes", UCIDG_TextDomain) ?></a>
                    <a
                        href="<?php echo $this->sPageURL; ?>&UCIDG=LoadFormQuiz"
                        class="ucidg_card-link"
                        style="<?php echo UCIDG_TextStyle; ?>"><?php _e("Generate Quiz Codes", UCIDG_TextDomain) ?></a>

                </li>
            </ul>
            <br />
            <div id="records-table" style="width: auto"></div>
            <div id="exporting-table"></div>
        </div>
    </div>

</div>

<script type="text/javascript">

    var waTable = null;
    jQuery(document).ready(function ($) {
        sURL = "<?php echo $this->sAjaxPageURL; ?>&action=ucidg_code_list";
        //Second example that shows all options.
        waTable = $('#records-table').WATable({
            dataBind: true, //Auto-updates table when changing data row values. See example below. (Note. You need a column with the 'unique' property)
            transition: 'slide', //Type of transition when paging (bounce, fade, flip, rotate, scroll, slide).Requires https://github.com/daneden/animate.css.
            transitionDuration: 0.4, //Duration of transition in seconds.
            filter: true, //Show filter fields
            columnPicker: true, //Show the columnPicker button
            hidePagerOnEmpty: true, //Removes the pager if data is empty.
            checkboxes: true, //Make rows checkable. (Note. You need a column with the 'unique' property)
            checkAllToggle: true, //Show the check-all toggle
            preFill: true, //Initially fills the table with empty rows (as many as the pagesize).
            url: sURL,
            types: {
                string: {
                    placeHolder: "Jane Doe", //false for empty
                    filterTooltip: "<?php _e("Type something...", UCIDG_TextDomain) ?>" //false to remove
                },
                number: {
                    // placeHolder: (as string),
                    //filterTooltip: (as string),
                    decimals: 2 //Decimal precision for floats
                },
                date: {
                    //placeHolder: (as string),
                    //filterTooltip: (as string),
                    utc: true, //Use without timezone
                    format: 'yyyy-MM-dd', //See formats here
                    datePicker: true
                },
                bool: {
                    //filterTooltip: (as string)
                }
            },
            actions: {//This generates a button where you can add elements.
                filter: true, //If true, the filter fields can be toggled visible and hidden.
                columnPicker: true, //if true, the columnPicker can be toggled visible and hidden.
                custom: [//Add any other elements here. Here is a refresh and export example.
                    $('<a href="#" class="refresh"><span class="glyphicon glyphicon-refresh"></span>&nbsp;<?php _e("Refresh", UCIDG_TextDomain) ?></a>'),
                    $('<a href="#" class="remove"><span class="glyphicon glyphicon-trash"></span>&nbsp;<?php _e("Remove checked", UCIDG_TextDomain) ?></a>'),
                    $('<a href="#" class="export all"><span class="glyphicon glyphicon-share"></span>&nbsp;<?php _e("Export all rows", UCIDG_TextDomain) ?></a>'),
                    $('<a href="#" class="export checked"><span class="glyphicon glyphicon-share"></span>&nbsp;<?php _e("Export checked rows", UCIDG_TextDomain) ?></a>'),
                    $('<a href="#" class="export filtered"><span class="glyphicon glyphicon-share"></span>&nbsp;<?php _e("Export filtered rows", UCIDG_TextDomain) ?></a>'),
                    $('<a href="#" class="export rendered"><span class="glyphicon glyphicon-share"></span>&nbsp;<?php _e("Export rendered rows", UCIDG_TextDomain) ?></a>'),
                    $('<span><input type="radio" name="export-type" value="excel" checked="checked" /><?php _e("Excel", UCIDG_TextDomain) ?></span>'),
                    $('<span><input type="radio" name="export-type" value="csv" /><?php _e("CSV", UCIDG_TextDomain) ?></span>'),
                    $('<span><input type="radio" name="export-type" value="txt" /><?php _e("Text", UCIDG_TextDomain) ?></span>'),

                ]
            },
            rowClicked: function (data) {

                //Example toggle checked state
                if (data.column.column == "edit") {
                    data.event.preventDefault();
                    window.location = "<?php echo $this->sPageURL; ?>&UCIDG=LoadForm&ID=" + data.row.ID;
                }
                //Removes the row if user clicked on the column called 'remove'.
                if (data.column.column == "remove") {
                    data.event.preventDefault();

                    var sDeleteURL = "<?php echo $this->sAjaxPageURL; ?>&action=ucidg_code_delete&code=" + encodeURIComponent(data['row']['UniqueCertificateCode']);

                    swal("<?php _e("Do you want to delete Unique Certificate Code?", UCIDG_TextDomain) ?>", {
                        buttons: {
                            catch : {
                                text: "<?php _e("Delete", UCIDG_TextDomain) ?>",
                                value: "catch",
                            },
                            defeat: {
                                text: "<?php _e("Cancel", UCIDG_TextDomain) ?>",
                                value: "cancel",
                            }
                        },
                    })
                            .then((value) => {
                                switch (value) {

                                    case "catch":
                                        return fetch(sDeleteURL);
                                        // swal("Team Manager", "Deleted successfully!", "success");
                                        break;

                                    default:
                                }
                            })
                            .then(results => {
                                return results.json();
                            })
                            .then(json => {
                                const type = json['type'];

                                if (type == "Success") {
                                    swal("<?php _e("Unique Certificate Code", UCIDG_TextDomain) ?>", "<?php _e("Deleted successfully!", UCIDG_TextDomain) ?>", "success");
                                    //Remove fast with dataBind option
                                    waTable.getData().rows.splice(data.index, 1);
                                    Platform.performMicrotaskCheckpoint();

                                } else
                                {
                                    swal("<?php _e("Unique Certificate Code", UCIDG_TextDomain) ?>", type, "error");
                                }

                            })
                            .catch(err => {
                                if (err) {
                                    swal("<?php _e("System Error!", UCIDG_TextDomain) ?>", "<?php _e("Please, contact with your administrator.", UCIDG_TextDomain) ?>", "error");
                                } else {
                                    swal.stopLoading();
                                    swal.close();
                                }
                            });
                }
                //We can look at classes on the clicked element as well
                if (this.classList.contains('someClass')) {
                    //Do something...
                }
                //Example toggle checked state
                if (data.column.column == "check") {
                    data.event.preventDefault();
                    data.checked = !data.checked;
                }
            }
        }).data('WATable');  //This step reaches into the html data property to get the actual WATable object. Important if you want a reference to it as we want here.

        //Example event handler triggered by the custom refresh link above.
        $('#records-table').on('click', '.refresh', function (e) {
            e.preventDefault();
            //Get and set some new data

            waTable.update("", true);
        });

        //Example event handler triggered by the custom export links above.
        $('#records-table').on('click', '.export', function (e) {
            e.preventDefault();
            var elem = $(e.target);
            var data;
            if (elem.hasClass('all'))
                data = waTable.getData(false);
            else if (elem.hasClass('checked'))
                data = waTable.getData(true);
            else if (elem.hasClass('filtered'))
                data = waTable.getData(false, true);
            else if (elem.hasClass('rendered'))
                data = waTable.getData(false, false, true);

            CreateTableFromJSON(data, "#exporting-table", "#records-table");
        });


        $('#records-table').on('click', '.remove', function (e) {
            e.preventDefault();
            UCIDG_RemoveAll();
        });


    });

    function UCIDG_RemoveAll()
    {
        data = waTable.getData(true);

        var bChecked = false;
        //	Checking if rows are selected or not.
        for (var x in data.rows)
        {
            bChecked = true;
            break;
        }


        if (!bChecked)
        {
            //	No rows are selected.
            swal("<?php _e("Error!", UCIDG_TextDomain) ?>", "<?php _e("You have not checked to delete.", UCIDG_TextDomain) ?>", "error");
        } else if (true)
        {
            var sDeleteURLAll = "<?php echo $this->sAjaxPageURL; ?>&action=ucidg_code_delete&code=";

            swal("<?php _e("Do you want to delete all checked Unique Certificate Codes?", UCIDG_TextDomain) ?>", {
                buttons: {
                    catch : {
                        text: "<?php _e("Delete", UCIDG_TextDomain) ?>",
                        value: "catch",
                    },
                    defeat: {
                        text: "<?php _e("Cancel", UCIDG_TextDomain) ?>",
                        value: "cancel",
                    }
                },
            })
                    .then((value) => {
                        switch (value) {

                            case "catch":
                                var xhrRes = null;

                                swal("<?php _e("Please Wait!", UCIDG_TextDomain) ?>", {buttons: {}, });

                                for (var x in data.rows)
                                {
                                    xhrRes = fetch(sDeleteURLAll + encodeURIComponent(data.rows[x]['UniqueCertificateCode']));
                                    //	Getting row index
                                    var aRows = waTable.getData().rows;
                                    for (var y in aRows)
                                    {
                                        if (aRows[y] == data.rows[x])
                                        {
                                            //Remove fast with dataBind option
                                            waTable.getData().rows.splice(y, 1);
                                            Platform.performMicrotaskCheckpoint();
                                        }
                                    }
                                }

                                return xhrRes;
                                // swal("Team Manager", "Deleted successfully!", "success");
                                break;

                            default:
                        }
                    })
                    .then(results => {
                        return results.json();
                    })
                    .then(json => {
                        const type = json['type'];

                        if (type == "Success") {
                            swal("<?php _e("Unique Certificate Code", UCIDG_TextDomain) ?>", "<?php _e("Deleted successfully!", UCIDG_TextDomain) ?>", "success");

                        } else
                        {
                            swal("<?php _e("Unique Certificate Code", UCIDG_TextDomain) ?>", type, "error");
                        }

                    })
                    .catch(err => {
                        if (err) {
                            swal("<?php _e("System Error!", UCIDG_TextDomain) ?>", "<?php _e("Please, contact with your administrator.", UCIDG_TextDomain) ?>", "error");
                        } else {
                            swal.stopLoading();
                            swal.close();
                        }
                    });
        }
    }


</script>
