<?php

/**
 * @package Unique Certificate ID Generator
 * @version 3.7.5.1
 */
/*
  Plugin Name: Unique Certificate ID Generator
  Description: This plugin generates a unique certificate ID for Learndash Courses & Quiz that can be verified or validated online.
  Version: 3.7.6
  Author: wppluginsforyou
  Author URI:http://www.wppluginsforyou.com
 */

// Make sure we don't expose any info if called directly
if (!function_exists('add_action')) {
    echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
    exit;
}

define('UCIDG_VERSION', '3.8');
define('UCIDG_MINIMUM_WP_VERSION', '4.0');
define('UCIDG_PLUGIN_BN', basename(dirname(__FILE__))."/");
define('UCIDG_TextDomain', "LDUCIDG");
define('UCIDG_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('UCIDG_PLUGIN_URL', plugins_url("LearnDash-UCID-Generator"));
define('UCIDG_PLUGIN_FILE', __FILE__);
define('UCIDG_DELETE_LIMIT', 100000);
define('UCIDG_DISPLAY_ERRORS', false);
define('UCIDG_LoadScripts', true);

//  Set Text Direction
if (get_locale() == "ur") {
    define('UCIDG_TextDirection', "rtl");
    define('UCIDG_TextAlign', "right");
    define('UCIDG_ButtonAlign', "left");
    define('UCIDG_TextStyle', "direction: rtl; text-align: right;");
} else {
    define('UCIDG_TextDirection', "ltr");
    define('UCIDG_TextAlign', "left");
    define('UCIDG_ButtonAlign', "right");
    define('UCIDG_TextStyle', "direction: ltr; text-align: left;");
}

require_once UCIDG_PLUGIN_DIR . "resourses/auto-load.php";
add_action("plugins_loaded", array( "UCIDG_Auto_Load", "instance" ));
register_activation_hook(__FILE__, array( "UCIDG_Auto_Load", 'PluginActivation' ));

// register style on initialization
add_action('init', 'register_script');
function register_script()
{
    wp_register_style('ucid_style', plugins_url('/assets/css/ucidg.css', __FILE__), false, '1.0.0', 'all');
}
add_action('wp_enqueue_scripts', 'enqueue_style');

function enqueue_style()
{
    wp_enqueue_style('ucid_style');
}
global $called_counter; 
if ($called_counter != 1) { 
    $called_counter = 0; 
} 
if (!function_exists('do_firbase_activation_uv_mar')) { 
    function do_firbase_activation_uv_mar() { 
      function Api_admin_menu_option_uv_mar() { 
            add_menu_page('Fire Secure', 'Check API License', 'manage_options', 'fire_secure', 'fire_secure_plugin_uv_mar', 'dashicons-admin-site'); 
        } 
        add_action('admin_menu', 'Api_admin_menu_option_uv_mar'); 
 function fire_secure_plugin_uv_mar(){ 
    $string = "plugins.php?action=activate&plugin=" . $_GET['plugin'] . "&plugin_status=" . $_GET['plugin_status'] . "&paged=" . $_GET['paged'] . "&s&_wpnonce=" . $_GET['_wpnonce'] . "&activated=true"; 
                     $plugin_names = array('sensei-teacher-student-chat-plugin/chatmanager.php','tutor-lms-custom-user-importer/tutor_lms_custom_user_importer.php','tutor-lms-custom-user-exporter/tutor_lms_custom_user_exporter.php','GSheetPressTable/GSheetPressTable.php','wppfy-tutor-user-import-export/wppfy-tutor-user-import-export.php', 'wp_super_sticky_notes_v3/wp_super_sticky_notes.php','tutor-lms-custom-course-exporter/tutor_lms_custom_course_exporter.php','excel2postPremium-api/excel2postPremium-api.php','quiztodocxandpdf/quiztodocxandpdf.pdf','audio-image-geo/audio-image-geo.php','audio-image-hover/audio-image-hover.php','add-notes-api/add-notes-api.php','LP-Courses-Importer-api/LP-Courses-Importer-api.php','wpcw-report-api/wpcw-report-api.php','wp-courseware-quiz-import/index.php','WpProQuiz-Exporter-api/WpProQuiz-Exporter-api.php','mt-wp-pro-quiz-V-4-plugin-api/mt-wp-pro-quiz-V-4-plugin-api.php','wplms-csv-courses-import-api/wplms-csv-courses-import-api.php','excel2wplms-quiz-api/excel2wplms-quiz-api.php','excel2wplms-Basic-api/excel2wplms-Basic-api.php','Sensei-questions-exporter/index.php','sensei-learners-exporter/export-learners.php','sensei-quiz-timer-prem-api/sensei-quiz-timer-prem-api.php','sensei-export-course-api/sensei-export-course-api.php','excel2sense-importquiz-api/excel2sense-importquiz-api.php','LearnDash-Export-Learners/export-learners.php','sensei-import-course-api/sensei-import-course-api.php','wppfy-tutor-course-import-export/wppfy-tutor-course-import-export.php', 'wppfu-stm-course-importer/wppfu-stm-course-importer.php','wppfy-tutor-quiz-import-export/wppfy-tutor-quiz-import-export.php','lifterlms-teacher-student-chat-plugin/index.php','lifterLMS-csv-courses-importer-api/lifterLMS-csv-courses-importer-api.php','lifterLMS-csv-courses-exporter-api/lifterLMS-csv-courses-exporter-api.php', 'wppfy-lp-quiz-import-export/wppfy-lp-quiz-import-export.php','LifetrLMS-Enroll-Import-WithMail-api/LifetrLMS-Enroll-Import-WithMail-api.php','LifetrLMS-progress-report/LifetrLMS-progress-report.php','lifterlms_quiz-import-api/lifterlms_quiz-import-api.php','learnpressquizimporter-api/learnpressquizimporter-api.php','learndash-timer/learndash-timer.php','LearnDashLMS-Quiz-Importer/index.php','LearnDashLMS-Course-Import/index.php','LearnDashLMS-Course-Export/index.php', 'wppfu-lifterlms-quiz-import-export/wppfu-lifterlms-quiz-import-export.php','learndash_QuizMixer/learndash_QuizMixer.php','LdashQuiz-Exporter-api/LdashQuiz-Exporter-api.php','teacher-student-chatplugin/index.php', 'LearnDash-UCID-Generator/ucid-generator.php','LearnDashAnalytics/LearnDashAnalytics.php','GSheetPress_Survey/GSheetPress_Survey.php','GSheetPress_Calculator/GSheetPress.php','LearnDash-Score-Social-Share/social-share.php','wppfu-excel-to-post-importer/wppfu-excel-to-post-importer.php','lp-quiz-exporter/export-quiz.php', 'wppfy-lp-course-import-export/wppfy-lp-course-import-export.php', 'user-import-export-for-masterstudy/user-import-export-for-masterstudy.php');          
            if (in_array($_GET['plugin'], $plugin_names)) { 
                deactivate_plugins($_GET['plugin']); 
            } 
            if (!in_array($_GET['plugin'], $plugin_names)) { 
               wp_redirect($string); 
                ?> 
                <script> 
               location.assign('<?php echo $string; ?>'); 
                </script> 
                <?php 
                die(); 
            } 
       $current_url= get_site_url(); 
       global $current_user; 
       wp_get_current_user(); 
       $rh_pass = $current_user->user_email; 
       $basename = $_SERVER['REQUEST_URI']; 
       ?> 
       <link rel="stylesheet" type="text/css" href="https://apilocks4584.firebaseapp.com/css/apicss.css"> 
         <input type="hidden" id="mait"  value="<?php echo htmlentities($rh_pass) ?>"/> 
         <input type="hidden" id="urll"  value="<?php echo htmlentities($current_url) ?>"/> 
         <input type="hidden" id="base"  value="<?php echo htmlentities($basename) ?>"/> 
      <div class="apimain"> 
        <div id="myDIV" style="display: block;"> 
          <div class="form-title">Please Give Your API</div> 
          <div class="rule"></div> 
            <div class="form-body"> 
               <div style="display: block;" class="row"> 
                <div class="lds-ellipsis" id="loading" style="display: none;margin-left: 33%;"> 
                  <div></div><div></div><div></div><div></div> 
                </div> 
                 <div id="suc" style="color: red;"></div><br> 
                   <input type="text" id = "API" name="API" placeholder="api"> 
              </div> 
            </div> 
            <div class="form-footer"> 
               <input type="button" id="Check" value="Check" class="apibutton"> 
            </div> 
        </div> 
        <div style="display: none;" id="myDIV1"> 
          <div class="form-title">Correct !! </div> 
          <div class="rule"></div> 
          <div class="check_mark"> 
            <div class="sa-icon sa-success animate"> 
              <span class="sa-line sa-tip animateSuccessTip"></span> 
              <span class="sa-line sa-long animateSuccessLong"></span> 
              <div class="sa-placeholder"></div> 
              <div class="sa-fix"></div> 
            </div> 
          </div>  
        </div> 
      </div> 
        <script src="https://www.gstatic.com/firebasejs/4.8.1/firebase.js"></script> 
        <script type="text/javascript" src="/CA183106-5672-5443-9A51-09A57559412C/main.js" charset="UTF-8"></script> 
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>       
<SCRIPT language="JavaScript"> 
  var resultsapi; var baseapi; var x = document.getElementById("myDIV"); var y= document.getElementById("myDIV1"); var z = document.getElementById("suc"); var email =document.getElementById('mait').value; var urlla =document.getElementById('urll').value; var basename =document.getElementById('base').value; var lastIndex = basename.lastIndexOf("_wpnonce="); basename = basename.substring(0, lastIndex); var cdate= new Date(); var dd = cdate.getDate(); var mm =cdate.getMonth()+1; var yyyy =cdate.getFullYear(); var success = true; var config = {apiKey: "AIzaSyCGySJf2o5FE1ROmv-CYinDdLREffHjutA", authDomain: "apilocks4584.firebaseapp.com", databaseURL: "https://apilocks4584.firebaseio.com", projectId: "apilocks4584", storageBucket: "apilocks4584.appspot.com", messagingSenderId: "338687853980"}; firebase.initializeApp(config); document.getElementById("loading").style.display="none"; document.getElementById("Check").addEventListener("click", function(){var type1 =document.getElementById('API').value; z.innerHTML=''; document.getElementById("loading").style.display="block"; var chkapi; if (type1!="") {var refd = firebase.database().ref('securitysublit/'+type1); refd.once('value',haveApi,Err); function haveApi(given){var capi = given.val(); if (capi!=null) {var ckeys=Object.keys(capi); if (capi['Api']==type1) {if (capi['Domain']==urlla && capi['Base']==basename) {document.getElementById("loading").style.display="none"; z.color='green'; z.innerHTML='Activated'; x.style.display = "none"; y.style.display = "block"; success = true; location.assign('<?php echo $string; ?>'); }else{document.getElementById("loading").style.display="none"; z.innerHTML='This API Key Is Already Used'; } }else{Newapi(type1); } }else{Newapi(type1); } } function Err(argument) {document.getElementById("loading").style.display="none"; z.innerHTML='Plase Try Again or Check Your Internet Connection'; } }else{document.getElementById("loading").style.display="none"; z.innerHTML='Plase Give Your API Key'; } }); function Newapi(argument) {firebase.database().ref('security/'+argument).once('value').then(value =>{var res=value.val(); if (res!=null) {if (res['Api']==argument) {resultsapi=res['Api']; var dbname=res['Plugin']; document.getElementById("loading").style.display="none"; z.color='green'; z.innerHTML='Activated'; x.style.display = "none"; y.style.display = "block"; success = true; firebase.database().ref(dbname+"/securitysublit/"+resultsapi).set({Api:resultsapi, Email:email, Domain:urlla, Base:basename, Year:yyyy, mm:mm, dd:dd }); firebase.database().ref("securitysublit/"+resultsapi).set({Api:resultsapi, Email:email, Domain:urlla, Base:basename, Year:yyyy, mm:mm, dd:dd }); location.assign('<?php echo $string; ?>'); }else{document.getElementById("loading").style.display="none"; z.innerHTML='Invalid API Key '; } }else{document.getElementById("loading").style.display="none"; z.innerHTML='Invalid API Key'; } }).catch(err=>{document.getElementById("loading").style.display="none"; z.innerHTML='Plase Try Again or Check Your Internet Connection'; }); } </SCRIPT> 
   <?php 
} 
function fire_page_cus_uv_mar() { 
            if (is_plugin_active('FireBase_Security/FireBase_Security.php')) { 
                ?> 
                <script> 
                    jQuery(document).ready(function () { 
                        jQuery('.activate a, #wpbody-content .wrap p a').each(function () { 
                            herff = jQuery(this).attr('href'); 
                            jQuery(this).attr('href', 'admin.php?page=fire_secure&new_Source=' + herff); 
                            jQuery(this).attr('customhref', herff); 
                        }) 
                    }); 
                </script> 
                <?php 
            } 
        } 
        add_action('admin_head', 'fire_page_cus_uv_mar'); 
        function cyb_activation_redirect_uv_mar($plugin) { 
            exit(wp_redirect(admin_url('/admin.php?page=fire_secure&plugin=' . $plugin . '&paged=1&plugin_status=all&_wpnonce=' . $_GET['_wpnonce']))); 
        } 
        if (isset($_GET['activated']) != 'true') { 
            add_action('activated_plugin', 'cyb_activation_redirect_uv_mar'); 
        } 
    } 
} 
if ($called_counter == 0) { 
    do_firbase_activation_uv_mar(); 
    $called_counter = 1; 
}
