<?php
/**
 * Provide a admin area view for the plugin.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wbcomdesigns.com/plugins
 * @since      1.0.0
 *
 * @package    Ld_Dashboard
 * @subpackage Ld_Dashboard/admin/partials
 */

$function_obj               = Ld_Dashboard_Functions::instance();
$ld_dashboard_settings_data = $function_obj->ld_dashboard_settings_data();
$settings                   = $ld_dashboard_settings_data['tiles_options'];

?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wbcom-tab-content-wrapper">
	<div class="wrap ld-dashboard-settings">
		<div class="wbcom-admin-option-wrap wbcom-admin-option-wrap-inner">
			<div class="wbcom-admin-title-section-wrap title-tutorial-section-wrap">
				<div class="wbcom-admin-title-section-inner">
					<h3><?php esc_html_e( 'Dashboard Statistics', 'ld-dashboard' ); ?></h3>
					<p class="description"><?php echo esc_html__( 'Include the learning statistics on the dashboard for better visibility.', 'ld-dashboard' ); ?></p>
				</div>
				<a href="https://docs.wbcomdesigns.com/docs/learndash-dashboard/ld-settings-learndash-dashboard/tiles-options/" class="ld-tutorial-btn" target="_blank"><?php esc_html_e( 'View Tutorial', 'ld-dashboard' ); ?></a>
			</div>

			<form method="post" action="options.php" enctype="multipart/form-data">
				<?php
				settings_fields( 'ld_dashboard_tiles_options' );
				do_settings_sections( 'ld_dashboard_tiles_options' );
				?>
				<div class="wbcom-tab-content">
				<div class="ld-dashboard-wrapper-admin form-table ld-dashboard-row-section">
					<div class="ld-grid-view-wrapper ld-tooltip-disc-hover">						
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php 
								/* translators: %1$s: Course Label. */
								printf( esc_html__( 'Total Published %1s', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'course' ) ) ); ?></label>
								<p class="description" id="tagline-description"><?php 
								/* translators: %s: Course Label. */
								printf( esc_html__( 'Activate this setting if you wish to display the overall number of %s.', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'course' ) ) ); ?></p>
							</div>
							<div class="grid-full-size ld-grid-content">
							<div class="lavel-ld-dashboard-title">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[course-count]" value="1" <?php isset( $settings['course-count'] ) ? checked( $settings['course-count'], '1' ) : ''; ?>  data-id="course-count" />
									<div class="ld-dashboard-setting round"></div>
								</label>
							</div>
								<div id="course-count-bgcolor" class="ld-dashboard-colorpicker">
									<input type="text"  name="ld_dashboard_tiles_options[course-count-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['course-count-bgcolor'] ) ? esc_attr( $settings['course-count-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php 
									/* translators: %s: Course Label. */
									printf( esc_html__( '%s Count Tile Icon Color', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'course' ) ) ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php 
								/* translators: %s: Quizzes Label. */
								printf( esc_html__( '%s Count', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'quizzes' ) ) ); ?></label>
								<p class="description" id="tagline-description"><?php 
									/* translators: %s: Quizzes Label. */
									printf( esc_html__( 'Activate this setting if you wish to display the overall number of %s count.', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'quizzes' ) ) ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[quizzes-count]" value="1" <?php isset( $settings['quizzes-count'] ) ? checked( $settings['quizzes-count'], '1' ) : ''; ?> data-id="quizzes-count"/>
									<div class="ld-dashboard-setting round"></div>
								</label>
								
								<div id="quizzes-count-bgcolor"class="ld-dashboard-colorpicker">
									<input type="text"  name="ld_dashboard_tiles_options[quizzes-count-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['quizzes-count-bgcolor'] ) ? esc_attr( $settings['quizzes-count-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription">
										<?php 
										/* translators: %s: Quizzes Label. */
										printf( esc_html__( '%s Count Tile Icon Color', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'quizzes' ) ) ); ?>
									</label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Approved Assignments Count', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Activate this setting to display the overall number of Approved Assignments.', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[assignments-count]" value="1" <?php isset( $settings['assignments-count'] ) ? checked( $settings['assignments-count'], '1' ) : ''; ?> data-id="assignments-count" />
									<div class="ld-dashboard-setting round"></div>
								</label>
								<div id="assignments-count-bgcolor" class="ld-dashboard-colorpicker ld-assignments-count">
									<input type="text" name="ld_dashboard_tiles_options[approved-assignments-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['approved-assignments-bgcolor'] ) ? esc_attr( $settings['approved-assignments-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php esc_html_e( 'Completed Assignments Count Tile Icon Color', 'ld-dashboard' ); ?></label>
								</div>
							</div>
						</div>
						
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Not Approved Assignments count', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Activate this setting to display the overall number of Not Approved Assignments.', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[not-approved-assignments-count]" value="1" <?php isset( $settings['not-approved-assignments-count'] ) ? checked( $settings['not-approved-assignments-count'], '1' ) : ''; ?> />
									<div class="ld-dashboard-setting round"></div>
								</label>
								<div id="assignments-count-bgcolor" class="ld-dashboard-colorpicker ld-assignments-count">
									<input type="text" name="ld_dashboard_tiles_options[not-approved-assignments-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['not-approved-assignments-bgcolor'] ) ? esc_attr( $settings['not-approved-assignments-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php esc_html_e( 'Completed Assignments Count Tile Icon Color', 'ld-dashboard' ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Certificate count', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Enable this option to show the total Certificate count.', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[certificate-count]" value="1" <?php isset( $settings['certificate-count'] ) ? checked( $settings['certificate-count'], '1' ) : ''; ?> />
									<div class="ld-dashboard-setting round"></div>
								</label>
								<div id="assignments-count-bgcolor" class="ld-dashboard-colorpicker ld-assignments-count">
									<input type="text" name="ld_dashboard_tiles_options[certificate-count-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['certificate-count-bgcolor'] ) ? esc_attr( $settings['certificate-count-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php esc_html_e( 'Certificate Count Tile Icon Color', 'ld-dashboard' ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Graded Essays Count', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Enable this option if you want to show the total Graded Essays count.', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[essays-pending-count]" value="1" <?php isset( $settings['essays-pending-count'] ) ? checked( $settings['essays-pending-count'], '1' ) : ''; ?> data-id="essays-pending-count" />
									<div class="ld-dashboard-setting round"></div>									
								</label>
								
								<div id="essays-pending-count-bgcolor"class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[essays-pending-count-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['essays-pending-count-bgcolor'] ) ? esc_attr( $settings['essays-pending-count-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php esc_html_e( 'Essays Count Tile Icon Color', 'ld-dashboard' ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Not Graded Essays Count', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Enable this option to show the total Not Graded Essays count.', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[not-graded-essays-count]" value="1" <?php isset( $settings['not-graded-essays-count'] ) ? checked( $settings['not-graded-essays-count'], '1' ) : ''; ?> data-id="not-graded-essays-count" />
									<div class="ld-dashboard-setting round"></div>									
								</label>
								
								<div id="essays-pending-count-bgcolor"class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[not-graded-essays-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['not-graded-essays-bgcolor'] ) ? esc_attr( $settings['not-graded-essays-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php esc_html_e( 'Essays Count Tile Icon Color', 'ld-dashboard' ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label class="ld-decription"><?php 
								/* translators: %s: Lessons Label. */
								printf( esc_html__( '%s Count', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'lessons' ) ) ); ?></label>
								<p class="description" id="tagline-description"><?php 
								/* translators: %s: Lessons Label. */
								printf( esc_html__( 'Enable this option if you want to show the total %s count.', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'lessons' ) ) ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[lessons-count]" value="1" <?php isset( $settings['lessons-count'] ) ? checked( $settings['lessons-count'], '1' ) : ''; ?> data-id="lessons-count"/>
									<div class="ld-dashboard-setting round"></div>									
								</label>
								
								<div id="lessons-count-bgcolor" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[lessons-count-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['lessons-count-bgcolor'] ) ? esc_attr( $settings['lessons-count-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php 
									/* translators: %s: Lessons Label. */
									printf( esc_html__( '%s Count Tile Icon Color', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'lessons' ) ) ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php 
								/* translators: %s: topics Label. */
								printf( esc_html__( '%s Count', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'topics' ) ) ); ?></label>
								<p class="description" id="tagline-description"><?php 
								/* translators: %s: Topics Label. */
								printf( esc_html__( 'Enable this option if you want to show the total %s count.', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'topics' ) ) ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[topics-count]" value="1" <?php isset( $settings['topics-count'] ) ? checked( $settings['topics-count'], '1' ) : ''; ?> data-id="topics-count"/>
									<div class="ld-dashboard-setting round"></div>									
								</label>
								
								<div id="topics-count-bgcolor" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[topics-count-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['topics-count-bgcolor'] ) ? esc_attr( $settings['topics-count-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php 
									/* translators: %s: Topics Label. */
									printf( esc_html__( '%s Count Tile Icon Color', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'topics' ) ) ); ?></label>
								</div>
							</div>
						</div>
						
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Student Count', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Enable this option if you want to show the total Student count.', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[student-count]" value="1" <?php isset( $settings['student-count'] ) ? checked( $settings['student-count'], '1' ) : ''; ?> data-id="student-count"/>
									<div class="ld-dashboard-setting round"></div>									
								</label>
								
								<div id="student-count-bgcolor" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[student-count-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['student-count-bgcolor'] ) ? esc_attr( $settings['student-count-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php esc_html_e( 'Total Student Count Tile Icon Color', 'ld-dashboard' ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php 
								/* translators: %s: Course Label. */ printf(esc_html__( 'Enrolled %s Count', 'ld-dashboard' ),esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) );
								?></label>
								<p class="description" id="tagline-description"><?php /* translators: %s: Course Label. */
								printf( esc_html__('Enable this option if you want to show the total %s count.', 'ld-dashboard'), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[enrolled_courses_count]" value="1" <?php isset( $settings['enrolled_courses_count'] ) ? checked( $settings['enrolled_courses_count'], '1' ) : ''; ?> data-id="enrolled_courses_count"/>
									<div class="ld-dashboard-setting round"></div>									
								</label>
								
								<div id="enrolled-courses-count-bgcolor" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[enrolled_courses_count_bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['enrolled_courses_count_bgcolor'] ) ? esc_attr( $settings['enrolled_courses_count_bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php /* translators: %s: Course Label. */
									printf( esc_html__('Enrolled %s Count Tile Icon Color', 'ld-dashboard'), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php /* translators: %s: Course Label. */
								printf( esc_html__('Active %s Count', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) ); ?></label>
								<p class="description" id="tagline-description"><?php /* translators: %s: Course Label. */
								printf( esc_html__('Enable this option if you want to show the total active %s count.', 'ld-dashboard'), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[active_courses_count]" value="1" <?php isset( $settings['active_courses_count'] ) ? checked( $settings['active_courses_count'], '1' ) : ''; ?> data-id="active_courses_count"/>
									<div class="ld-dashboard-setting round"></div>									
								</label>								
								<div id="active-courses-count-bgcolor" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[active_courses_count_bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['active_courses_count_bgcolor'] ) ? esc_attr( $settings['active_courses_count_bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php /* translators: %s: Course Label. */
									printf( esc_html__('Active %s Count Tile Icon Color', 'ld-dashboard'), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php /* translators: %s: Course Label. */
								printf( esc_html__('Completed %s Count', 'ld-dashboard') , esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) ); ?></label>
								<p class="description" id="tagline-description"><?php 
									/* translators: %s: Course Label. */
									printf( esc_html__('Enable this option if you want to show the total completed %s count.', 'ld-dashboard'), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[completed_courses_count]" value="1" <?php isset( $settings['completed_courses_count'] ) ? checked( $settings['completed_courses_count'], '1' ) : ''; ?> data-id="completed_courses_count"/>
									<div class="ld-dashboard-setting round"></div>									
								</label>								
								<div id="completed-courses-count-bgcolor" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[completed_courses_count_bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['completed_courses_count_bgcolor'] ) ? esc_attr( $settings['completed_courses_count_bgcolor'] ) : ''; ?>" />
									
									<label class="ld-decription"><?php /* translators: %s: Course Label. */ printf( esc_html__( 'Completed %s Count Tile Icon Color', 'ld-dashboard' ),  esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) ); ?></label>
								</div>
							</div>
						</div>

						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Total Earnings', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Enable this option if you want to show the total earnings of the instructor.', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options-heading wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[total-earning]" value="1" <?php isset( $settings['total-earning'] ) ? checked( $settings['total-earning'], '1' ) : ''; ?> data-id="total-earning"/>
									<div class="ld-dashboard-setting round"></div>
								</label>								
								<div id="completed-courses-count-bgcolor" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[total-earning-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['total-earning-bgcolor'] ) ? esc_attr( $settings['total-earning-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php esc_html_e( 'Total Earnings Tile Icon Color', 'ld-dashboard' ); ?></label>
								</div>
							</div>
						</div>
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Groups Count', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Enable this option if you want to show the groups count to group leader. Groups count will also visible to admin.', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options-heading wbcom-settings-section-options ld-grid-content">
								<label class="ld-dashboard-setting-switch">
									<input type="checkbox" class="ld-dashboard-setting" name="ld_dashboard_tiles_options[groups-count]" value="1" <?php isset( $settings['groups-count'] ) ? checked( $settings['groups-count'], '1' ) : ''; ?> data-id="groups-count"/>
									<div class="ld-dashboard-setting round"></div>
								</label>								
								<div id="completed-courses-count-bgcolor" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[groups-count-bgcolor]" class="ld-dashboard-color" value="<?php echo isset( $settings['groups-count-bgcolor'] ) ? esc_attr( $settings['groups-count-bgcolor'] ) : ''; ?>" />
									<label class="ld-decription"><?php esc_html_e( 'Total Earnings Tile Icon Color', 'ld-dashboard' ); ?></label>
								</div>
							</div>
						</div>
					</div>
					</div>
					</div>

					<div class="ld-dashboard-heading-wrapper title-tutorial-section-wrap">
						<h4><?php esc_html_e( 'Dashboard Chart Color', 'ld-dashboard' ); ?></h4>
					</div>

					<div class="wbcom-tab-content ld-dashboard-chart-color">
					<div class="ld-dashboard-wrapper-admin form-table ld-dashboard-row-section">
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Course Not Started', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Course not started chart color', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">								
								<div id="course_not_started_color" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[course_not_started_color]" class="ld-dashboard-color" value="<?php echo isset( $settings['course_not_started_color'] ) ? esc_attr( $settings['course_not_started_color'] ) : ''; ?>" />
								</div>
							</div>
						</div>
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Course Progress', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Course progress chart color', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">								
								<div id="course_progress_color" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[course_progress_color]" class="ld-dashboard-color" value="<?php echo isset( $settings['course_progress_color'] ) ? esc_attr( $settings['course_progress_color'] ) : ''; ?>" />
								</div>
							</div>
						</div>
						
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Course Completed', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Course completed chart color', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">								
								<div id="course_completed_color" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[course_completed_color]" class="ld-dashboard-color" value="<?php echo isset( $settings['course_completed_color'] ) ? esc_attr( $settings['course_completed_color'] ) : ''; ?>" />
								</div>
							</div>
						</div>
						
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Approved Assignment', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Approved assignment chart color', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">								
								<div id="approved_assignment_color" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[approved_assignment_color]" class="ld-dashboard-color" value="<?php echo isset( $settings['approved_assignment_color'] ) ? esc_attr( $settings['approved_assignment_color'] ) : ''; ?>" />
								</div>
							</div>
						</div>
						
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Unapproved Assignment', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'unppproved assignment chart color', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">								
								<div id="unapproved_assignment_color" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[unapproved_assignment_color]" class="ld-dashboard-color" value="<?php echo isset( $settings['unapproved_assignment_color'] ) ? esc_attr( $settings['unapproved_assignment_color'] ) : ''; ?>" />
								</div>
							</div>
						</div>
						
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Pending Assignment', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Pending assignment chart color', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">								
								<div id="pending_assignment_color" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[pending_assignment_color]" class="ld-dashboard-color" value="<?php echo isset( $settings['pending_assignment_color'] ) ? esc_attr( $settings['pending_assignment_color'] ) : ''; ?>" />
								</div>
							</div>
						</div>
						
						<div class="wbcom-settings-section-wrap">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Quiz Completed', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Quiz completed chart color', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">								
								<div id="quiz_completed_color" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[quiz_completed_color]" class="ld-dashboard-color" value="<?php echo isset( $settings['quiz_completed_color'] ) ? esc_attr( $settings['quiz_completed_color'] ) : ''; ?>" />
								</div>
							</div>
						</div>
						
						<div class="wbcom-settings-section-wrap quiz-not-started-section">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Quiz Uncompleted', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Quiz uncompleted chart color', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">								
								<div id="quiz_uncompleted_color" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[quiz_uncompleted_color]" class="ld-dashboard-color" value="<?php echo isset( $settings['quiz_uncompleted_color'] ) ? esc_attr( $settings['quiz_uncompleted_color'] ) : ''; ?>" />
								</div>
							</div>
						</div>
						<div class="wbcom-settings-section-wrap quiz-not-started-section">
							<div class="wbcom-settings-section-options-heading ld-grid-label" scope="row">
								<label><?php esc_html_e( 'Quiz Not Started', 'ld-dashboard' ); ?></label>
								<p class="description" id="tagline-description"><?php esc_html_e( 'Quiz not started chart color', 'ld-dashboard' ); ?></p>
							</div>
							<div class="wbcom-settings-section-options ld-grid-content">								
								<div id="quiz_not_started_color" class="ld-dashboard-colorpicker">
									<input type="text" name="ld_dashboard_tiles_options[quiz_not_started_color]" class="ld-dashboard-color" value="<?php echo isset( $settings['quiz_not_started_color'] ) ? esc_attr( $settings['quiz_not_started_color'] ) : ''; ?>" />
								</div>
							</div>
						</div>
					</div>
				</div>	
				<div class="wbcom-tab-content ld-submit-button-section">
				<?php submit_button(); ?>
				<?php
				submit_button(
					__( 'Reset Settings', 'ld-dashboard' ),
					'primary ld-dashboard-reset-button',
					'ld-dashboard-reset-general-settings',
					true,
					array(
						'data-setting' => 'ld_dashboard_tiles_options',
					)
				);
				?>
				<?php wp_nonce_field( 'ld-dashboard-settings-submit', 'ld-dashboard-settings-submit' ); ?>		
				</div>		
			</form>
		</div>
	</div>
</div>
