<?php
/**
 *
 * This file is used for rendering and saving plugin welcome settings.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
	// Exit if accessed directly.
}
?>

<div class="wbcom-tab-content-wrapper">
	<div class="wbcom-admin-option-wrap wbcom-admin-option-wrap-inner ld-dashboard-settings">
		<div class="wbcom-admin-title-section-wrap title-tutorial-section-wrap">
			<div class="wbcom-admin-title-section-inner">
				<h3 style="color:#3f51b5;font-size: 25px;"><?php esc_html_e( 'Welcome to LearnDash Dashboard', 'ld-dashboard' ); ?></h3>	
				<p class="description"><?php esc_html_e( 'Thank you for purchasing the LearnDash Dashboard!', 'ld-dashboard' ); ?></p>
			</div>
			<a href="https://www.youtube.com/watch?v=VrTEiJLlGYA&ab_channel=WbcomDesigns" class="ld-tutorial-btn" target="_blank"><?php esc_html_e( 'Watch Tutorial', 'ld-dashboard' ); ?></a>	
		</div>

		<div class="wbcom-tab-content ld-dashboard-welcome-page">
		<div class="wbcom-welcome-head">
			<p class="wbcom-welcome-description"><?php esc_html_e( 'LearnDash Dashboard gives the admin, instructors, and students a dashboard of their own, where they can easily manage anything related to their courses, lessons, and contact others.', 'ld-dashboard' ); ?></p>
			<p class="wbcom-welcome-description"><?php esc_html_e( 'Website admin can adjust each block as per their requirements. If you want to disable some sections, the plugin setting offers you do it easily.', 'ld-dashboard' ); ?></p>
			<p class="wbcom-welcome-description"><?php esc_html_e( 'The plugin has inbuilt support for WooCommerce and Learndash WooCommerce add-on.', 'ld-dashboard' ); ?></p>
		</div><!-- .wbcom-welcome-head -->

		<div class="wbcom-welcome-content-wrapper">
			<div class="wbcom-welcome-support-info">
				<h3><span class="dashicons dashicons-open-folder"></span><?php esc_html_e( 'Help &amp; Support Resources', 'ld-dashboard' ); ?></h3>
				<p><?php esc_html_e( 'Here are all the resources you may need to get help from us. Documentation is usually the best place to start. Should you require help anytime, our customer care team is available to assist you at the support center.', 'ld-dashboard' ); ?></p>
				<a href="<?php echo esc_url( 'https://docs.wbcomdesigns.com/doc_category/learndash-dashboard/' ); ?>" class="button button-primary button-welcome-support" target="_blank"><?php esc_html_e( 'Documentation', 'ld-dashboard' ); ?></a>
			</div>	
			<div class="wbcom-welcome-support-info">
				<h3><span class="dashicons dashicons-admin-comments"></span><?php esc_html_e( 'Got Feedback?', 'ld-dashboard' ); ?></h3>
				<p><?php esc_html_e( 'We want to hear about your experience with the plugin. We would also love to hear any suggestions you may for future updates.', 'ld-dashboard' ); ?></p>
				<a href="<?php echo esc_url( 'https://wbcomdesigns.com/submit-review/' ); ?>" class="button button-primary button-welcome-support" target="_blank"><?php esc_html_e( 'Send Feedback', 'ld-dashboard' ); ?></a>
			</div>
		</div>
</div>
	</div><!-- .wbcom-welcome-content -->
</div><!-- .wbcom-welcome-main-wrapper -->
