<?php
/**
 * Activity Pagination
 * global vars -
 * $post_args array This is the filtered version of the _$GET vars passed in from AJAX
 * $activity_query_args array Another array build from the $post_args. Used to call the LD reporting functions to query activty.
 * $activities array query results. Contains elements 'results', 'pager, etc.
 */
if ( isset( $activities['pager']['total_items'] ) && $activities['pager']['total_items'] > 0 ) {
    $current_page = isset( $activities['pager']['current_page'] ) ? $activities['pager']['current_page'] : 1;
    $total_pages = isset( $activities['pager']['total_pages'] ) ? $activities['pager']['total_pages'] : 1;
    
    $pager_left_disabled = ( $current_page == 1 ) ? ' disabled="disabled" ' : '';
    $pager_right_disabled = ( $current_page == $total_pages ) ? ' disabled="disabled" ' : '';
    ?>
    
    <p class="ld-dashboard-report-pager-info">
        <?php if ( $current_page > 1 ) : ?>
            <button class="ld-dashboard-button first" data-page="1" aria-label="<?php esc_attr_e( 'Go to the first page', 'ld-dashboard' ); ?>" title="<?php esc_attr_e( 'First Page', 'ld-dashboard' ); ?>" <?php echo esc_attr( $pager_left_disabled ); ?> >&#8606;</button>
            <button class="ld-dashboard-button prev" data-page="<?php echo esc_attr( $current_page - 1 ); ?>" aria-label="<?php esc_attr_e( 'Go to the previous page', 'ld-dashboard' ); ?>" title="<?php esc_attr_e( 'Previous Page', 'ld-dashboard' ); ?>" <?php echo esc_attr( $pager_left_disabled ); ?> >&larr;</button>
        <?php endif; ?>

        <span><?php esc_html_e( 'page', 'ld-dashboard' ); ?> <span class="pagedisplay"><span class="current_page"><?php echo esc_html( $current_page ); ?></span> / <span class="total_pages"><?php echo esc_html( $total_pages ); ?></span> (<?php esc_html_e( 'Total Items:', 'ld-dashboard' ); ?> <span class="total_items"><?php echo esc_html( $activities['pager']['total_items'] ); ?></span>)</span></span>

        <?php if ( $current_page < $total_pages ) : ?>
            <button class="ld-dashboard-button next ld-dashboard-btn-bg" data-page="<?php echo esc_attr( $current_page + 1 ); ?>" aria-label="<?php esc_attr_e( 'Go to the next page', 'ld-dashboard' ); ?>" title="<?php esc_attr_e( 'Next Page', 'ld-dashboard' ); ?>" <?php echo esc_attr( $pager_right_disabled ); ?> >&rarr;</button>
            <button class="ld-dashboard-button last ld-dashboard-btn-bg" data-page="<?php echo esc_attr( $total_pages ); ?>" aria-label="<?php esc_attr_e( 'Go to the last page', 'ld-dashboard' ); ?>" title="<?php esc_attr_e( 'Last Page', 'ld-dashboard' ); ?>" <?php echo esc_attr( $pager_right_disabled ); ?> >&#8608;</button>
        <?php endif; ?>
    </p>

    <?php
}
