<div class="ld-dashboard-tiles-options ld-dashboard-landing">
	<?php
	do_action( 'ld_dashboard_before_statistics_container' );

	if ( isset( $ld_dashboard['statistics-tiles'] ) && $ld_dashboard['statistics-tiles'] == 1 ) :
		if ( ! ld_dashboard_is_user_role_allowed( $ld_dashboard['statistics-tiles-allwoed-roles'] ) ) {
			return;
		}
		global $wpdb, $total_students;
		$user_id         = get_current_user_id();
		$user_meta       = get_userdata( $user_id );
		$user_roles      = $user_meta->roles;
		$query           = $wpdb->prepare( 'SELECT * FROM ' . $wpdb->prefix . 'ld_dashboard_users_statistics WHERE user_id = %d ', $user_id );
		$user_statistics = $wpdb->get_row( $query, 'ARRAY_A' );


		?>
		<div class="ld-dashboard-statistics-container">
			<?php
			/**
			 * Display Course Count
			 */
			if ( isset( $tiles_options['course-count'] ) && $tiles_options['course-count'] == 1 && ( learndash_is_admin_user( $user_id ) || ld_dashboard_instructor_user( $user_id ) || ld_dashboard_is_instructor_group_leader() || ( learndash_is_group_leader_user( $user_id ) ) ) ) {
				$sfwd_courses_total = count_user_posts( $user_id, 'sfwd-courses' );

				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-courses" style="border-color: <?php echo ( isset( $tiles_options['course-count-bgcolor'] ) && ! empty( $tiles_options['course-count-bgcolor'] ) ) ? esc_attr( $tiles_options['course-count-bgcolor'] ) : ''; ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo ( isset( $tiles_options['course-count-bgcolor'] ) && ! empty( $tiles_options['course-count-bgcolor'] ) ) ? esc_attr( $tiles_options['course-count-bgcolor'] ) : ''; ?>" class="ldd-icons ldd-icon-book-2-line"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="learndash-statistics">
								<?php
								$course_count = [];
								if ( isset( $user_statistics['course_count'] ) ) {
									$course_count = $user_statistics['course_count'];
								} else {
									if ( learndash_is_admin_user( $user_id ) || ( learndash_is_group_leader_user( $user_id ) && 'advanced' === learndash_get_group_leader_manage_courses() ) ) {
										$course_count = $this->ld_dashboard_count_post_type( 'sfwd-courses' );
									} elseif ( learndash_is_group_leader_user( $user_id ) && 'basic' === learndash_get_group_leader_manage_courses() ) {
										$course_count = learndash_get_group_leader_groups_courses();
									} elseif ( ld_dashboard_instructor_user( $user_id ) ) {
										$course_count = Ld_Dashboard_Public::get_instructor_courses_list();
									}
								}

								echo is_array( $course_count ) ? esc_html( count( $course_count ) ) : esc_html( $course_count );
								?>
							</strong>
							<h2 class="statistics-label">
								<?php echo esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ); ?>
							</h2>
						</div>
					</div>
				</div>
				<?php
			}

			/**
			 * Display Lessons count
			 */
			if ( isset( $tiles_options['lessons-count'] ) && $tiles_options['lessons-count'] == 1 ) {
				$show_lesson_count = learndash_is_admin_user( $user_id ) ||
					ld_dashboard_instructor_user( $user_id ) ||
					ld_dashboard_is_instructor_group_leader() ||
					( learndash_is_group_leader_user( $user_id ) );

				if ( $show_lesson_count ) {
					$lessons_bgcolor = isset( $tiles_options['lessons-count-bgcolor'] ) && ! empty( $tiles_options['lessons-count-bgcolor'] ) ? esc_attr( $tiles_options['lessons-count-bgcolor'] ) : '';
					?>
					<div class="col-1-2 ld-dashboard-statistics learndash-lessons" style="border-color: <?php echo esc_attr( $lessons_bgcolor ); ?>">
						<div class="statistics-inner">
							<div class="ld-dashboard-icons">
								<span style="color: <?php echo esc_attr( $lessons_bgcolor ); ?>" class="ldd-icons ldd-icon-file-list-3-line"></span>
							</div>
							<div class="ld-statistic-count">
								<strong class="learndash-statistics">
									<?php
									$lesson_count = [];
									if ( isset( $user_statistics['lessons_count'] ) ) {
										$lesson_count = $user_statistics['lessons_count'];
									} else {
										if ( learndash_is_admin_user( $user_id ) || ( learndash_is_group_leader_user( $user_id ) && 'advanced' === learndash_get_group_leader_manage_courses() ) ) {
											$lesson_count = $this->ld_dashboard_count_post_type( 'sfwd-lessons' );
										} elseif ( learndash_is_group_leader_user( $user_id ) && 'basic' === learndash_get_group_leader_manage_courses() ) {
											$lesson_count = Ld_Dashboard_Public::get_group_leader_courses_lessons();
										} elseif ( ld_dashboard_instructor_user( $user_id ) ) {
											$lesson_count = Ld_Dashboard_Public::get_instructor_lessons_list();
										}
									}

									echo is_array( $lesson_count ) ? esc_html( count( $lesson_count ) ) : esc_html( $lesson_count );
									?>
								</strong>
								<h2 class="statistics-label">
									<?php echo esc_html( LearnDash_Custom_Label::get_label( 'lessons' ) ); ?>
								</h2>
							</div>
						</div>
					</div>
					<?php
				}
			}

			/**
			 * Display topics count
			 */
			if ( isset( $tiles_options['topics-count'] ) && $tiles_options['topics-count'] == 1 ) {
				$show_topics_count = learndash_is_admin_user( $user_id ) ||
					ld_dashboard_instructor_user( $user_id ) ||
					ld_dashboard_is_instructor_group_leader() ||
					( learndash_is_group_leader_user( $user_id ) );

				if ( $show_topics_count ) {
					$topics_bgcolor = isset( $tiles_options['topics-count-bgcolor'] ) && ! empty( $tiles_options['topics-count-bgcolor'] ) ? esc_attr( $tiles_options['topics-count-bgcolor'] ) : '';
					?>
					<div class="col-1-2 ld-dashboard-statistics learndash-topics" style="border-color: <?php echo esc_attr( $topics_bgcolor ); ?>">
						<div class="statistics-inner">
							<div class="ld-dashboard-icons">
								<span style="color: <?php echo esc_attr( $topics_bgcolor ); ?>" class="ldd-icons ldd-icon-file-copy-2-line"></span>
							</div>
							<div class="ld-statistic-count">
								<strong class="learndash-statistics">
									<?php
									$topics_count = [];
									if ( isset( $user_statistics['topics_count'] ) ) {
										$topics_count = $user_statistics['topics_count'];
									} else {
										if ( learndash_is_admin_user( $user_id ) || ( learndash_is_group_leader_user( $user_id ) && 'advanced' === learndash_get_group_leader_manage_courses() ) ) {
											$topics_count = $this->ld_dashboard_count_post_type( 'sfwd-topic' );
										} elseif ( learndash_is_group_leader_user( $user_id ) && 'basic' === learndash_get_group_leader_manage_courses() ) {
											$topics_count = Ld_Dashboard_Public::get_group_leader_lessons_contents( 'topics' );
										} elseif ( ld_dashboard_instructor_user( $user_id ) ) {
											$topics_count = Ld_Dashboard_Public::get_instructor_lessons_contents( 'topics' );
										}
									}

									echo is_array( $topics_count ) ? esc_html( count( $topics_count ) ) : esc_html( $topics_count );
									?>
								</strong>
								<h2 class="statistics-label">
									<?php echo esc_html( LearnDash_Custom_Label::get_label( 'topics' ) ); ?>
								</h2>
							</div>
						</div>
					</div>
					<?php
				}
			}

			/**
			 * Display Quizzes Count
			 */
			if ( isset( $tiles_options['quizzes-count'] ) && $tiles_options['quizzes-count'] == 1 ) {
				$show_quizzes_count = learndash_is_admin_user( $user_id ) ||
					ld_dashboard_instructor_user( $user_id ) ||
					ld_dashboard_is_instructor_group_leader() ||
					( learndash_is_group_leader_user( $user_id ) );

				if ( $show_quizzes_count ) {
					$quizzes_bgcolor = isset( $tiles_options['quizzes-count-bgcolor'] ) && ! empty( $tiles_options['quizzes-count-bgcolor'] ) ? esc_attr( $tiles_options['quizzes-count-bgcolor'] ) : '';
					?>
					<div class="col-1-2 ld-dashboard-statistics learndash-quizzes" style="border-color: <?php echo esc_attr( $quizzes_bgcolor ); ?>">
						<div class="statistics-inner">
							<div class="ld-dashboard-icons">
								<span style="color: <?php echo esc_attr( $quizzes_bgcolor ); ?>" class="ldd-icons ldd-icon-puzzle-piece"></span>
							</div>
							<div class="ld-statistic-count">
								<strong class="learndash-statistics">
									<?php
									if ( isset( $user_statistics['quizze_count'] ) ) {
										$quizzes_count = $user_statistics['quizze_count'];
									} else {
										if ( learndash_is_admin_user( $user_id ) || ( learndash_is_group_leader_user( $user_id ) && 'advanced' === learndash_get_group_leader_manage_courses() ) ) {
											$quizzes_count = $this->ld_dashboard_count_post_type( 'sfwd-quiz' );
										} elseif ( learndash_is_group_leader_user( $user_id ) && 'basic' === learndash_get_group_leader_manage_courses() ) {
											$quizzes_count = Ld_Dashboard_Public::get_group_leader_lessons_contents( 'quizzes' );
										} elseif ( ld_dashboard_instructor_user( $user_id ) ) {
											$quizzes_count = Ld_Dashboard_Public::get_instructor_lessons_contents( 'quizzes' );
										} else {
											$total_quizzes = $this->ld_dashboard_get_student_data( $user_id );
											$quizzes_count = $total_quizzes['quiz_completed'];
										}
									}

									echo is_array( $quizzes_count ) ? esc_html( count( $quizzes_count ) ) : esc_html( $quizzes_count );
									?>
								</strong>
								<h2 class="statistics-label">
									<?php echo esc_html( LearnDash_Custom_Label::get_label( 'quizzes' ) ); ?>
								</h2>
							</div>
						</div>
					</div>
					<?php
				}
			}


			/**
			 * Display enrolled course count
			 */
			$enrolled_courses = array();
			if ( isset( $tiles_options['enrolled_courses_count'] ) && $tiles_options['enrolled_courses_count'] == 1 && ( $is_student == '1' || in_array( 'ld_instructor', $user_roles ) || learndash_is_admin_user() ) ) {

				$enrolled_bgcolor = ( isset( $tiles_options['enrolled_courses_count_bgcolor'] ) && $tiles_options['enrolled_courses_count_bgcolor'] != '' ) ? $tiles_options['enrolled_courses_count_bgcolor'] : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-students" style="border-color: <?php echo esc_attr( $enrolled_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $enrolled_bgcolor ); ?>" class="ldd-icons ldd-icon-book-reader"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="statistics">
								<?php
								if ( isset( $user_statistics['enrolled_course_count'] ) ) {
									echo esc_html( $user_statistics['enrolled_course_count'] );
								} else {
									$enrolled_courses = learndash_user_get_enrolled_courses( $user_id, array(), true );
									echo esc_html( count( $enrolled_courses ) );
								}
								?>
							</strong>
							<h2 class="statistics-label">
								<?php
								/* translators: %s: Course Label. */
								printf( esc_html__( 'Enrolled %s', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) );
								?>
							</h2>
						</div>
					</div>
				</div>
				<?php
				$active_courses    = 0;
				$completed_courses = 0;
				if ( is_array( $enrolled_courses ) && count( $enrolled_courses ) > 0 ) {
					foreach ( $enrolled_courses as $course_id ) {
						$course_data = learndash_user_get_course_progress( $user_id, $course_id, 'summary' );
						if ( $course_data['status'] == 'completed' ) {
							$completed_courses++;
						}
						if ( $course_data['status'] == 'in_progress' ) {
							$active_courses++;
						}
					}
				}
			}

			/**
			 * Display active courses count
			 */
			if ( isset( $tiles_options['active_courses_count'] ) && $tiles_options['active_courses_count'] == 1 && ( $is_student == '1' || in_array( 'ld_instructor', $user_roles ) || learndash_is_admin_user() ) ) {
				$active_bgcolor = isset( $tiles_options['active_courses_count_bgcolor'] ) && $tiles_options['active_courses_count_bgcolor'] != '' ? $tiles_options['active_courses_count_bgcolor'] : '';

				$active_courses    = 0;
				$completed_courses = 0;

				if ( isset( $user_statistics['active_course_count'] ) ) {
					$active_courses    = $user_statistics['active_course_count'];
					$completed_courses = $user_statistics['completed_course_count'];
				} else {
					$enrolled_courses = learndash_user_get_enrolled_courses( $user_id, array(), true );

					if ( is_array( $enrolled_courses ) && count( $enrolled_courses ) > 0 ) {
						foreach ( $enrolled_courses as $course_id ) {
							$course_data = learndash_user_get_course_progress( $user_id, $course_id, 'summary' );

							if ( $course_data['status'] == 'completed' ) {
								$completed_courses++;
							}
							if ( $course_data['status'] == 'in_progress' ) {
								$active_courses++;
							}
						}
					}
				}

				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-students" style="border-color: <?php echo esc_attr( $active_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $active_bgcolor ); ?>" class="ldd-icons ldd-icon-book-mark-line"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="statistics"><?php echo esc_html( $active_courses ); ?></strong>
							<h2 class="statistics-label">
								<?php
								/* translators: %s: Course Label. */
								printf( esc_html__( 'Active %s', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) );
								?>
							</h2>
						</div>
					</div>
				</div>
				<?php
			}

			/**
			 * Display completed courses count
			 */
			if ( isset( $tiles_options['completed_courses_count'] ) && $tiles_options['completed_courses_count'] == 1 && ( $is_student == '1' || in_array( 'ld_instructor', $user_roles ) || learndash_is_admin_user() ) ) {
				$completed_bgcolor = isset( $tiles_options['completed_courses_count_bgcolor'] ) && $tiles_options['completed_courses_count_bgcolor'] != '' ? $tiles_options['completed_courses_count_bgcolor'] : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-students" style="border-color: <?php echo esc_attr( $completed_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $completed_bgcolor ); ?>" class="ldd-icons ldd-icon-file-certificate"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="statistics"><?php echo esc_html( $completed_courses ); ?></strong>
							<h2 class="statistics-label">
								<?php
								/* translators: %s: Course Label. */
								printf( esc_html__( 'Completed %s', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) );
								?>
							</h2>
						</div>
					</div>
				</div>
				<?php
			}

			/**
			 * Display Approved Assignments Count
			 */
			if ( ( $is_student == '1' || in_array( 'ld_instructor', $user_roles ) || learndash_is_admin_user() ) && isset( $tiles_options['assignments-count'] ) && $tiles_options['assignments-count'] == 1 ) {
				$approved_bgcolor = isset( $tiles_options['approved-assignments-bgcolor'] ) && ! empty( $tiles_options['approved-assignments-bgcolor'] ) ? esc_attr( $tiles_options['approved-assignments-bgcolor'] ) : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-assignments" style="border-color: <?php echo esc_attr( $approved_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $approved_bgcolor ); ?>" class="ldd-icons ldd-icon-calendar-check-line"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="learndash-statistics">
								<?php
								if ( isset( $user_statistics['approved_assignment_count'] ) && ! empty( $user_statistics['approved_assignment_count'] ) ) {
									echo esc_html( $user_statistics['approved_assignment_count'] );
								} else {
									$assignments_args = array(
										'post_type'   => 'sfwd-assignment',
										'post_status' => 'publish',
										'fields'      => 'ids',
										'meta_query'  => array(
											array(
												'key'     => 'approval_status',
												'value'   => 1,
												'compare' => '=',
											),
										),
									);

									if ( $is_student == '1' ) {
										$assignments_args['author'] = $user_id;
									}

									if ( in_array( 'ld_instructor', $user_roles ) ) {
										$get_courses_sql = $wpdb->prepare(
											"SELECT ID FROM {$wpdb->prefix}posts 
                                INNER JOIN {$wpdb->prefix}postmeta pm 
                                ON ( {$wpdb->prefix}posts.ID = pm.post_id ) 
                                WHERE ( post_author = %d 
                                OR ( pm.meta_key = '_ld_instructor_ids' 
                                AND pm.meta_value REGEXP %s ) ) 
                                AND post_type = 'sfwd-courses' 
                                AND {$wpdb->prefix}posts.post_status = 'publish' 
                                GROUP BY {$wpdb->prefix}posts.ID",
											$user_id,
											'.*;s:[0-9]+:"' . $user_id . '.*'
										);

										$courses    = $wpdb->get_results( $get_courses_sql );
										$course_ids = wp_list_pluck( $courses, 'ID' );

										$assignments_args['meta_query'][] = array(
											'key'     => 'course_id',
											'value'   => $course_ids,
											'compare' => 'IN',
										);
									}

									echo esc_html( learndash_get_assignments_pending_count( $assignments_args ) );
								}
								?>
							</strong>
							<h2 class="statistics-label">
								<?php esc_html_e( 'Approved Assignments', 'ld-dashboard' ); ?>
							</h2>
						</div>
					</div>
				</div>
				<?php
			}

			/**
			 * Display Not Approved Assignments Count
			 */
			if ( ( $is_student == '1' || in_array( 'ld_instructor', $user_roles ) || learndash_is_admin_user() ) && isset( $tiles_options['not-approved-assignments-count'] ) && $tiles_options['not-approved-assignments-count'] == 1 ) {
				$assignments_completed = '';
				$not_approved_bgcolor  = isset( $tiles_options['not-approved-assignments-bgcolor'] ) && ! empty( $tiles_options['not-approved-assignments-bgcolor'] ) ? esc_attr( $tiles_options['not-approved-assignments-bgcolor'] ) : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-assignments" style="border-color: <?php echo esc_attr( $not_approved_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $not_approved_bgcolor ); ?>" class="ldd-icons ldd-icon-calendar-check-line"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="learndash-statistics">
								<?php
								if ( isset( $user_statistics['not_approved_assignment_count'] ) && ! empty( $user_statistics['not_approved_assignment_count'] ) ) {
									echo esc_html( $user_statistics['not_approved_assignment_count'] );
								} else {
									$assignments_args = array(
										'post_type'   => 'sfwd-assignment',
										'post_status' => 'publish',
										'fields'      => 'ids',
										'meta_query'  => array(
											array(
												'key'     => 'approval_status',
												'compare' => 'NOT EXISTS',
											),
										),
									);

									if ( $is_student == 1 ) {
										$assignments_args['author'] = $user_id;
									}

									if ( in_array( 'ld_instructor', $user_roles ) ) {
										$get_courses_sql = $wpdb->prepare(
											"SELECT ID FROM {$wpdb->prefix}posts 
                                INNER JOIN {$wpdb->prefix}postmeta pm 
                                ON ( {$wpdb->prefix}posts.ID = pm.post_id ) 
                                WHERE ( post_author = %d 
                                OR ( pm.meta_key = '_ld_instructor_ids' 
                                AND pm.meta_value REGEXP %s ) ) 
                                AND post_type = 'sfwd-courses' 
                                AND {$wpdb->prefix}posts.post_status = 'publish' 
                                GROUP BY {$wpdb->prefix}posts.ID",
											$user_id,
											'.*;s:[0-9]+:"' . $user_id . '.*'
										);

										$courses    = $wpdb->get_results( $get_courses_sql );
										$course_ids = wp_list_pluck( $courses, 'ID' );

										$assignments_args['meta_query'][] = array(
											'key'     => 'course_id',
											'value'   => $course_ids,
											'compare' => 'IN',
										);
									}

									echo esc_html( learndash_get_assignments_pending_count( $assignments_args ) );
								}
								?>
							</strong>
							<h2 class="statistics-label">
								<?php esc_html_e( 'Not Approved Assignments', 'ld-dashboard' ); ?>
							</h2>
						</div>
					</div>
				</div>
				<?php
			}

			/**
			 * Display graded essays count
			 */
			if ( ( $is_student == '1' || in_array( 'ld_instructor', $user_roles ) || learndash_is_admin_user() ) && isset( $tiles_options['essays-pending-count'] ) && $tiles_options['essays-pending-count'] == 1 ) {
				$essays_pending_bgcolor = isset( $tiles_options['essays-pending-count-bgcolor'] ) && $tiles_options['essays-pending-count-bgcolor'] != '' ? esc_attr( $tiles_options['essays-pending-count-bgcolor'] ) : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-essays" style="border-color: <?php echo esc_attr( $essays_pending_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $essays_pending_bgcolor ); ?>" class="ldd-icons ldd-icon-file-warning-line"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="learndash-statistics">
								<?php
								echo esc_html( ld_dashboard_get_essay_count() );
								?>
							</strong>
							<h2 class="statistics-label">
								<?php esc_html_e( 'Graded Essays', 'ld-dashboard' ); ?>
							</h2>
						</div>
					</div>
				</div>
				<?php
			}

			/**
			 * Display not graded essays count
			 */
			if ( ( $is_student == '1' || in_array( 'ld_instructor', $user_roles ) || learndash_is_admin_user() ) && isset( $tiles_options['not-graded-essays-count'] ) && $tiles_options['not-graded-essays-count'] == 1 ) {
				$not_graded_bgcolor = isset( $tiles_options['not-graded-essays-bgcolor'] ) && $tiles_options['not-graded-essays-bgcolor'] != '' ? esc_attr( $tiles_options['not-graded-essays-bgcolor'] ) : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-essays" style="border-color: <?php echo esc_attr( $not_graded_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $not_graded_bgcolor ); ?>" class="ldd-icons ldd-icon-file-warning-line"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="learndash-statistics">
								<?php
								if ( isset( $user_statistics['not_graded_essays_count'] ) ) {
									echo esc_html( $user_statistics['not_graded_essays_count'] );
								} else {
									echo esc_html( ld_dashboard_get_essay_count( 'found_posts', 'not_graded' ) );
								}
								?>
							</strong>
							<h2 class="statistics-label">
								<?php esc_html_e( 'Not Graded Essays', 'ld-dashboard' ); ?>
							</h2>
						</div>
					</div>
				</div>
				<?php
			}


			/**
			 * Display Students Count
			 */
			if ( isset( $tiles_options['student-count'] ) && $tiles_options['student-count'] == 1 && ( learndash_is_admin_user( $user_id ) || ld_dashboard_instructor_user( $user_id ) || ld_dashboard_is_instructor_group_leader() || ( learndash_is_group_leader_user( $user_id ) ) ) ) {

				if ( learndash_is_admin_user( $user_id ) ) {
					$total_students = ld_dashboard_get_students( $user_id, false );
				} else {
					$total_students = ld_dashboard_get_students( $user_id );
				}

				$students_count = count( $total_students );

				$students_bgcolor = isset( $tiles_options['student-count-bgcolor'] ) && $tiles_options['student-count-bgcolor'] != '' ? esc_attr( $tiles_options['student-count-bgcolor'] ) : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-students" style="border-color: <?php echo esc_attr( $students_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $students_bgcolor ); ?>" class="ldd-icons ldd-icon-group-line"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="statistics"><?php echo esc_html( $students_count ); ?></strong>
							<h2 class="statistics-label"><?php esc_html_e( 'Total Students', 'ld-dashboard' ); ?></h2>
						</div>
					</div>
				</div>
				<?php
			}


			/**
			 * Display certificate count
			 */
			if ( $is_student == '1' && isset( $tiles_options['certificate-count'] ) ) {
				$certificate_bgcolor = isset( $tiles_options['certificate-count-bgcolor'] ) && $tiles_options['certificate-count-bgcolor'] != '' ? esc_attr( $tiles_options['certificate-count-bgcolor'] ) : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-essays" style="border-color: <?php echo esc_attr( $certificate_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $certificate_bgcolor ); ?>" class="ldd-icons ldd-icon-file-certificate"></span>
						</div>
						<div class="ld-statistic-count">
							<strong class="learndash-statistics">
								<?php
								if ( isset( $user_statistics['certificate_count'] ) ) {
									echo esc_html( $user_statistics['certificate_count'] );
								} else {
									$certificate_count = learndash_get_certificate_count( get_current_user_id() );
									echo esc_html( ! empty( $certificate_count ) ? $certificate_count : '0' );
								}
								?>
							</strong>
							<h2 class="statistics-label">
								<?php esc_html_e( 'Certificates', 'ld-dashboard' ); ?>
							</h2>
						</div>
					</div>
				</div>
				<?php
			}

			/**
			 * Tiles to display total instructor earnings
			 */
			if ( in_array( 'ld_instructor', (array) $current_user->roles ) && isset( $tiles_options['total-earning'] ) && $tiles_options['total-earning'] == 1 && ld_dashboard_is_commission_enabled() ) {
				$earning_bgcolor = isset( $tiles_options['total-earning-bgcolor'] ) && $tiles_options['total-earning-bgcolor'] != '' ? esc_attr( $tiles_options['total-earning-bgcolor'] ) : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-instructor-earning" style="border-color: <?php echo esc_attr( $earning_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color:<?php echo esc_attr( $earning_bgcolor ); ?>" class="ldd-icons ldd-icon-money-dollar-box-line"></span>
						</div>
						<div class="ld-statistic-count">
							<?php
							$currency = ( version_compare( LEARNDASH_VERSION, '4.1.0', '<' ) ) ? learndash_30_get_currency_symbol() : learndash_get_currency_symbol();
							?>
							<strong id="earnings-usd" class="learndash-statistics"><?php echo '<span class="small">' . wp_kses_post( $currency ) . '</span> ' . esc_html( ld_dashboard_get_instructor_earnings() ); ?></strong>
							<h2 class="statistics-label">
								<?php echo esc_html__( 'Total Earnings', 'ld-dashboard' ); ?>
							</h2>
						</div>
					</div>
				</div>
				<?php
			}


			/**
			 * Display Group Count
			 */
			if ( isset( $tiles_options['groups-count'] ) && $tiles_options['groups-count'] == 1 && ( learndash_is_admin_user() || learndash_is_group_leader_user() ) ) {
				$groups_bgcolor = isset( $tiles_options['groups-count-bgcolor'] ) && ! empty( $tiles_options['groups-count-bgcolor'] ) ? esc_attr( $tiles_options['groups-count-bgcolor'] ) : '';
				?>
				<div class="col-1-2 ld-dashboard-statistics learndash-instructor-earning" style="border-color: <?php echo esc_attr( $groups_bgcolor ); ?>">
					<div class="statistics-inner">
						<div class="ld-dashboard-icons">
							<span style="color: <?php echo esc_attr( $groups_bgcolor ); ?>; font-size: 30px;" class="ldd-icons ldd-icon-users"></span>
						</div>
						<div class="ld-statistic-count">
							<?php
							if ( isset( $user_statistics['group_count'] ) ) {
								$group_count = $user_statistics['group_count'];
							} else {
								$group_ids   = learndash_get_groups( true, $user_id );
								$group_count = ! empty( $group_ids ) ? count( $group_ids ) : 0;
							}
							?>
							<strong class="statistics"><?php echo esc_html( $group_count ); ?></strong>
							<h2 class="statistics-label"><?php esc_html_e( 'Total Groups', 'ld-dashboard' ); ?></h2>
						</div>
					</div>
				</div>
				<?php
			}
			?>
			<?php do_action( 'ld_dashboard_after_statistics_tiles' ); ?>
		</div><!-- .ld-dashboard-statistics-container -->
		<?php
	endif; /*  Display Statistics Tiles */

	do_action( 'ld_dashboard_after_statistics_container' );
	?>

</div>

<div class="ld-dashboard-content-inner ld-dashboard-box-style">
	<div class="ld-dashboard-info-table-wrap popular-courses-wrap">
		<?php
		$functions               = Ld_Dashboard_Functions::instance();
		$course_settings         = $functions->ld_dashboard_settings_data();
		$course_general_settings = $course_settings['general_settings'];
		if ( isset( $course_general_settings['popular-course-report'] ) && 1 == $course_general_settings['popular-course-report'] ) {

			$most_popular_courses = array();
			$current_user_data    = get_userdata( $user_id );
			$current_user_roles   = $current_user_data->roles;
			if ( learndash_is_admin_user() ) {
				$all_courses_query_args = array(
					'post_type'      => 'sfwd-courses',
					'post_status'    => 'publish',
					'posts_per_page' => -1,
					'fields'         => 'ids',
					'tax_query'      => array(
						array(
							'taxonomy' => 'ld_course_tag',
							'field'    => 'term_id',
							'terms'    => array( $course_general_settings['popular_course_tag'] ),
						),
					),
				);
				$most_popular_courses   = get_posts( $all_courses_query_args );
			} elseif ( learndash_is_group_leader_user() && ! in_array( 'ld_instructor', $current_user->roles ) && ld_dashboard_most_popular_course_enable_for( 'group-leader' ) ) {
				$group_course           = learndash_get_group_leader_groups_courses( $user_id );
				$all_courses_query_args = array(
					'post_type'      => 'sfwd-courses',
					'post_status'    => 'publish',
					'posts_per_page' => -1,
					'fields'         => 'ids',
					'post__in'       => ( ! empty( $group_course ) ) ? $group_course : array( 0 ),
					'tax_query'      => array(
						array(
							'taxonomy' => 'ld_course_tag',
							'field'    => 'term_id',
							'terms'    => array( $course_general_settings['popular_course_tag'] ),
						),
					),
				);
				$most_popular_courses   = get_posts( $all_courses_query_args );
			} elseif ( in_array( 'ld_instructor', $current_user_roles ) ) {

				$course_args          = array(
					'post_type'      => 'sfwd-courses',
					'author'         => $user_id,
					'post_status'    => 'publish',
					'posts_per_page' => -1,
					'fields'         => 'ids',
					'tax_query'      => array(
						array(
							'taxonomy' => 'ld_course_tag',
							'field'    => 'term_id',
							'terms'    => array( $course_general_settings['popular_course_tag'] ),
						),
					),
				);
				$shared_course_args   = array(
					'post_type'      => 'sfwd-courses',
					'post_status'    => 'publish',
					'meta_query'     => array(
						array(
							'key'     => '_ld_instructor_ids',
							'value'   => '"' . $user_id . '"',
							'compare' => 'LIKE',
						),
					),
					'posts_per_page' => -1,
					'fields'         => 'ids',
					'tax_query'      => array(
						array(
							'taxonomy' => 'ld_course_tag',
							'field'    => 'term_id',
							'terms'    => array( $course_general_settings['popular_course_tag'] ),
						),
					),
				);
				$most_popular_courses = get_posts( $course_args );
				$shared_courses       = get_posts( $shared_course_args );
				if ( count( $shared_courses ) > 0 ) {
					$most_popular_courses = array_merge( $most_popular_courses, $shared_courses );
				}
			} elseif ( ! learndash_is_admin_user() && ! learndash_is_group_leader_user() && ! in_array( 'ld_instructor', $current_user->roles ) && ld_dashboard_most_popular_course_enable_for( 'student' ) ) {
				$all_courses_query_args = array(
					'post_type'   => 'sfwd-courses',
					'post_status' => 'publish',
					'numberposts' => -1,
					'fields'      => 'ids',
					'tax_query'   => array(
						array(
							'taxonomy' => 'ld_course_tag',
							'field'    => 'term_id',
							'terms'    => array( $course_general_settings['popular_course_tag'] ),
						),
					),
				);
				$most_popular_courses   = get_posts( $all_courses_query_args );
			}

			if ( count( $most_popular_courses ) > 0 ) {

				$q = "SELECT course_id, count(course_id) as course_count
				FROM {$wpdb->prefix}learndash_user_activity					
				WHERE activity_type IN ('course', 'access' ) AND course_id IN ('" . implode( "','", $most_popular_courses ) . "') group by course_id order BY course_count DESC LIMIT 5";

				$students_arr = $wpdb->get_results( $q, 'ARRAY_A' );
				?>

				<div class="ld-dashboard-seperator popular-courses-heading">
					<div class="ld-dashboard-title-info">
						<?php
						/* translators: %s: Course Label. */
						printf( esc_html__( 'Featured %s', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) );
						?>
					</div>
				</div>
				<?php if ( count( $students_arr ) > 0 ) { ?>
					<div class="ld-dashboard-info-table">
						<ul class="ld-dashboard-popular-courses-inner">
							<?php
							foreach ( $students_arr as $key => $value ) :

								$crs   = get_post( $value['course_id'] );
								$count = $value['course_count'];
								if ( 'publish' == $crs->post_status ) {
									$crs_status = esc_html__( 'Published', 'ld-dashboard' );
								} elseif ( 'draft' == $crs->post_status ) {
									$crs_status = esc_html__( 'Draft', 'ld-dashboard' );
								} elseif ( 'pending' == $crs->post_status ) {
									$crs_status = esc_html__( 'Pending', 'ld-dashboard' );
								}
								?>
								<li>
									<div class="ld-popular-courses-inner">
										<div class="ld-popular-courses-img">
											<a href="<?php echo esc_url( get_permalink( $crs->ID ) ); ?>" target="_blank">
												<?php
												if ( has_post_thumbnail( $crs->ID ) ) :
													$attachment_image = wp_get_attachment_url( get_post_thumbnail_id( $crs->ID ) );
													echo '<img src="' . esc_attr( $attachment_image ) . '">';
												else :
													echo '<img src="' . esc_url( LD_DASHBOARD_PLUGIN_URL ) . 'public/img/course-default.png' . '">';
												endif;
												?>
											</a>
										</div>
										<div class="ld-popular-courses-content">
											<a href="<?php echo esc_url( get_permalink( $crs->ID ) ); ?>" target="_blank"><?php echo esc_html( $crs->post_title ); ?></a>
											<span><?php esc_html_e( 'Enrolled Students:', 'ld-dashboard' ); ?> <?php echo esc_html( $count ); ?></span>
										</div>
									</div>
									<div class="ld-popular-courses-status">
										<small class="label-course-status label-course-<?php echo esc_attr( $crs_status ); ?>"> <?php echo esc_html( ucfirst( $crs->post_status ) ); ?></small>
									</div>
								</li>
							<?php endforeach; ?>
						</ul>
					</div>

					<?php
				} else {
					?>

					<p class="ld-dashboard-warning">
					<?php
					/* translators: %s: Course Label. */
					printf( esc_html__( 'No %s available at the moment.', 'ld-dashboard' ), esc_html( strtolower( LearnDash_Custom_Label::get_label( 'courses' ) ) ) );
					?>
					</p>

					<?php
				}
			}
		}
		?>
	</div>
</div>
