<?php

$group_id        = isset( $_GET['ld-group'] ) ? sanitize_text_field( wp_unslash( $_GET['ld-group'] ) ) : 0;
$group_nonce     = wp_create_nonce( 'group-nonce' );
$group_form_args = array(
	'id'                  => 'acf-form',
	'field_groups'        => array( 'group-field-group' ),
	'form'                => true,
	'html_submit_button'  => '<input type="submit" class="acf-button button button-primary button-large" value="%s" />',
	'html_submit_spinner' => '<span class="acf-spinner"></span>',
	'return'              => $my_dashboard_url . '/?action=edit&tab=groups&ld-group=%post_id%&is_submit=1&_lddnonce=' . $group_nonce,
);

if ( 'add' === $_GET['action'] ) {
	$group_form_args['post_id']      = 'new_post';
	$group_form_args['submit_value'] = esc_html__( 'Submit', 'ld-dashboard' );
	$group_form_args['new_post']     = array(
		'post_type'   => 'groups',
		'post_status' => 'publish',
	);
}
if ( 'edit' === $_GET['action'] ) {
	$group_form_args['post_id']      = $group_id;
	$group_form_args['submit_value'] = esc_html__( 'Update', 'ld-dashboard' );
}


?>
<div class="ld-dashboard-header-top-action">
	<div class="ld-dashboard-builder-actios-wrapper">
		<div class="ld-dashboard-builder-actions-links ld-flex-wrap">
			<div class="ld-dashboard-builder-action-back-course">
				<div class="ld-dashboard-back-to-<?php echo esc_attr( learndash_get_custom_label_lower( 'groups' ) ); ?>">
					<a href="<?php echo esc_url( $my_dashboard_url ) . '?tab=groups'; ?>"><span class="ldd-icon-left-open-big"></span> <?php 
					/* translators: %s: Groups label. */
					printf( __( 'Back to all %s', 'ld-dashboard' ), learndash_get_custom_label( 'groups' ) ); ?></a>
				</div>
				<?php if ( ! empty( ld_dashboard_get_post_status( $group_id ) ) ) : ?>
					<div class="ld-dashboard-post-status">
						<span><?php echo ucfirst( ld_dashboard_get_post_status() ); ?></span>
					</div>
				<?php endif; ?>
			</div>
			<div class="ld-dashboard-builder-action-right-wrap">
				<div class="ld-dashboard-post-action-link">
					<?php echo ld_dahboard_post_trash_button(); ?>
				</div>
				<div class="ld-dashboard-post-action-link">
					<?php echo ld_dahboard_post_view_button(); ?> 
				</div>
			</div>
		</div>
	</div>				
	<div class="ld-groups-title-wrap ld-dashboard-builder-action-title-wrap">
		<h1><?php echo ld_dashboard_get_post_title(); ?></h1>
	</div>
</div>
<?php acf_form( $group_form_args ); ?>
