<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $courses,$course_ids, $wpdb;
$show_filter = false;
$user_id     = get_current_user_id();
$user        = wp_get_current_user();
$args        = array();

/* Get the Courses */
if ( learndash_is_admin_user() || ld_dashboard_instructor_user( $user_id ) || learndash_is_group_leader_user() ) {
	$show_filter = true;
}

if ( learndash_is_admin_user() ) {
	$students = ld_dashboard_get_students( $user_id, false );
} else {
	$students = ld_dashboard_get_students( $user_id );
}


$loader = includes_url( 'images/spinner-2x.gif' );
$loader = apply_filters( 'ld_dashboard_loader_img_url', $loader );

$courseid  = '';
$studentid = '';
if ( isset( $_GET['ld-course'] ) ) {
	$courseid = $_GET['ld-course'];
}
if ( isset( $_GET['ld-student'] ) ) {
	$studentid = $_GET['ld-student'];
}



$course_label = LearnDash_Custom_Label::get_label( 'course' );
$courses      = ld_dashboard_get_user_courses_list( get_current_user_id() );
?>
	<div class="ld-dashboard-sidebar-right live-course-activity">
		<?php do_action( 'ld_dashboard_before_course_activity_section' ); ?>
		
		<?php if ( $show_filter && ! empty( $courses ) ) : ?>
			<form action="" method="get" class="ld-course-filter-form">
				<input type="hidden" name="tab" value="activity" />
				<?php if ( ! empty( $courses ) ) : ?>
					<div class="ld-dashboard-courses">
						<select id="ld-dashboard-courses-id" name="ld-course" class="ld-dashboard-select">
							<option value=""><?php esc_html_e( 'Select Course', 'ld-dashboard' ); ?></option>
							<?php foreach ( $courses as $index => $course ) { ?>
								<option value="<?php echo esc_attr( $course->ID ); ?>" <?php selected( $courseid, $course->ID ); ?>><?php echo esc_html( $course->post_title ); ?></option>
							<?php } ?>
						</select>
					</div>
				<?php endif; ?>
				
				<?php if ( ! empty( $students ) ) : ?>
					<div class="ld-dashboard-students">
						<select id="ld-dashboard-students-id" name="ld-student" class="ld-dashboard-select">
							<option value=""><?php esc_html_e( 'Select Student', 'ld-dashboard' ); ?></option>
							<?php foreach ( $students as $student ) { ?>
								<option value="<?php echo esc_attr( $student->ID ); ?>" <?php selected( $studentid, $student->ID ); ?>><?php echo esc_html( $student->display_name ) . ' (' . esc_html( $student->user_email ) . ')'; ?></option>
							<?php } ?>
						</select>
					</div>
				<?php endif; ?>
				<input type="hidden" name="is_search_acctivity" value="1" />
				<input class="btn-search-activity" type="submit" value="<?php esc_html_e( 'Search Activity', 'ld-dashboard' ); ?>" />
			</form>
		<?php endif; ?>
		
		<div class="ld-dashboard-feed-wrapper">
			<h3 class="ld-dashboard-feed-title"><?php echo sprintf(/* translators: %s: Courses Label. */ esc_html__( 'Live  %s Activity', 'ld-dashboard' ), esc_html( $course_label ) ); ?></h3>
			<div id="ld-dashboard-feed" class="ld-dashboard-feed">
				<?php $this->ld_dashboard_activity_rows(); ?>
			</div>
		</div>

		<?php do_action( 'ld_dashboard_after_course_activity_section' ); ?>

	</div>
</div>
