<?php

$group_id      = isset( $_GET['ld-group'] ) ? sanitize_text_field( wp_unslash( $_GET['ld-group'] ) ) : 0;
$group_courses = learndash_get_group_courses_list( $group_id );
$group_users   = learndash_get_groups_user_ids( $group_id );
?>

<div class="ld-dashboard-group-back-btn-wrapper">
	<a class="ld-dashboard-group-back-btn" href="<?php echo esc_url( $my_dashboard_url ) . '?tab=groups'; ?>"><?php 
		/* translators: %s: Groups label. */
		printf( esc_html__( '&#8592; Back to %s', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'groups' ) ) ); ?></a>
</div>
<div class="ld-dashboard-group-edit-heading">
	<h3><?php echo esc_html( get_the_title( $group_id ) ); ?></h3>
</div>
<?php if ( ! empty( $group_courses ) ) { ?>
	<div class="ld-dashboard-groups-courses-listing instructor-courses-list">
		<?php
		foreach ( $group_courses as $course_id ) {
			$course             = get_post( $course_id );
			$course_title       = get_the_title( $course_id );
			$course_user_id     = $course->post_author;
			$image_id           = get_post_meta( $course_id, '_thumbnail_id', true );
			$image              = wp_get_attachment_image( $image_id );
			$feat_image_url     = wp_get_attachment_url( $image_id );
			$course_users_count = count( ld_dashboard_get_course_students( $course_id ) );
			$course_nonce       = wp_create_nonce( 'course-nonce' );
			?>
			<div id="ld-dashboard-course-<?php echo esc_html( $course_id ); ?>" class="ld-mycourse-wrap ld-mycourse-<?php echo esc_html( $course_id ); ?> __web-inspector-hide-shortcut__">
				<div class="ld-mycourse-thumbnail" style="background-image: url(<?php echo ( $feat_image_url ) ? esc_url( $feat_image_url ) : esc_url( LD_DASHBOARD_PLUGIN_URL ) . 'public/img/course-default.png'; ?>);"></div>
				<div class="ld-mycourse-content">
						<?php do_action( 'ld_add_course_content_before' ); ?>
					<h3><a href="<?php echo esc_url( get_permalink( $course->ID ) ); ?>"><?php echo esc_html( $course->post_title ); ?></a></h3>
					<div class="ld-meta ld-course-metadata">
						<ul>
							<li class="ld-dashboard-course-status"> <span><?php echo sprintf( '%s', esc_html( $course->post_status ) ); ?></span></li>
							<li><?php esc_html_e( 'Students:', 'ld-dashboard' ); ?> <span><?php echo esc_html( $course_users_count ); ?></span> </li>
						</ul>
					</div>
					<div class="mycourse-footer">
						<div class="ld-mycourses-stats">
							<a href="<?php echo esc_url( get_permalink( $course->ID ) ); ?>" class="ld-mycourse-view" target="_blank">
								<span class="ldd-icons ldd-icon-eye-line visibility-icon"></span> <small class="ld-dashboard-tooltips"><?php esc_html_e( 'View', 'ld-dashboard' ); ?></small>
							</a>
						</div>
						<?php do_action( 'ld_dashboard_course_content_after' ); ?>
					</div>
				</div>
			</div>
			<?php } ?>
		</div>
		<?php } else { ?>
			<div class="ld-dashboard-groups-error-msg">
				<p class="ld-dashboard-warning"><?php 
					/* translators: %s: Courses label. */
					printf( esc_html__( 'No %s available at the moment.', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'courses' ) ) ); ?></p>
			</div>
			<?php
		}
