<?php
if ( class_exists( 'Zoom_Api' ) ) {
	$zoom_meeting   = new Zoom_Api();
	$dashboard_page = Ld_Dashboard_Functions::instance()->ld_dashboard_get_url( 'dashboard' );
	$current_user   = wp_get_current_user();
	?>
<div class="zoom-meeting-wrapper">
	<div class="ld-dashboard-meeting-listing-wrapper">
		<div class="zoom-meeting-filter-link">
			<a href="<?php echo esc_url( $dashboard_page ) . '?tab=meetings'; ?>" class="ld-dashboard-meeting-filter <?php echo ( ! isset( $_GET['filter'] ) ) ? 'ld-dashboard-meeting-filter-active' : ''; ?>"><?php echo esc_html__( 'Upcoming Meetings', 'ld-dashboard' ); ?></a>
			<a href="<?php echo esc_url( $dashboard_page ) . '?tab=meetings&filter=prev'; ?>" class="ld-dashboard-meeting-filter <?php echo ( isset( $_GET['filter'] ) ) ? 'ld-dashboard-meeting-filter-active' : ''; ?>"><?php echo esc_html__( 'Past Meetings', 'ld-dashboard' ); ?></a>
			<?php if ( ld_dashboard_check_if_zoom_credentials_exists() ) { ?>
				<a href="<?php echo esc_url( $dashboard_page ) . '?tab=meetings&action=edit-meeting'; ?>" class="create-meeting ld-create-meeting-btn" data-type="create-form"><span class="ldd-icons ldd-icon-video-add-line"></span> <?php echo esc_html__( 'Create New Meeting', 'ld-dashboard' ); ?></a>
			<?php } else { ?>
				<a href="#" class="create-meeting ld-create-meeting-btn ld-create-meeting-action" onclick="noCredentials(event);" data-type="create-form"><span class="ldd-icons ldd-icon-video-add-line"></span> <?php echo esc_html__( 'Create New Meeting', 'ld-dashboard' ); ?></a>
				<script type="text/javascript">
					function noCredentials(e){
						e.preventDefault();
						let setCredentialPopupContent = '<div class="ld-dashboard-create-zoom-meeting-model-main"><div class="ld-dashboard-create-zoom-meeting-model-inner"><div class="ld-dashboard-create-zoom-meeting-close-btn close-set-cred-modal">×</div><div class="ld-dashboard-create-zoom-meeting-pop-up-content">' + ld_dashboard_js_object.set_credentials_text + '</div></div></div>';
						jQuery('.ld-dashboard-wrapper').append(setCredentialPopupContent);
					}
					jQuery(document).on('click', '.close-set-cred-modal', function () {
						jQuery(this).closest('.ld-dashboard-create-zoom-meeting-model-main').remove();
					});

				</script>
			<?php } ?>
		</div>
		<?php
		if ( isset( $_GET['action'] ) && 'edit-meeting' === $_GET['action'] ) {
			if ( false !== Ld_Dashboard_Public::template_override_exists( 'ld-dashboard-zoom-meeting-create.php' ) ) {
				include Ld_Dashboard_Public::template_override_exists( 'ld-dashboard-zoom-meeting-create.php' );
			} else {
				include LD_DASHBOARD_PLUGIN_DIR . 'templates/ld-dashboard-zoom-meeting-create.php';
			}
		} else {
			if ( false !== Ld_Dashboard_Public::template_override_exists( 'ld-dashboard-meetings.php' ) ) {
				include Ld_Dashboard_Public::template_override_exists( 'ld-dashboard-meetings.php' );
			} else {
				include LD_DASHBOARD_PLUGIN_DIR . 'templates/ld-dashboard-meetings.php';
			}
		}
		?>
	</div>	
</div>

	<?php
}
