<?php
$dashboard_page_url = Ld_Dashboard_Functions::instance()->ld_dashboard_get_url( 'dashboard' );
$certificates       = ld_dashboard_get_certificates( get_current_user_id() );
?>
<div class="wbcom-front-end-course-dashboard-my-courses-content">
	<div class="custom-learndash-list custom-learndash-my-courses-list">
			<div class="ld-dashboard-course-content instructor-courses-list"> 
				<div class="ld-dashboard-section-head-title">
					<h3><?php esc_html_e( 'My Certificates', 'ld-dashboard' ); ?></h3>
					<div class="ld-dashboard-course-search-section ld-flex-wrap">
						<div class="ld-dashboard-course-grid-list-toggle">
							<a href="javascript:void(0);" class="ld-dashboard-listviews"><span class="ldd-icons ldd-icon-list-check"></span></a>
							<a href="javascript:void(0);" class="ld-dashboard-gridviews"><span class="ldd-icons ldd-icon-function-line"></span></a>
						</div>
					</div>
				</div>
				<div class="my-courses ld-my-certificates ld-dashboard-content-inner ld-dashboard-tab-content-wrapper">
					<?php do_action( 'ld_dashboard_before_courses_content' ); ?>
				<?php
				if ( ! empty( $certificates ) ) {
					foreach ( $certificates as $certificate ) {

						$certificate_image_url = LD_DASHBOARD_PLUGIN_URL . 'public/img/course-default.png';
						if ( has_post_thumbnail( $certificate ) ) {
							$certificate_image_url = wp_get_attachment_url( get_post_thumbnail_id( $certificate ) );
						}
						?>
						<div id="ld-dashboard-course-<?php echo esc_html( $certificate ); ?>" class="ld-mycourse-wrap ld-mycourse-<?php echo esc_html( $certificate ); ?> __web-inspector-hide-shortcut__">
							<div class="ld-mycourse-thumbnail" style="background-image: url(<?php echo  esc_url( $certificate_image_url ) ; ?>);"></div>
							<div class="ld-mycourse-content">
							<?php do_action( 'ld_add_course_content_before' ); ?>
								<h3><a target="_blank" href="<?php echo esc_url( ld_dashboard_get_certificate_url( $certificate ) ); ?>"><?php echo esc_html( get_the_title( $certificate ) ); ?></a></h3>
								<a class="ld-dashboard-certificate-button" href="<?php echo esc_url( ld_dashboard_get_certificate_url( $certificate ) ); ?>" target="_new">
								<span class="ld-dashboard-icon ldd-icon-download"></span><?php esc_html_e( 'Download Certificate', 'ld-dashboard' );?></a>
								<!-- <div class="ld-meta ld-course-metadata">
									<ul>
										<li class="ld-dashboard-course-status"><span><?php echo esc_html( $certificate_status ); ?></span></li>
									</ul>
								</div> -->
							</div>
						</div>
						<?php
					}
				} else {
					?>
					<p class="ld-dashboard-warning"><?php esc_html_e( 'No certificates found.', 'ld-dashboard' ); ?></p>
				<?php } ?>
				<?php do_action( 'ld_dashboard_after_certificates_content' ); ?>
				</div>
			</div>
			<?php
			/* if ( is_array( $certificate_query->posts ) && count( $certificate_query->posts ) > 0 && $certificate_query->max_num_pages > 1 ) : ?>
			<nav class="custom-learndash-pagination-nav">
				<ul class="custom-learndash-pagination course-pagination-wrapper">
					<li class="custom-learndash-pagination-prev"><?php previous_posts_link( '&laquo; PREV', $certificate_query->max_num_pages ); ?></li>
					<li class="custom-learndash-pagination-next"><?php next_posts_link( 'NEXT &raquo;', $certificate_query->max_num_pages ); ?></li>
				</ul>
			</nav>
			<?php endif; */
			?>
	</div>
</div>
