<div class="my-quiz-attempts-wrapper-view ld-dashboard-course-content instructor-courses-list">
	<div class="ld-dashboard-section-head-title">
		<h3 class="ld-dashboard-nav-title"><?php 
		/* translators: %s: Quiz label. */
		printf( esc_html__( '%s Attempts', 'ld-dashboard' ), esc_html( LearnDash_Custom_Label::get_label( 'quiz' ) ) ); ?></h3>
		<?php do_action( 'ld_dashboard_before_quiz_attempt_filter' ); ?>
		<div class="ld-dashboard-content-inner">
			<?php
			$curr_user_id = get_current_user_id();
			$curr_user    = wp_get_current_user();
			$group_ids    = array();

			if ( learndash_is_group_leader_user() && ! in_array( 'ld_instructor', $curr_user->roles ) ) {
				$group_ids		= learndash_get_administrators_group_ids( $curr_user_id );	
				$group_student 	= [];
				if ( !empty($group_ids ) ) {
					if ( ! empty( $group_ids ) ) {

						foreach ( $group_ids as $group_id ) {
							$group_user_ids = get_post_meta( $group_id, 'ld_dashboard_grroup_enrolled_users', true );
							if ( empty( $group_user_ids) ) {
								$group_user_ids = learndash_get_groups_user_ids( $group_id );					
								$group_student = array_merge( $group_student, $group_user_ids );
									
							} else {
								$group_student = array_merge( $group_student, $group_user_ids );
							}
						}
					}
				}	
				$group_student = ( is_array( $group_student ) && ! empty( $group_student ) ) ? array_unique($group_student) : array( 0 );
				$args          = array(
					'orderby' => 'user_nicename',
					'order'   => 'ASC',
					'fields'  => array( 'ID', 'display_name', 'user_email' ),
					'include' => $group_student,
				);
			} elseif ( learndash_is_admin_user() ) {
				$args = array(
					'orderby' => 'user_nicename',
					'order'   => 'ASC',
					'fields'  => array( 'ID', 'display_name', 'user_email' ),
					//'include' => ! empty( $admin_students ) ? $admin_students : array( 0 ),
				);
				
				add_action( 'pre_user_query', function ( $query ){
					global $wpdb;
					$query->query_from .= " INNER JOIN {$wpdb->usermeta} as usermeta on usermeta.user_id={$wpdb->users}.ID";
					$query->query_where .= " AND ( usermeta.meta_key LIKE 'course_%_access_from' OR usermeta.meta_key LIKE 'group_%_access_from') ";
					$query->query_orderby = " GROUP BY  {$wpdb->users}.ID " . $query->query_orderby;
				});

			} elseif ( in_array( 'ld_instructor', $curr_user->roles ) ) {
				$stdnts  = array( 0 );
				$courses = Ld_Dashboard_Public::get_instructor_courses_list();
				
				if ( is_array( $courses ) && ! empty( $courses ) ) {
					foreach ( $courses as $course ) {
						$cource_students = get_post_meta( $course->ID, 'ld_dashboard_course_enrolled_users', true );			
						if ( !empty($cource_students) ) {
							$stdnts = array_unique(array_merge($stdnts, $cource_students), SORT_REGULAR);
						} else {
							$course_pricing = learndash_get_course_price( $course->ID );
							if ( 'open' !== $course_pricing['type'] ) {
								$course_user_ids  = learndash_get_course_users_access_from_meta( $course->ID );
								$course_group_ids = learndash_get_course_groups( $course->ID );
								if ( is_array( $course_group_ids ) && ! empty( $course_group_ids ) ) {
									foreach ( $course_group_ids as $grp_id ) {
										$group_users = learndash_get_groups_user_ids( $grp_id );
										if ( ! empty( $group_users ) ) {
											$course_user_ids = array_unique( array_merge( $course_user_ids, $group_users ) );
										}
									}
								}
							} else {
								$course_user_ids = array();
								$users           = get_users();
								if ( ! empty( $users ) ) {
									foreach ( $users as $student ) {
										$course_user_ids[] = $student->ID;
									}
								}
							}
							if ( $course_user_ids ) {
								$students = $course_user_ids;
								if ( is_array( $students ) && ! empty( $students ) ) {
									foreach ( $students as $std ) {
										if ( in_array( $std, $stdnts ) ) {
											continue;
										}
										$stdnts[] = $std;
									}
								}
							}
						}
					}
				}
				if ( learndash_is_group_leader_user() ) {
					$group_users = learndash_get_group_leader_groups_users();
					if ( is_array( $group_users ) && ! empty( $group_users ) ) {
						$stdnts = array_merge( $stdnts, $group_users );
						$stdnts = array_unique( $stdnts );
					}
				}	
				
				$args = array(
					'orderby' => 'user_nicename',
					'order'   => 'ASC',
					'fields'  => array( 'ID', 'display_name', 'user_email' ),
					'include' => $stdnts,
				);

				$group_ids = learndash_get_administrators_group_ids( $curr_user_id );
			} else {
				$instructor_students = ld_dashboard_get_students( $curr_user_id );
				$course_student_ids  = array( 0 );
				if ( ! empty( $instructor_students ) ) {
					$course_student_ids = array();
					foreach ( $instructor_students as $key => $course_student ) {
						$course_student_ids[] = $course_student->ID;
					}
				}
				$args = array(
					'meta_key' => 'course_%_access_from',
					'orderby'  => 'user_nicename',
					'order'    => 'ASC',
					'fields'   => array( 'ID', 'display_name' ),
					'include'  => $course_student_ids,
				);

				$sql_str       = $wpdb->prepare(
					'SELECT post_id,meta_key FROM ' . $wpdb->postmeta . ' as postmeta INNER JOIN ' . $wpdb->posts . " as posts ON posts.ID=postmeta.post_id
							WHERE posts.post_type = %s AND posts.post_status = %s AND meta_key LIKE 'learndash_group_enrolled_%'",
					'sfwd-courses',
					'publish'
				);
				$group_courses = $wpdb->get_results( $sql_str );
				if ( ! empty( $group_courses ) ) {
					foreach ( $group_courses as $grp_course ) {
						$group_id = explode( 'learndash_group_enrolled_', $grp_course->meta_key );
						if ( in_array( $grp_course->post_id, $courseIDs ) && ! in_array( $group_id[1], $group_ids ) ) {
							$group_ids[] = $group_id[1];
						}
					}
				}
			}

			$args['number'] = 100;
			$students       = get_users( $args );
			if ( !empty($students) ) :
				?>
				<div class="ld-dashboard-instructor-students-container">
					<div class="ld-dashboard-students-dropdown">
						<select id="ld_quiz_attempt_student" name="student">
							<?php foreach ( $students as $student ) {?>
								<option value="<?php echo esc_attr( $student->ID ); ?>" ><?php echo esc_html( $student->display_name ) . ' (' . esc_html( $student->user_email ) . ')'; ?></option>
							<?php } ?>
						</select>
					</div>
				</div>
			<?php endif; ?>
		</div>
	</div>
	<?php do_action( 'ld_dashboard_before_quiz_attempt_content' ); ?>
	<div class="ld-dashboard-student-quiz-attempt-container">
		<?php
		if ( empty($students) ) {
			?>
			<div class="ld-dashboard-instructor-students-container">
				<p class="ld-dashboard-warning"><?php esc_html_e( 'No students found.', 'ld-dashboard' ); ?></p>
			</div>
			<?php
		}
		?>
	</div>
	<?php do_action( 'ld_dashboard_after_quiz_attempt_content' ); ?>
</div>
