<?php
$course_id              = isset( $_GET['ld-course'] ) ? sanitize_text_field( wp_unslash( $_GET['ld-course'] ) ) : 0;
$course_lessons         = learndash_get_course_lessons_list( $course_id );
$ld_course_steps_object = LDLMS_Factory_Post::course_steps( $course_id );
?>

<div class="ld-dashboard-share-course-steps-wrapper ld-dashboard-course-meta-sidebar">

	<?php
	if ( false !== Ld_Dashboard_Public::template_override_exists( 'ld-dashboard-post-meta.php' ) ) {
		include Ld_Dashboard_Public::template_override_exists( 'ld-dashboard-post-meta.php' );
	} else {
		include LD_DASHBOARD_PLUGIN_DIR . 'templates/ld-dashboard-post-meta.php';
	}

	if ( is_object( $ld_course_steps_object ) ) {
		$ld_course_steps = $ld_course_steps_object->get_steps( 'h' );
		$exclude_lessons = array();
		$exclude_topics  = array();
		$exclude_quizzes = array();

		if ( isset( $ld_course_steps['sfwd-lessons'] ) ) {
			$exclude_lessons = array_keys( $ld_course_steps['sfwd-lessons'] );
			foreach ( $ld_course_steps['sfwd-lessons'] as $lesson_content ) {
				if ( isset( $lesson_content['sfwd-topic'] ) && ! empty( $lesson_content['sfwd-topic'] ) ) {
					$exclude_topics = array_merge( $exclude_topics, array_keys( $lesson_content['sfwd-topic'] ) );
				}
				if ( isset( $lesson_content['sfwd-quiz'] ) && ! empty( $lesson_content['sfwd-quiz'] ) ) {
					$exclude_quizzes = array_merge( $exclude_quizzes, array_keys( $lesson_content['sfwd-quiz'] ) );
				}
			}
			$exclude_topics  = array_unique( $exclude_topics );
			$exclude_quizzes = array_unique( $exclude_quizzes );
		}

		// Admin user handling
		if ( learndash_is_admin_user( $user_id ) ) {
			$lesson_args = array(
				'post_type'      => 'sfwd-lessons',
				'post_status'    => array( 'publish', 'pending', 'draft' ),
				'posts_per_page' => 20,
				'post__not_in'   => $exclude_lessons,
			);
			$lesson_query = ld_dashboard_builder_selector_query( $lesson_args, $course_id );
			$lessons      = new WP_Query( $lesson_query );
			wp_reset_postdata();

			$topic_args = array(
				'post_type'      => 'sfwd-topic',
				'post_status'    => array( 'publish', 'pending', 'draft' ),
				'posts_per_page' => 20,
				'post__not_in'   => $exclude_topics,
			);
			$topics_query = ld_dashboard_builder_selector_query( $topic_args, $course_id );
			$topics       = new WP_Query( $topics_query );
			wp_reset_postdata();

			$quiz_args = array(
				'post_type'      => 'sfwd-quiz',
				'post_status'    => array( 'publish', 'pending', 'draft' ),
				'posts_per_page' => 20,
				'post__not_in'   => $exclude_quizzes,
			);
			$quiz_query = ld_dashboard_builder_selector_query( $quiz_args, $course_id );
			$quizzes    = new WP_Query( $quiz_query );
			wp_reset_postdata();

		// Instructor user handling
		} elseif ( ld_dashboard_instructor_user( $user_id ) ) {
			$lesson_args = array(
				'post_type'      => 'sfwd-lessons',
				'post_status'    => array( 'publish', 'pending', 'draft' ),
				'author'         => get_current_user_id(),
				'posts_per_page' => 20,
				'post__not_in'   => $exclude_lessons,
			);
			$lesson_query = ld_dashboard_builder_selector_query( $lesson_args, $course_id );
			$lessons      = new WP_Query( $lesson_query );
			wp_reset_postdata();

			$topic_args = array(
				'post_type'      => 'sfwd-topic',
				'post_status'    => array( 'publish', 'pending', 'draft' ),
				'author'         => get_current_user_id(),
				'posts_per_page' => 20,
				'post__not_in'   => $exclude_topics,
			);
			$topics_query = ld_dashboard_builder_selector_query( $topic_args, $course_id );
			$topics       = new WP_Query( $topics_query );
			wp_reset_postdata();

			$quiz_args = array(
				'post_type'      => 'sfwd-quiz',
				'post_status'    => array( 'publish', 'pending', 'draft' ),
				'author'         => get_current_user_id(),
				'posts_per_page' => 20,
				'post__not_in'   => $exclude_quizzes,
			);
			$quiz_query = ld_dashboard_builder_selector_query( $quiz_args, $course_id );
			$quizzes    = new WP_Query( $quiz_query );
			wp_reset_postdata();

		// Group Leader user handling
		} elseif ( learndash_is_group_leader_user( $user_id ) ) {
			$lesson_args = array(
				'post_type'      => 'sfwd-lessons',
				'post_status'    => array( 'publish', 'pending', 'draft' ),
				'author'         => get_current_user_id(),
				'posts_per_page' => 20,
				'post__not_in'   => $exclude_lessons,
			);
			$lesson_query = ld_dashboard_builder_selector_query( $lesson_args, $course_id );
			$lessons      = new WP_Query( $lesson_query );
			wp_reset_postdata();

			$topic_args = array(
				'post_type'      => 'sfwd-topic',
				'post_status'    => array( 'publish', 'pending', 'draft' ),
				'author'         => get_current_user_id(),
				'posts_per_page' => 20,
				'post__not_in'   => $exclude_topics,
			);
			$topics_query = ld_dashboard_builder_selector_query( $topic_args, $course_id );
			$topics       = new WP_Query( $topics_query );
			wp_reset_postdata();

			$quiz_args = array(
				'post_type'      => 'sfwd-quiz',
				'post_status'    => array( 'publish', 'pending', 'draft' ),
				'author'         => get_current_user_id(),
				'posts_per_page' => 20,
				'post__not_in'   => $exclude_quizzes,
			);
			$quiz_query = ld_dashboard_builder_selector_query( $quiz_args, $course_id );
			$quizzes    = new WP_Query( $quiz_query );
			wp_reset_postdata();
		}
	?>

	<!-- Course content library for sidebar -->
	<div class="ld-dashboard-share-course-steps-content">
		<h2 class="ld-dashboard-share-course-title"><?php esc_html_e( 'Course Content Library', 'ld-dashboard' ); ?></h2>
		<p><?php esc_html_e( 'Drag and drop or selectively add previously made Lessons, Topics, and Quizzes.', 'ld-dashboard' ); ?></p>

		<?php if ( $lessons->have_posts() ) { ?>
			<div class="ld-dashboard-share-lesson-wrapper">
				<div class="ld-dashboard-share-course-toggle-wrapper ld-dashboard-share-lesson-header">
					<h6><?php echo esc_html( LearnDash_Custom_Label::get_label( 'lessons' ) ); ?></h6>
					<div class="ld-dashboard-share-course-toggle-content"><span class="dashicons ld-dashboard-share-course-toggle dashicons-arrow-up"></span><span class="dashicons ld-dashboard-share-course-toggle dashicons-arrow-down"></span></div>
				</div>
				<div class="ld-dashboard-share-toggle-content ld-dashboard-share-lesson-content ld-dashboard-posts-content">
					<input type="text" class="ld-dashboard-search-posts" name="searchString" placeholder="<?php echo sprintf( esc_attr__( 'Search %s', 'ld-dashboard' ), esc_attr( LearnDash_Custom_Label::get_label( 'lessons' ) ) ); ?>" data-reset="0"/>					
					<div id="ldd_sfwd-lessons_list" class="ldd_lesson_list ld-dashboard-share-lesson-content-section">					
						<?php while ( $lessons->have_posts() ) : $lessons->the_post(); ?>
							<div class="ld-dashboard-share-post-single ld-dashboard-share-single-lesson" data-id="<?php echo esc_attr( get_the_ID() ); ?>" data-type="lesson" data-title="<?php echo esc_attr( get_the_title() ); ?>">
								<span class="ld-dashboard-share-single-title"><?php echo esc_html( get_the_title() ); ?></span>
								<?php
								$lesson_categories = get_the_terms( get_the_ID(), 'ld_lesson_category' );
								if ( ! empty( $lesson_categories ) && ! is_wp_error( $lesson_categories ) ) {
									$categories_list = wp_list_pluck( $lesson_categories, 'name' );
									echo '<div class="lesson-category">' . esc_html( implode( ', ', $categories_list ) ) . '</div>';
								}
								?>
								<span class="ld-dashboard-add-share-btn"><button class="ld-dashboard-share-post-add"><?php echo esc_html__( 'Add', 'ld-dashboard' ); ?></button></span>
							</div>
						<?php endwhile; ?>
					</div>
					
					<div class="ld-dashboard-load-more-wrapper">
						<input type="hidden" class="ld_dashboard_next_page" value="2" />
						<input type="hidden" class="ld_dashboard_post_type" value="sfwd-lessons" />
						<input type="hidden" class="ld_dashboard_course_id" value="<?php echo esc_attr( $course_id ); ?>" />
						<input type="hidden" class="ld_dashboard_exclude_post" value="<?php echo esc_attr( join( ',', array_keys( $exclude_lessons ) ) ); ?>" />
						<?php if ( $lessons->max_num_pages > 1 ) : ?>
							<button class="ld-dashboard-builder-load-more"><?php esc_html_e( 'Load More', 'ld-dashboard' ); ?></button>
						<?php endif; ?>
						<button class="ld-dashboard-builder-search-reset" data-reset="1"><?php esc_html_e( 'Reset', 'ld-dashboard' ); ?></button>
					</div>
				</div>
			</div>
		<?php } ?>

		<!-- Topics section -->
		<?php if ( $topics->have_posts() ) { ?>
		<div class="ld-dashboard-share-topic-wrapper">
			<div class="ld-dashboard-share-course-toggle-wrapper ld-dashboard-share-topic-header">
				<h6><?php echo esc_html( LearnDash_Custom_Label::get_label( 'topics' ) ); ?></h6>
				<div class="ld-dashboard-share-course-toggle-content"><span class="dashicons ld-dashboard-share-course-toggle dashicons-arrow-up"></span><span class="dashicons ld-dashboard-share-course-toggle dashicons-arrow-down"></span></div>
			</div>
			<div class="ld-dashboard-share-toggle-content ld-dashboard-share-topic-content ld-dashboard-posts-content">
				<input type="text" class="ld-dashboard-search-posts" name="searchString" placeholder="<?php echo sprintf( esc_html__( 'Search %s', 'ld-dashboard' ), esc_attr( LearnDash_Custom_Label::get_label( 'topics' ) ) ); ?>" data-reset="0"/>
				<div id="ldd_sfwd-topic_list" class="ldd_topic_list ld-dashboard-share-topic-content-section">
					<?php while ( $topics->have_posts() ) : $topics->the_post(); ?>
						<div class="ld-dashboard-share-post-single ld-dashboard-share-single-topic" data-id="<?php echo esc_attr( get_the_ID() ); ?>" data-type="topic" data-title="<?php echo esc_attr( get_the_title() ); ?>">
							<span class="ld-dashboard-share-single-title"><?php echo esc_html( get_the_title() ); ?></span>
							<?php
							$topic_categories = get_the_terms( get_the_ID(), 'ld_topic_category' );
							if ( ! empty( $topic_categories ) && ! is_wp_error( $topic_categories ) ) {
								$categories_list = wp_list_pluck( $topic_categories, 'name' );
								echo '<div class="topic-category">' . esc_html( implode( ', ', $categories_list ) ) . '</div>';
							}
							?>
							<span class="ld-dashboard-add-share-btn"><button class="ld-dashboard-share-post-add"><?php echo esc_html__( 'Add', 'ld-dashboard' ); ?></button></span>
						</div>
					<?php endwhile; ?>
				</div>
				
				<div class="ld-dashboard-load-more-wrapper">
					<input type="hidden" class="ld_dashboard_next_page" value="2" />
					<input type="hidden" class="ld_dashboard_post_type" value="sfwd-topic" />
					<input type="hidden" class="ld_dashboard_course_id" value="<?php echo esc_attr( $course_id ); ?>" />
					<input type="hidden" class="ld_dashboard_exclude_post" value="<?php echo esc_attr( join( ',', array_keys( $exclude_topics ) ) ); ?>" />
					<?php if ( $topics->max_num_pages > 1 ) : ?>
					<button class="ld-dashboard-builder-load-more"><?php esc_html_e( 'Load More', 'ld-dashboard' ); ?></button>
					<?php endif; ?>
					<button class="ld-dashboard-builder-search-reset" data-reset="1"><?php esc_html_e( 'Reset', 'ld-dashboard' ); ?></button>
				</div>
			</div>
		</div>		
		<?php } ?>

		<!-- Quizzes section -->
		<?php if ( $quizzes->have_posts() ) { ?>
		<div class="ld-dashboard-share-quiz-wrapper">
			<div class="ld-dashboard-share-course-toggle-wrapper ld-dashboard-share-quiz-header">
				<h6><?php echo esc_html( LearnDash_Custom_Label::get_label( 'quizzes' ) ); ?></h6>
				<div class="ld-dashboard-share-course-toggle-content"><span class="dashicons ld-dashboard-share-course-toggle dashicons-arrow-up"></span><span class="dashicons ld-dashboard-share-course-toggle dashicons-arrow-down"></span></div>
			</div>
			<div class="ld-dashboard-share-toggle-content ld-dashboard-share-quiz-content ld-dashboard-posts-content">
				<input type="text" class="ld-dashboard-search-posts" name="searchString" placeholder="<?php echo sprintf( esc_html__( 'Search %s', 'ld-dashboard' ), esc_attr( LearnDash_Custom_Label::get_label( 'quizzes' ) ) ); ?>" data-reset="0"/>				
				<div id="ldd_sfwd-quiz_list" class="ldd_quiz_list ld-dashboard-share-quiz-content-section">
					<?php while ( $quizzes->have_posts() ) : $quizzes->the_post(); ?>
						<div class="ld-dashboard-share-post-single ld-dashboard-share-single-quiz" data-id="<?php echo esc_attr( get_the_ID() ); ?>" data-type="quiz" data-title="<?php echo esc_attr( get_the_title() ); ?>">
							<span><?php echo esc_html( get_the_title() ); ?></span>
							<span><button class="ld-dashboard-share-post-add"><?php echo esc_html__( 'Add', 'ld-dashboard' ); ?></button></span>
						</div>
					<?php endwhile; ?>
				</div>
				
				<div class="ld-dashboard-load-more-wrapper">
					<input type="hidden" class="ld_dashboard_next_page" value="2" />
					<input type="hidden" class="ld_dashboard_post_type" value="sfwd-quiz" />
					<input type="hidden" class="ld_dashboard_course_id" value="<?php echo esc_attr( $course_id ); ?>" />
					<input type="hidden" class="ld_dashboard_exclude_post" value="<?php echo esc_attr( join( ',', array_keys( $exclude_quizzes ) ) ); ?>" />
					<?php if ( $quizzes->max_num_pages > 1 ) : ?>
					<button class="ld-dashboard-builder-load-more"><?php esc_html_e( 'Load More', 'ld-dashboard' ); ?></button>
					<?php endif; ?>
					<button class="ld-dashboard-builder-search-reset" data-reset="1"><?php esc_html_e( 'Reset', 'ld-dashboard' ); ?></button>
				</div>
			</div>
		</div>
		<?php } ?>
	</div>
<?php } ?>
</div>
