<?php
/**
 * @license GPL-2.0
 *
 * Modified by learndash on 02-October-2024 using {@see https://github.com/BrianHenryIE/strauss}.
 */

namespace LearnDash\Gradebook\SSNepenthe\ColorUtils\Transformers;

use LearnDash\Gradebook\SSNepenthe\ColorUtils\Colors\Rgb;
use LearnDash\Gradebook\SSNepenthe\ColorUtils\Colors\Color;

/**
 * Class Tint
 */
class Tint implements TransformerInterface
{
    /**
     * @var Mix
     */
    protected $transformer;

    /**
     * @param int $weight
     */
    public function __construct(int $weight = 50)
    {
        $this->transformer = new Mix(new Color(new Rgb(255, 255, 255)), $weight);
    }

    /**
     * @param Color $color
     * @return Color
     */
    public function transform(Color $color) : Color
    {
        return $this->transformer->transform($color);
    }
}
