<?php
/**
 * Deprecated main plugin class file.
 *
 * @deprecated 1.2.1
 *
 * @package LearnDash\Integrity\Deprecated
 */

/**
 * Main LearnDash_LearnDash_Integrity class.
 *
 * This main class is responsible for instantiating the class, including the necessary files
 * used throughout the plugin, and loading the plugin translation files.
 *
 * @since 1.0
 * @deprecated 1.2.1
 */
final class LearnDash_Integrity {
	/**
	 * The one and only true LearnDash_Integrity instance.
	 *
	 * @since 1.0
	 * @deprecated 1.2.1
	 *
	 * @access private
	 * @var object
	 */
	private static $instance;

	/**
	 * Instantiate the main class.
	 *
	 * This function instantiates the class and return the object.
	 *
	 * @since 1.0
	 * @deprecated 1.2.1
	 *
	 * @return object The one and only true LearnDash_Integrity instance.
	 */
	public static function instance() {
		_deprecated_function( __METHOD__, '1.2.1' );

		if ( ! isset( self::$instance ) && ( ! self::$instance instanceof LearnDash_Integrity ) ) {
			self::$instance = new LearnDash_Integrity();
			self::$instance->define_constants();

			self::$instance->check_dependency();
			self::$instance->includes();

			add_action(
				'plugins_loaded',
				function () {
					if ( LearnDash_Dependency_Check_LD_Integrity::get_instance()->check_dependency_results() ) {
						self::$instance->includes_on_plugins_loaded();
					}
				}
			);
		}

		return self::$instance;
	}

	/**
	 * Define plugin constants.
	 *
	 * @since 1.0
	 * @deprecated 1.2.1
	 *
	 * @return void
	 */
	public function define_constants() {
		_deprecated_function( __METHOD__, '1.2.1' );

		if ( ! defined( 'LEARNDASH_INTEGRITY_PLUGIN_URL' ) ) {
			define( 'LEARNDASH_INTEGRITY_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
		}

		if ( ! defined( 'LEARNDASH_INTEGRITY_PLUGIN_PATH' ) ) {
			define( 'LEARNDASH_INTEGRITY_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
		}

		if ( ! defined( 'LEARNDASH_INTEGRITY_PLUGIN_FILE' ) ) {
			define( 'LEARNDASH_INTEGRITY_PLUGIN_FILE', __FILE__ );
		}
	}

	/**
	 * Check and set dependencies.
	 *
	 * @since 1.0
	 * @deprecated 1.2.1
	 *
	 * @return void
	 */
	public function check_dependency() {
		_deprecated_function( __METHOD__, '1.2.1' );

		include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/class-dependency-check.php';

		LearnDash_Dependency_Check_LD_Integrity::get_instance()->set_dependencies(
			[
				'sfwd-lms/sfwd_lms.php' => [
					'label'       => '<a href="https://learndash.com">LearnDash LMS</a>',
					'class'       => 'SFWD_LMS',
					'min_version' => '3.0.0',
				],
			]
		);

		LearnDash_Dependency_Check_LD_Integrity::get_instance()->set_message(
			__( 'LearnDash LMS - Integrity Add-on requires the following plugin(s) to be active:', 'learndash-integrity' )
		);
	}

	/**
	 * Includes necessary files.
	 *
	 * @since 1.0
	 * @deprecated 1.2.1
	 *
	 * @return void
	 */
	public function includes() {
		_deprecated_function( __METHOD__, '1.2.1' );

		include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/class-utilities.php';
		include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/class-prevent-hotlinking.php';
	}

	/**
	 * Includes necessary files on plugins_loaded hook.
	 *
	 * @since 1.0
	 * @deprecated 1.2.1
	 *
	 * @return void
	 */
	public function includes_on_plugins_loaded() {
		_deprecated_function( __METHOD__, '1.2.1' );

		if ( is_admin() ) {
			include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/admin/class-settings-page.php';
			include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/admin/class-settings-section.php';
		}

		include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/class-prevent-concurrent-login.php';
		include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/class-prevent-content-copy.php';
		include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/class-recaptcha.php';
		include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/class-recaptcha-v3.php';
		include LEARNDASH_INTEGRITY_PLUGIN_PATH . 'includes/class-recaptcha-v2.php';
	}
}
