/******/ (() => { // webpackBootstrap
var __webpack_exports__ = {};
/*!***********************************************************!*\
  !*** ./src/assets/js/admin/settings/sections/settings.js ***!
  \***********************************************************/
const $ = jQuery,
  Settings = {
    /**
     * Initialize the Settings Section page by setting up event handlers and setting the initial state.
     *
     * @since 1.1.0
     *
     * @return {void}
     */
    init() {
      $('input[type="checkbox"][name="ld_student_notes_add_notify_instructor"]').on('change', this.toggleInstructorViewSettings);
      Settings.toggleInstructorViewSettings.call(document.querySelector('input[type="checkbox"][name="ld_student_notes_add_notify_instructor"]'));
      $('input[type="checkbox"][id*="auto_include"][value="on"]').on('change', this.checkOthers);
      $('input[type="checkbox"][id*="auto_include"][value="on"]').each(function () {
        if (!$(this).prop('checked')) {
          return;
        }
        Settings.checkOthers.call(this);
      });
    },
    /**
     * Toggles the Instructor View Settings based on the chosen option for Instructor Notification Emails.
     * If the currently chosen Instructor View Setting is disabled, the closest matching one will be checked instead.
     * Both of these options are the most privacy-centric choices.
     * If "Show All" is instead selected, then nothing will be auto-selected.
     *
     * @since 1.1.0
     *
     * @return {void}
     */
    toggleInstructorViewSettings() {
      const checked = $(this).prop('checked'),
        $hideAll = $('input[type="radio"][name="ld_student_notes_show_private_notes"][value="hide"]'),
        $learnersChoice = $('input[type="radio"][name="ld_student_notes_show_private_notes"][value=""]'); // Left as an empty string for backwards compatibility.

      if (checked) {
        $hideAll.attr('disabled', 'disabled');
        $learnersChoice.prop('disabled', false);
        if ($hideAll.prop('checked')) {
          $hideAll.prop('checked', false).trigger('change');
          $learnersChoice.prop('checked', true).trigger('change');
        }
      } else {
        $hideAll.prop('disabled', false);
        $learnersChoice.attr('disabled', 'disabled');
        if ($learnersChoice.prop('checked')) {
          $hideAll.prop('checked', true).trigger('change');
          $learnersChoice.prop('checked', false).trigger('change');
        }
      }
    },
    /**
     * When a "'All' checkbox" is checked or unchecked,
     * check/uncheck all the other "content type checkboxes" to match its state.
     * If checked, the other "content type checkboxes" are also disabled.
     *
     * @since 1.1.0
     *
     * @return {void}
     */
    checkOthers() {
      const checked = $(this).prop('checked'),
        $otherOptions = $(this).closest('fieldset').find('input[type="checkbox"]').filter((index, input) => {
          return $(input).val() !== 'on'; // "All" is stored as 'on' for backwards compatibility.
        });
      $otherOptions.prop('checked', checked);
      if (checked) {
        // The CSS in Core specifically checks for this being assigned "disabled" rather than the property simply existing.
        $otherOptions.attr('disabled', 'disabled');
      } else {
        $otherOptions.prop('disabled', false);
      }
    }
  };
$(document).on('ready', function () {
  // Only loads for Settings Sections on our Page ID.
  if ($('body').data('active-tab') !== 'admin_page_learndash-notes') {
    return;
  }
  Settings.init();
});
/******/ })()
;