/******/ (() => { // webpackBootstrap
var __webpack_exports__ = {};
/*!***************************************!*\
  !*** ./src/assets/js/scripts-ajax.js ***!
  \***************************************/
// cspell:ignore accordian

jQuery(function ($) {
  let studentNotesLayer = 0;
  let xhr;

  //click on submitted button
  $('.notes-submit-btn').click(function (e) {
    e.preventDefault();
    //check for ajax already
    try {
      xhr.onreadystatechange = null;
      xhr.abort();
    } catch (exception) {}
    //get values of data
    const formId = $(this).parents('form').attr('id');
    let note = $('#llms_note_text').val();
    const llmsNoteTitle = $('#' + formId + ' input[name=llms_note_title]').val();
    if (formId === 'learndash-notes-form-popup') {
      note = tinymce.editors.llms_note_text_popup.getContent();
    } else {
      note = tinymce.editors.llms_note_text.getContent();
    }
    const llmsNotifyAdmin = $('#' + formId + ' input[name=llms_notify_admin]').is(':checked');
    const relatedPostId = $('#' + formId + ' input[name=related_post_id]').val();
    const relatedPostType = $('#' + formId + ' input[name=related_post_type]').val();
    const relatedUserId = $('#' + formId + ' input[name=related_user_id]').val();
    const nonce = $('#' + formId + ' #ld_student_notes_add_note_nonce').val();
    //prepare data for sending ajax
    const data = {
      action: 'student_notes_ajax',
      title: llmsNoteTitle,
      note,
      llms_notify_admin: llmsNotifyAdmin,
      related_post_id: relatedPostId,
      related_post_type: relatedPostType,
      related_user_id: relatedUserId,
      ld_student_notes_add_note_nonce: nonce
    };
    //shake button if not data added
    if (!note) $(this).effect('shake');
    //show layer
    if (note) {
      studentNotesLayer = $('#' + formId + ' .student-notes-layer');
      studentNotesLayer.slideDown();
    }

    //send ajax
    // We can also pass the url value separately from the ajax url for front end AJAX implementations
    xhr = jQuery.ajax({
      method: 'POST',
      // eslint-disable-next-line camelcase
      url: sn_object.ajax_url,
      data,
      complete() {
        //hide layer
        studentNotesLayer.slideUp();
      },
      success(response) {
        //receive data
        //parse json
        const obj = $.parseJSON('' + response + '');
        //reset form
        $('#' + formId)[0].reset();
        $('#' + formId + ' input[name=llmsNoteTitle]').val('');

        //add content to accordian
        //$('#accordion-Historical .accordian-content').html(obj.list);
        if (obj.note_id) {
          $('#' + formId).append(obj.success_msg);
          $('.all-my-post-notes .accordian-content').html(obj.list);
        }
        $('#' + formId + ' .alert-success').delay(5000).slideUp('slow', function () {});
      },
      error(errorXhr) {
        // eslint-disable-next-line no-console
        console.error(JSON.parse(errorXhr.responseText));
      }
    });
  }); //on click event end

  //delete note
  $('.all-notes-container').on('click', 'a.del-note', function (e) {
    //check ofr user option
    e.preventDefault();
    //check for ajax already
    try {
      xhr.onreadystatechange = null;
      xhr.abort();
    } catch (exception) {}
    let deleteNote = 0;
    deleteNote = $(this);
    const noteId = $(this).data('note-id');
    //if note id is there
    if (noteId) {
      //show layer
      studentNotesLayer = $(this).parents('#accordion-Historical').find('.student-notes-layer');
      studentNotesLayer.slideDown();
      const nonce = $('#ld_student_notes_delete_note_' + noteId + '_nonce').val();
      const data = {
        action: 'student_notes_ajax_del',
        note_id: noteId
      };
      data['ld_student_notes_delete_note_' + noteId + '_nonce'] = nonce;

      //send ajax
      // We can also pass the url value separately from the ajax url for front end AJAX implementations
      xhr = jQuery.ajax({
        method: 'POST',
        // eslint-disable-next-line camelcase
        url: sn_object.ajax_url,
        data,
        complete() {
          //hide layer
          studentNotesLayer.slideUp();
        },
        success(response) {
          //receive data
          //parse json
          const obj = $.parseJSON('' + response + '');
          deleteNote.html('deleted...');
          deleteNote.parent().parent().html(obj.success_msg);
          $('.alert-danger').delay(5000).slideUp('slow', function () {
            $(this).parent().slideUp();
          });
        },
        error(errorXhr) {
          // eslint-disable-next-line no-console
          console.error(JSON.parse(errorXhr.responseText));
        }
      });
    }
  }); //end delete

  $('.all-notes-container').on('click', 'a.mark-read', function (e) {
    //check ofr user option
    e.preventDefault();
    //check for ajax already
    try {
      xhr.onreadystatechange = null;
      xhr.abort();
    } catch (exception) {}
    const noteId = $(this).data('note-id');
    //if note id is there
    if (noteId) {
      //show layer
      //studentNotesLayer.slideDown();

      const nonce = $('#ld_student_notes_read_note_' + noteId + '_nonce').val();
      const data = {
        action: 'student_notes_ajax_mark_read',
        note_id: noteId
      };
      data['ld_student_notes_read_note_' + noteId + '_nonce'] = nonce;

      //send ajax
      // We can also pass the url value separately from the ajax url for front end AJAX implementations
      xhr = jQuery.ajax({
        method: 'POST',
        // eslint-disable-next-line camelcase
        url: sn_object.ajax_url,
        data,
        success() {
          //receive data
          window.location.reload();
        },
        error(errorXhr) {
          // eslint-disable-next-line no-console
          console.error(JSON.parse(errorXhr.responseText));
        }
      });
    }
  }); //end mark read
}); //jquery ready end
/******/ })()
;