<?php
/**
 * Common Settings Fields provider class file.
 *
 * @since 1.1.0
 *
 * @package LearnDash\Notes
 */

namespace LearnDash\Notes\Settings\Fields\Common;

use StellarWP\Learndash\lucatume\DI52\ServiceProvider;

/**
 * Common Settings Fields service provider class.
 *
 * @since 1.1.0
 */
class Provider extends ServiceProvider {
	/**
	 * Registers service providers.
	 *
	 * @since 1.1.0
	 *
	 * @return void
	 */
	public function register(): void {
		$this->hooks();
	}

	/**
	 * Hooks wrapper.
	 *
	 * @since 1.1.0
	 *
	 * @return void
	 */
	public function hooks(): void {
		add_filter(
			'learndash_settings_field_html_after',
			$this->container->callback( Description_After::class, 'add' ),
			9,
			2
		);
	}
}
