<?php
/**
 * Settings provider class file.
 *
 * @since 1.1.0
 *
 * @package LearnDash\Notes
 */

namespace LearnDash\Notes\Settings;

use StellarWP\Learndash\lucatume\DI52\ServiceProvider;

/**
 * Settings service provider class.
 *
 * @since 1.1.0
 */
class Provider extends ServiceProvider {
	/**
	 * Register service providers.
	 *
	 * @since 1.1.0
	 *
	 * @return void
	 */
	public function register(): void {
		$this->container->setVar( 'learndash_notes_settings_page_id', 'learndash-notes' );

		$this->container->register( Fields\Provider::class );
		$this->container->register( Sections\Provider::class );
	}
}
