<?php
/**
 * Trait for providing a method to escape Shortcodes to display as text.
 *
 * @since 1.1.0
 *
 * @package LearnDash\Notes
 */

namespace LearnDash\Notes\Settings\Traits;

/**
 * Trait for providing a method to escape Shortcodes to display as text.
 *
 * @since 1.1.0
 */
trait Supports_Getting_Active_Sub_Page {
	/**
	 * Returns the currently viewed Sub Page ID.
	 * Returns an empty string if we're not viewing a Sub Page or it is the default one.
	 * If the default Sub Page is manually navigated to, this will return the ID of the default Sub Page.
	 *
	 * @since 1.1.0
	 *
	 * @return string
	 */
	protected function get_current_sub_page_id(): string {
		$get_data = wp_unslash( $_GET ); // phpcs:ignore WordPress.Security.NonceVerification.Recommended -- We're just checking the active sub page.

		$current_sub_page = '';
		if ( ! empty( $get_data['section-advanced'] ) ) {
			$current_sub_page = $get_data['section-advanced'];
		}

		return $current_sub_page;
	}
}
