<?php
/**
 * Frontend Template retrieval class.
 *
 * @since 1.1.0
 *
 * @package LearnDash\Notes
 */

namespace LearnDash\Notes\Templates;

use LearnDash\Notes\StellarWP\Templates\Template as StellarWP_Template;

/**
 * Frontend Template retrieval class.
 *
 * @since 1.1.0
 */
class Template extends StellarWP_Template {
	/**
	 * Base template for where to look for template.
	 *
	 * @since 1.1.0
	 *
	 * @var string[]
	 */
	protected array $template_base_path = [ LEARNDASH_NOTES_TEMPLATE_DIR ];

	/**
	 * Allow changing if class will extract data from the local context.
	 *
	 * @since 1.1.0
	 *
	 * @var boolean
	 */
	protected bool $template_context_extract = true;
}
