<?php
/**
 * HTML for Common Shortcodes: New Note.
 *
 * @since 1.1.0
 * @version 1.1.0
 *
 * @var LearnDash\Notes\Templates\Admin_Template $this Current instance of template engine rendering this template.
 *
 * @package LearnDash\Notes
 */

?>

<p>
	<code>[llms_add_new_note]</code>
	<?php
	$this->template(
		'copy-text',
		[
			'text' => '[llms_add_new_note]',
		]
	);
	?>
</p>

<p>
	<?php esc_html_e( 'This shortcode enables a form below the page content for Students to add a new note.', 'learndash_student_notes' ); ?>
	<br />
	<?php
	echo wp_kses_post(
		sprintf(
			// translators: placeholders: HTML tags for viewing the Settings page.
			__( 'To adjust the text formatting tools and character counter settings, visit the %1$sSettings%2$s tab.', 'learndash_student_notes' ),
			'<a href="' . add_query_arg(
				[
					'page'             => 'learndash-notes',
					'section-advanced' => 'learndash_notes_settings',
				],
				admin_url( 'admin.php' )
			) . '">',
			'</a>'
		)
	);
	?>
</p>

<p>
	<code>[llms_add_new_note_popup]</code>
	<?php
	$this->template(
		'copy-text',
		[
			'text' => '[llms_add_new_note_popup]',
		]
	);
	?>
</p>

<p>
	<?php esc_html_e( 'This shortcode enables a form that “pops” open on page load provides a form for Students to add a new note.', 'learndash_student_notes' ); ?>
	<br />
	<?php
	echo wp_kses_post(
		sprintf(
			// translators: placeholders: HTML tags for viewing the Settings page.
			__( 'To adjust the text formatting tools and character counter settings, visit the %1$sSettings%2$s tab.', 'learndash_student_notes' ),
			'<a href="' . add_query_arg(
				[
					'page'             => 'learndash-notes',
					'section-advanced' => 'learndash_notes_settings',
				],
				admin_url( 'admin.php' )
			) . '">',
			'</a>'
		)
	);
	?>
</p>
