<?php
/**
 * HTML for Getting Started With Notes
 *
 * @since 1.1.0
 * @version 1.1.0
 *
 * @package LearnDash\Notes
 */

?>

<p>
	<?php
	echo esc_html(
		sprintf(
			// Translators: placeholders: Course label.
			__( 'There are two ways to allow Students to leave notes on %s content:', 'learndash_student_notes' ),
			learndash_get_custom_label_lower( 'course' )
		)
	);
	?>
</p>

<section id="learndash-notes-getting-started-metabox-notice-content">
	<section id="learndash-notes-getting-started-metabox-notice-content-globally">
		<h3>
			<?php esc_html_e( 'Globally', 'learndash_student_notes' ); ?>
		</h3>

		<p>
			<?php
			echo wp_kses_post(
				sprintf(
					// Translators: placeholders: Opening anchor tag for viewing the Settings page, closing anchor tag, Courses label, Lessons label, Topics label.
					__( 'From the %1$sSettings%2$s tab, enable notes simultaneously on all instances of a content type (%3$s, %4$s, %5$s, etc.).', 'learndash_student_notes' ),
					'<a href="' . add_query_arg(
						[
							'page'             => 'learndash-notes',
							'section-advanced' => 'learndash_notes_settings',
						],
						admin_url( 'admin.php' )
					) . '">',
					'</a>',
					learndash_get_custom_label( 'courses' ),
					learndash_get_custom_label( 'lessons' ),
					learndash_get_custom_label( 'topics' ),
				)
			);
			?>
		</p>

		<p>
			<?php
			echo wp_kses_post(
				sprintf(
					// Translators: placeholders: Topics label, topic label.
					__( 'For example, check the %1$s checkbox within the New Note Section to make a New Note form appear automatically on every %2$s page, allowing Students to leave notes.', 'learndash_student_notes' ),
					learndash_get_custom_label( 'topics' ),
					learndash_get_custom_label_lower( 'topic' )
				)
			);
			?>
		</p>
	</section>

	<section id="learndash-notes-getting-started-metabox-notice-content-individually">
		<h3>
			<?php esc_html_e( 'Individually', 'learndash_student_notes' ); ?>
		</h3>

		<p>
			<?php esc_html_e( 'Use our simple shortcodes to enable leaving notes on specific pieces of content.', 'learndash_student_notes' ); ?>
		</p>

		<p>
			<?php
			echo wp_kses_post(
				sprintf(
					// Translators: placeholders: Add New Note Shortcode, Course label.
					__( 'For example, copy %1$s and paste it into a %2$s page to add a New Note form to that page.', 'learndash_student_notes' ),
					'<code>[llms_add_new_note]</code>',
					learndash_get_custom_label_lower( 'course' )
				)
			);
			?>
		</p>
	</section>
</section>
