<?php
/**
 * HTML for Notification Features: Instructor Notification Emails.
 *
 * @since 1.1.0
 * @version 1.1.0
 *
 * @package LearnDash\Notes
 */

defined( 'ABSPATH' ) || die();
?>

<p>
	<?php
	echo wp_kses_post(
		sprintf(
			// translators: placeholders: HTML tags for viewing the Settings page.
			__( 'Send email notifications to Instructors when Students submit Notes with this feature. Turn on this feature in the %1$sSettings%2$s tab.', 'learndash_student_notes' ),
			'<a href="' . add_query_arg(
				[
					'page'             => 'learndash-notes',
					'section-advanced' => 'learndash_notes_settings',
				],
				admin_url( 'admin.php' )
			) . '">',
			'</a>'
		)
	);
	?>
</p>

<p>
	<?php
	echo wp_kses_post(
		sprintf(
			// translators: placeholders: Group custom label, followed by HTML tags for viewing the documentation.
			__( 'IMPORTANT: Email settings and %1$s settings are necessary for this feature to work. %2$sSet up Instructor Notification Emails now%3$s.', 'learndash_student_notes' ),
			learndash_get_custom_label_lower( 'group' ),
			'<a href="https://go.learndash.com/notesnotificationemail" target="_blank">',
			'</a>'
		)
	);
	?>
</p>
