(function( $ ) {
	'use strict';

	const WN_LD_QUIZ_IMPORT_EXPORT_ADMIN = {
		importQuizAjax: null,
		allowedColumns: WN_LD_QIE_Vars.existingQuestionHeaders,
		existingQuestions: [],
		importedQuizzes: [],
		existingQuizQuestions: [],
		workSheets: [],
		init: function() {

			this.step1 = $('#ld_qie_import_step1');
			this.step2 = $('#ld_qie_import_step2');
			this.step3 = $('#ld_qie_import_step3');
			this.step4 = $('#ld_qie_import_step4');
			this.questionTable = $('#add_questions_table');

			$('#ld_qie_upload_file_form').on('submit', WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.uploadFileForm);
			$(document).on('click', '.ld_qie_import_quizzes_button', WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.submitImportForm);
			$(document).on('click', '#ld_qie_add_question_button', WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.addQuestionRow);
			$(document).on('click', '.ld_qie_delete_question a', WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.removeQuestionRow);
			$(document).on('click', '.ld_qie_cancel_import_button', WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.cancelImport);
			$(document).on('click', '#ld_qie_step2_button', WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.showStep2);
			$(document).on('click', '#ld_qie_step3_button', WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.showStep3);
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.resetForm();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.initSelect2();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.initSettingQuizPostIDSelect2();

			$(document).on('click', '.ld-qie-debug-copy-button', WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.copyDebugData);

		},
		copyDebugData: function(e) {
			$('.ld-qie-code-box').select();
			document.execCommand('copy');
		},
		showStep3: function(e) {
			e.preventDefault();
			$('#ld_qie_action').val('ld_qie_import_quizzes');
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step1.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step2.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step3.show();
		},
		showStep4: function() {
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step1.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step2.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step3.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.show();
		},
		cancelImport: function(e) {
			e.preventDefault();

			if(WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.importQuizAjax != null) {
				WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.importQuizAjax.abort();
			}

			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.resetForm();
		},
		resetSharedQuestionDefaultMessage: function() {
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.questionTable.html('<div class="ld_qie_shared_question_default_message">'+WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.questionTable.data('default_message')+'</div>');
		},
		removeQuestionRow: function(e) {
			e.preventDefault();

			var question_id = $(this).data('question_id');

			var row_number = WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.questionTable.find('tr').length;

			if(row_number == 2) {
				//Remove table
				WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.resetSharedQuestionDefaultMessage();
			} else {
				//Remove table row
				$(this).parent('td.ld_qie_delete_question').parent('tr').remove();
			}

			var input_id = 'ld_qie_question_quiz_' + question_id + '_';
			var form_id = 'form#ld_qie_import_quizzes_form';

			$(form_id).find('[id^="' + input_id + '"]').remove();

			//Remove question_id from selected question_ids array
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuestions = WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuestions.filter(function(value) {
				return question_id != value;
			});
		},
		uploadFileForm: function(e) {
			e.preventDefault();
			var formData = new FormData(this);
			$.ajax({
				url: ajaxurl,
				type: 'POST',
				data: formData,
				cache: false,
				dataType: 'json',
				contentType: false,
				processData: false,
				beforeSend: function (jqXHR, settings) {
					$('#ld_qie_loader_spinner').show();
					$('#ld_qie_import_messages').html('');
				},
				success: function (data, textStatus, jqXHR) {
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step1.hide();
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step2.find('#ld_qie_quiz_listing_table').html(data.data.html);
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.importedQuizzes = data.data.quiz_titles;
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.workSheets = data.data.quiz_titles;

					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.initImportLDPostTypeSelect2('courses');
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.initImportLDPostTypeSelect2('lessons_topics');
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.initImportLDPostTypeSelect2('certificates');

					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step2.show();

					$('#ld_qie_action').val('ld_qie_import_quizzes');
					getPagination('#ld_qie_quiz_listing_table table.ld_qie_table');
				},
				error: function (jqXHR, textStatus, errorThrown) {
					console.log(textStatus	);
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.showMessage(jqXHR.responseJSON.status, jqXHR.responseJSON.message);
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.resetForm();
				},
				complete: function (jqXHR, textStatus) {
					$('#ld_qie_loader_spinner').hide();
				}
			});
		},
		importQuiz: function(next_sheet_index) {

			if(next_sheet_index === undefined) {
				next_sheet_index = 0;
			}

			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.importQuizAjax = $.ajax({
				url: ajaxurl,
				type: 'POST',
				data: {
					action: 'ld_qie_process_quiz_import',
					next_sheet_index: next_sheet_index,
					ld_qie_ajax_nonce: WN_LD_QIE_Vars.ajax_nonce
				},
				cache: false,
				dataType: 'json',
				beforeSend: function (jqXHR, settings) {
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.showStep4();
				},
				success: function (import_data, textStatus, jqXHR) {

					if( import_data.status === 'success' ) {

						var percentComplete = Math.round( ( (import_data.data.processed / import_data.data.total) * 100 ) );
						var percentValue = percentComplete + '%';

						var currentPercent = parseInt( $('#ld_qie_bar').data('percentComplete') );

						if( !currentPercent ) {
							currentPercent = 0;
						}

						if(percentComplete > currentPercent) {

							$('#ld_qie_bar').data('percentComplete', percentComplete); //Save completed percentage to element

							$('#ld_qie_bar span').text(percentValue);

							$('#ld_qie_bar').show().animate({
								width: percentValue
							});
						}

						$('#ld_qie_import_logs').append('<p>' + import_data.data.message + '</p>');

						if(import_data.data.next_sheet_index === import_data.data.total) {
							$('#ld_qie_import_logs').append('<p>' + WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.data('end_message') + '</p>');

							WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.changeStep4Button('done');
						} else {
							WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.importQuiz(import_data.data.next_sheet_index);
						}

						$('#ld_qie_import_logs').scrollTop(function() { return this.scrollHeight; }); //Scroll to bottom
					}
				}
			});
		},
		changeStep4Button: function(type) {
			if(type==='done') {
				WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.find('button').html('<span class="dashicons dashicons-yes-alt"> </span> ' + WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.find('button').data('done_text')).removeClass('button-secondary').addClass('button-primary');
			} else {
				WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.find('button').html('<span class="dashicons dashicons-dismiss"> </span> ' + WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.find('button').data('cancel_text')).removeClass('button-primary').addClass('button-secondary');
			}
		},
		submitImportForm: function(e) {
			e.preventDefault();

			var formData = new FormData($('#ld_qie_import_quizzes_form')[0]);

			$.ajax({
				url: ajaxurl,
				type: 'POST',
				data: formData,
				cache: false,
				dataType: 'json',
				contentType: false,
				processData: false,
				beforeSend: function (jqXHR, settings) {
					$('#ld_qie_loader_spinner').show();
					$('#ld_qie_import_messages').html('');
				},
				success: function (data, textStatus, jqXHR) {

					if( data.status === 'success' ) {
						WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.importQuiz(0);
					}
				},
				error: function (jqXHR, textStatus, errorThrown) {

					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.showMessage(jqXHR.responseJSON.status, jqXHR.responseJSON.message);
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.resetForm();
				},
				complete: function (jqXHR, textStatus) {
					$('#ld_qie_loader_spinner').hide();
				}
			});
		},
		showStep2: function(e) {
			e.preventDefault();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step1.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step3.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step2.show();
		},
		resetForm: function() {
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuestions = [];
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.importedQuizzes = [];
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuizQuestions = [];
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.workSheets = [];
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.importQuizAjax = null;

			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step1.show();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step2.hide();
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step2.find('#ld_qie_quiz_listing_table').html('');
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step3.hide();

			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.resetSharedQuestionDefaultMessage();

			$('#ld_qie_action').val('ld_qie_get_quizzes_list');
			$('#ldqie_import_file').val('').change();
			$('#ld_qie_question_search').val(null).trigger('change');
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.hide();
			$('#ld_qie_progress').html('<div id="ld_qie_bar" style="width: 0%;"><span>0%</span></div>');
			$('#ld_qie_import_logs').html('<p>' + WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.step4.data('start_message') + '</p>');
			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.changeStep4Button('cancel');
		},
		showMessage:function(status, message) {
			$('#ld_qie_import_messages').html( '<div class="notice notice-' + status + '"><p>' + message + '</p><!--<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>--></div>' );
		},
		processTable: function() {

			var html = '<table class="table ld_qie_table" border="1" cellspacing="0" style="display: none;">';
			html += '<tr>';
			html += '<th>Question ID</th>';
			$.each(WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.allowedColumns, function (col, col_value) {
				//if(WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.allowedColumns.includes(col_value)) {
				html += '<th>' + col_value + '</th>';
				//}
			});
			html += '<th>Action</th>';
			html += '</tr>';
			html += '</table>';

			WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.questionTable.html(html);
		},
		addQuestionRow: function(e) {
			e.preventDefault();
			var question_id = $('#ld_qie_selected_question_id').val();

			if(!question_id) {
				return;
			}

			if( !WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuestions.includes(question_id) ) {
				WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuestions.push(question_id);
			}

			$.ajax({
				url: ajaxurl,
				type: 'POST',
				dataType: 'json',
				data: {
					action: 'ld_qie_get_question_details',
					question_id: question_id,
					ld_qie_ajax_nonce: WN_LD_QIE_Vars.ajax_nonce,
				},
				beforeSend: function( jqXHR, settings ) {
					$('#ld_qie_loader_spinner').show();
				},
				success: function ( response, textStatus, jqXHR ) {

					if(WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.questionTable.find('.ld_qie_table').length === 0) {
						WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.processTable();
					}

					var i;
					var html = '';
					var row_number = WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.questionTable.find('tr').length;
					var allowed_cols = [
						'id',
						'answer_type',
						'title',
						'points',
						'question'
					];

					html += '<tr>';
					//html += '<td>' + row_number + '</td>';

					$.each(response.data, function(col, value) {
						if(allowed_cols.includes(col)) {
							html += '<td>' + truncateWithEllipses(value, 20) + '</td>';
						}
					});
					html += '<td><select class="ld_mqie_imported_quiz_indexes" name="ld_mqie_imported_quiz_indexes[]">';
					if( WN_LD_QIE_Vars.isSharedQuestionsAllowed!=1 ) { //Add blank option only when shared question is disbaled
						html += '<option></option>';
					}
					html += '</select></td>';
					html += '<td class="ld_qie_delete_question"><a href="#delete" class="dashicons dashicons-no" title="Delete" data-question_id="' + question_id + '"></a><input type="hidden" name="question_ids[]" value="' + question_id + '"></td>';
					html += '</tr>';

					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.questionTable.find('tr:last').after(html);

					if(row_number == 1) {
						$('.ld_qie_table').show();
					}

					var select = $('#ld_qie_question_search');
					select.val('').change();
					$('#ld_qie_selected_question_id').val('');
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.initQuizzesSelect2();
				},
				error: function( jqXHR, textStatus, errorThrown ) {
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.showMessage(jqXHR.responseJSON.status, jqXHR.responseJSON.message);
				},
				complete: function(jqXHR, textStatus) {
					$('#ld_qie_loader_spinner').hide();
				}

			});
		},
		initQuizzesSelect2: function() {

			$('.ld_mqie_imported_quiz_indexes').each(function(select_index, select) {

				var quizzes_data = [];

				$.each(WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.importedQuizzes, function(quiz_index, quiz_data) {
					quizzes_data.push({id:quiz_data.index,text:quiz_data.title});
				});

				$(select).select2({
					placeholder: 'Select Quiz',
					multiple: WN_LD_QIE_Vars.isSharedQuestionsAllowed==1,
					allowClear: true,
					data: quizzes_data
				});

				$(select).on('select2:select', function (e) {
					var data = e.params.data;
					var question_id = $(this).parent().parent('tr').find('.ld_qie_delete_question > a').data('question_id');
					var form_id = 'form#ld_qie_import_quizzes_form';
					var input_id = 'ld_qie_question_quiz_' + question_id + '_' + data.id;

					if( $('#' + input_id).length == 0 ) {
						$('<input>').attr({
							type: 'hidden',
							id: input_id,
							name: 'ld_qie_question_quizzes[' + question_id + '][]',
							value: data.id
						}).appendTo(form_id);
					}
				});

				$(select).on('select2:unselect', function (e) {
					var data = e.params.data;
					var question_id = $(this).parent().parent('tr').find('.ld_qie_delete_question > a').data('question_id');
					var form_id = 'form#ld_qie_import_quizzes_form';
					var input_id = 'ld_qie_question_quiz_' + question_id + '_' + data.id;

					$(form_id).find('#' + input_id).remove();

					if(WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuizQuestions['question_' + question_id]) {
						WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuizQuestions['question_' + question_id] = WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuizQuestions['question_' + question_id].filter(function(value) {
							return data.id != value;
						});
					}
				});
			});
		},
		initSelect2: function() {
			var select = $('#ld_qie_question_search');
			$(select).select2({
				//minimumInputLength: 3,
				ajax: {
					url: ajaxurl,
					dataType: 'json',
					data: function (params) {
						var query = {
							search: params.term,
							page: params.page || 1,
							action: 'ld_qie_search_questions',
							existing_question_ids: WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuestions,
							ld_qie_ajax_nonce: WN_LD_QIE_Vars.ajax_nonce,
						};

						return query;
					},
					processResults: function (data, params) {
						params.page = params.page || 1;

						return {
							results: data.data,
							pagination: {
								more: (params.page * 10) < data.count_filtered
							}
						};
					}
				}
			});

			$(select).on('select2:select', function (e) {
				var data = e.params.data;
				var question_id = data.id;

				if( !WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuestions.includes(question_id) ) {
					WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.existingQuestions.push(question_id);
				}

				$('#ld_qie_selected_question_id').val(question_id);
			});

		},
		initSettingQuizPostIDSelect2: function() {
			var select = $('#ld_qie_setting_quiz_select');
			$(select).select2({
				allowClear: true,
				//minimumInputLength: 3,
				ajax: {
					url: ajaxurl,
					dataType: 'json',
					data: function (params) {
						var query = {
							search: params.term,
							page: params.page || 1,
							action: 'ld_qie_search_quizzes',
							ld_qie_ajax_nonce: WN_LD_QIE_Vars.ajax_nonce,
						};

						return query;
					},
					processResults: function (data, params) {
						params.page = params.page || 1;

						return {
							results: data.data,
							pagination: {
								more: (params.page * 10) < data.count_filtered
							}
						};
					}
				}
			});

			$(select).on('select2:select', function (e) {
				var data = e.params.data;
				var question_id = data.id;

				$('#ld_qie_setting_quiz_post_id').val(question_id);
			});

			$(select).on('select2:clear', function (e) {
				$('#ld_qie_setting_quiz_post_id').val('');
			});

		},
		initImportLDPostTypeSelect2: function(drop_down_type) {
			var select = $('#ld_qie_quiz_listing_table .ld_qie_' + drop_down_type + '_dropdown');
			$(select).select2({
				allowClear: true,
				//minimumInputLength: 3,
				ajax: {
					url: ajaxurl,
					dataType: 'json',
					data: function (params) {
						var query = {
							search: params.term,
							page: params.page || 1,
							dropdown_type: drop_down_type,
							ld_qie_ajax_nonce: WN_LD_QIE_Vars.ajax_nonce,
							action: 'ld_qie_search_ld_post_type',
						};

						return query;
					},
					processResults: function (data, params) {
						params.page = params.page || 1;

						return {
							results: data.data,
							pagination: {
								more: (params.page * 5) < data.count_filtered
							}
						};
					}
				}
			});
		}
	};

	/**
	 * When the DOM is ready:
	 */
	jQuery( document ).ready( function( $ ) {
		WN_LD_QUIZ_IMPORT_EXPORT_ADMIN.init();

		$( '#ldqie_import_file' ).each( function() {
			var $input   = $( this ),
				$label   = $input.next( 'label' ),
				labelVal = $label.html();

			$input.on( 'change', function( e )
			{
				var fileName = '';

				if( this.files && this.files.length > 1 )
					fileName = ( this.getAttribute( 'data-multiple-caption' ) || '' ).replace( '{count}', this.files.length );
				else if( e.target.value )
					fileName = e.target.value.split( '\\' ).pop();

				if( fileName )
					$label.find( 'span' ).html( fileName );
				else
					$label.html( labelVal );
			});

			// Firefox bug fix
			$input
				.on( 'focus', function(){ $input.addClass( 'has-focus' ); })
				.on( 'blur', function(){ $input.removeClass( 'has-focus' ); });
		});


		var option = $( '#ldqie-question-display' ).val();

		if( option === 'multiple' ) {
			$( '.option-one' ).hide();
			$( '.option-all' ).show();
		} else if( option === 'single') {
			$( '.option-all' ).hide();
			$( '.option-one' ).show();
		}
		// Show related fields according to selected option
		$( '#ldqie-question-display' ).on( 'change', function( ){ 
			var option = $( this ).val();

			if( option === 'multiple' ) {
				$( '.option-one' ).hide();
				$( '.option-all' ).show();
			} else if( option === 'single') {
				$( '.option-all' ).hide();
				$( '.option-one' ).show();
			}

		} );

	});

	/**
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

	/*					PAGINATION
            - on change max rows select options fade out all rows gt option value mx = 5
            - append pagination list as per numbers of rows / max rows option (20row/5= 4pages )
            - each pagination li on click -> fade out all tr gt max rows * li num and (5*pagenum 2 = 10 rows)
            - fade out all tr lt max rows * li num - max rows ((5*pagenum 2 = 10) - 5)
            - fade in all tr between (maxRows*PageNum) and (maxRows*pageNum)- MaxRows
            */


	function getPagination(table) {
		var lastPage = 1;

		$('#maxRows')
			.on('change', function(evt) {
				//$('li.page-item').remove();						// reset pagination

				lastPage = 1;
				$('.ld_qie_pagination')
					.find('li')
					.slice(1, -1)
					.remove();
				var trnum = 0; // reset tr counter
				var maxRows = parseInt($(this).val()); // get Max Rows from select option

				if (maxRows == 5000) {
					$('.ld_qie_pagination').hide();
				} else {
					$('.ld_qie_pagination').show();
				}

				var totalRows = $(table + ' tbody tr').length; // numbers of rows
				$(table + ' tr:gt(0)').each(function() {
					// each TR in  table and not the header
					trnum++; // Start Counter
					if (trnum > maxRows) {
						// if tr number gt maxRows

						$(this).hide(); // fade it out
					}
					if (trnum <= maxRows) {
						$(this).show();
					} // else fade in Important in case if it ..
				}); //  was fade out to fade it in
				if (totalRows > maxRows) {
					// if tr total rows gt max rows option
					var pagenum = Math.ceil(totalRows / maxRows); // ceil total(rows/maxrows) to get ..

					/*if(pagenum > 1) {
                        pagenum = pagenum -1;
                    }*/
					//	numbers of pages
					for (var i = 1; i <= pagenum; ) {
						// for each page append pagination li
						$('.ld_qie_pagination #prev')
							.before(
								'<li class="page-item" data-page="' +
								i +
								'">\
                                                  <span>' +
								i++ +
								'<span class="sr-only"></span></span>\
                                                </li>'
							)
							.show();
					} // end for i
				} // end if row count > max rows
				$('.ld_qie_pagination [data-page="1"]').addClass('active'); // add active class to the first li
				$('.ld_qie_pagination li').on('click', function(evt) {
					// on click each page
					evt.stopImmediatePropagation();
					evt.preventDefault();
					var pageNum = $(this).attr('data-page'); // get it's number

					var maxRows = parseInt($('#maxRows').val()); // get Max Rows from select option

					if (pageNum == 'prev') {
						if (lastPage == 1) {
							return;
						}
						pageNum = --lastPage;
					}
					if (pageNum == 'next') {
						if (lastPage == $('.ld_qie_pagination li').length - 2) {
							return;
						}
						pageNum = ++lastPage;
					}

					lastPage = pageNum;
					var trIndex = 0; // reset tr counter
					$('.ld_qie_pagination li').removeClass('active'); // remove active class from all li
					$('.ld_qie_pagination [data-page="' + lastPage + '"]').addClass('active'); // add active class to the clicked
					// $(this).addClass('active');					// add active class to the clicked
					limitPagging();
					$(table + ' tr:gt(0)').each(function() {
						// each tr in table not the header
						trIndex++; // tr index counter
						// if tr index gt maxRows*pageNum or lt maxRows*pageNum-maxRows fade if out
						if (
							trIndex > maxRows * pageNum ||
							trIndex <= maxRows * pageNum - maxRows
						) {
							$(this).hide();
						} else {
							$(this).show();
						} //else fade in
					}); // end of for each tr in table
				}); // end of on click pagination list
				limitPagging();
			})
			.val(10)
			.change();

		// end of on select change

		// END OF PAGINATION
	}

	function limitPagging(){
		// alert($('.ld_qie_pagination li').length)

		if($('.ld_qie_pagination li').length > 7 ){
			if( $('.ld_qie_pagination li.active').attr('data-page') <= 3 ){
				$('.ld_qie_pagination li:gt(5)').hide();
				$('.ld_qie_pagination li:lt(5)').show();
				$('.ld_qie_pagination [data-page="next"]').show();
			}if ($('.ld_qie_pagination li.active').attr('data-page') > 3){
				$('.ld_qie_pagination li:gt(0)').hide();
				$('.ld_qie_pagination [data-page="next"]').show();
				for( let i = ( parseInt($('.ld_qie_pagination li.active').attr('data-page'))  -2 )  ; i <= ( parseInt($('.ld_qie_pagination li.active').attr('data-page'))  + 2 ) ; i++ ){
					$('.ld_qie_pagination [data-page="'+i+'"]').show();

				}

			}
		}
	}

	function truncateWithEllipses(string, max) {
		if (string.length > max) {
			return '<abbr title="' + string + '">' + string.substring(0, max) + '&hellip;</abbr>';
		}

		return string;
	};










$( document ).ready(function() {
	$(".qst-mrk-tbl-ldqie svg, .qst-mrk-tbl-ldqie i").click(function(){
		$(this).siblings('p').fadeToggle();
	});
});
	



})( jQuery );


