<?php
/**
 * License Options
 */

defined( "ABSPATH" ) || exit;

?>
<div class="ld-qie-error-logs">
    <header>
        <h3><?php esc_html_e( 'Debug Log', 'wn-ld-quiz-import-export' ); ?></h3>
    </header>


    <div class="des-row-debug">
    <p class="description">
        <?php
        printf(
        // Translators: placeholder is a link to WP_DEBUG documentation.
            esc_html__( '%s debug logs allows WooNinja\'s support team to identify the issue easily.', 'wn-ld-quiz-import-export' ),
            __('LearnDash Quiz Import/Export', 'wn-ld-quiz-import-export')
        );
        ?>
    </p>

    <div class="site-health-copy-buttons">
        <div class="copy-button-wrapper">
            <button type="button" class="button ld-qie-debug-copy-button" data-clipboard-text=""><?php _e('Copy to Clipboard', 'wn-ld-quiz-import-export'); ?></button>
            <span class="success hidden" aria-hidden="true">Copied!</span>
        </div>
    </div>
    </div>
    <div id="error-log-wrapper">

        <textarea rows="16" cols="80" class="code large-text ld-qie-code-box" class="large-text" name="wn-ld-qie-debug-logs" readonly>
            <?php
            // Read and display the debug log contents
            $debug_log_path = WP_CONTENT_DIR . '/debug.log';
            if (file_exists($debug_log_path)) {
                echo esc_textarea(file_get_contents($debug_log_path));
            } else {
                echo 'Debug log file not found.';
            }
            ?>
        </textarea>


    </div>
    <div class="error-log-info" style="margin-top: 1rem;">
        <a class="ld-qie-debug-clear-button" href="<?php echo add_query_arg( array( 'page' => 'wn-ld-quiz-import-export', 'tab' => 'debug_log', 'action' => 'download' ), admin_url( 'admin.php' ) );?>"><?php _e('Download', 'wn-ld-quiz-import-export'); ?></a>
    </div>
</div>