<?php
/**
 * Abort if this file is accessed directly.
 */
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<div id="ld_qie_general_options wn_wrap" class="ldqie-gencs-settngs">
    <form method="post">
        <table class="form-table">
            <tr>
                <th class="qst-mrk-tbl-ldqie"><label for="ld_qie_setting_quiz_post_id"><?php echo sprintf(__( 'Apply %s settings from:', 'wn-ld-quiz-import-export' ), learndash_get_custom_label_lower('quiz')); ?></label>
                    <i class="fas fa-question"></i>
                    <p class="description"><?php echo sprintf( __('Selected %s settings will apply on all imported %s. Keep it blank to import %s with their default settings.','wn-ld-quiz-import-export'), learndash_get_custom_label_lower('quiz'), learndash_get_custom_label_lower('quizzes'), learndash_get_custom_label_lower('quizzes') ); ?></p>
                </th>
                <td>
                    <select id="ld_qie_setting_quiz_select" data-placeholder="<?php echo sprintf(__('Type %s title to search', 'wn-ld-quiz-import-export'), learndash_get_custom_label_lower('quiz')); ?>" >
						<?php
						$selected_quiz_id = absint($this->options['setting_quiz_post_id']);
						if( !empty($selected_quiz_id) ): ?>
                            <option value="<?php echo $selected_quiz_id; ?>" selected="selected"><?php echo $selected_quiz_id; ?> - <?php echo get_the_title($selected_quiz_id); ?></option>
						<?php endif; ?>
                    </select>
                    <input type="hidden" id="ld_qie_setting_quiz_post_id" value="<?php echo $selected_quiz_id; ?>" name="ld_qie_settings[setting_quiz_post_id]">
                    
                </td>
            </tr>
			<?php if( current_user_can('manage_options') ): ?>
                <tr>
                    <th scope="row" class="qst-mrk-tbl-ldqie"><label for="ld_qie_required_capability"><?php echo sprintf(__( 'Minimum role to import %s:', 'wn-ld-quiz-import-export' ), learndash_get_custom_label_lower('quizzes')); ?></label>
                        <i class="fas fa-question"></i>
                        <p class="description"><?php echo sprintf( __('Select the minimum user role which is allowed to imported %s.','wn-ld-quiz-import-export'), learndash_get_custom_label_lower('quizzes') ); ?></p>
                    </th>
                    <td>
						<?php $selected_required_capability = $this->options['required_capability']; ?>
                        <select id="ld_qie_required_capability" name="ld_qie_settings[required_capability]">
                            <option value="manage_options" <?php selected( $selected_required_capability, 'manage_options' ); ?>><?php _e( 'Administrator' , 'wn-ld-quiz-import-export'); ?></option>
                            <option value="delete_others_posts" <?php selected( $selected_required_capability, 'delete_others_posts' ); ?>><?php _e( 'Editor', 'wn-ld-quiz-import-export' ); ?></option>
                            <option value="publish_posts" <?php selected( $selected_required_capability, 'publish_posts' ); ?>><?php _e( 'Author', 'wn-ld-quiz-import-export' ); ?></option>
                        </select>

                        
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="qst-mrk-tbl-ldqie"><?php _e( sprintf('Publish %s on import', learndash_get_custom_label_lower('quiz')), 'wn-ld-quiz-import-export' ); ?>
                    <i class="fas fa-question"></i>
                        <p class="description"><?php _e( sprintf('If checked %s will be published immediately on import, uncheck will keep %s status as pending.', learndash_get_custom_label_lower('quizzes'), learndash_get_custom_label_lower('quiz')), 'wn-ld-quiz-import-export' ); ?></p>
                    </th>
                    <td> <fieldset>
                            <legend class="screen-reader-text">
                                <span><?php _e( sprintf('Publish %s on import?', learndash_get_custom_label_lower('quiz')), 'wn-ld-quiz-import-export' ); ?></span>
                            </legend>
                            <label for="ld_qie_publish_quiz_on_import">
                                <input name="ld_qie_settings[publish_quiz_on_import]" type="checkbox" id="ld_qie_publish_quiz_on_import" value="1" <?php checked(true, !empty($this->options['publish_quiz_on_import']));?>>
								<?php _e('Yes', 'wn-ld-quiz-import-export'); ?>
                            </label>
                            
                        </fieldset>
                    </td>
                </tr>
			<?php endif; ?>
            <tr>
                <th scope="row" class="qst-mrk-tbl-ldqie"><?php _e( sprintf('Remove existing %s', learndash_get_custom_label_lower('questions')), 'wn-ld-quiz-import-export' ); ?>
                    <i class="fas fa-question"></i>
                     <p class="description"><?php _e( sprintf('If set, existing %s will be removed from the %s first, before importing new %s.', learndash_get_custom_label_lower('questions'), learndash_get_custom_label_lower('quiz'), learndash_get_custom_label_lower('questions')), 'wn-ld-quiz-import-export' ); ?></p>
                </th>
                <td> <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php _e( sprintf('Remove existing %s', learndash_get_custom_label_lower('questions')), 'wn-ld-quiz-import-export' ); ?></span>
                        </legend>
                        <label for="ld_qie_discard_old_questions">
                            <select name="ld_qie_settings[discard_old_questions]" id="ld_qie_discard_old_questions">
                                <option value="no" <?php selected('no', $this->options['discard_old_questions']);?>><?php _e('No'); ?></option>
                                <option value="quiz" <?php selected('quiz', $this->options['discard_old_questions']);?>><?php echo sprintf( __('Remove from %s only', 'wn-ld-quiz-import-export'), learndash_get_custom_label_lower('quiz') ); ?></option>
                                <option value="db" <?php selected('db', $this->options['discard_old_questions']);?>><?php echo sprintf( __('Remove from %s and database', 'wn-ld-quiz-import-export'), learndash_get_custom_label_lower('quiz') ); ?></option>
                            </select>
                        </label>
                       
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th scope="row" class="qst-mrk-tbl-ldqie"><?php _e( sprintf('Update duplicate %s', learndash_get_custom_label_lower('questions')), 'wn-ld-quiz-import-export' ); ?>
                <i class="fas fa-question"></i>
                    <p class="description"><?php _e( sprintf('Enable it to check, if %s with same title already exists in the %s then update it, instead of creating new.', learndash_get_custom_label_lower('question'), learndash_get_custom_label_lower('quiz')), 'wn-ld-quiz-import-export' ); ?></p>
                </th>
                <td> <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php _e( sprintf('Update duplicate %s', learndash_get_custom_label_lower('questions')), 'wn-ld-quiz-import-export' ); ?></span>
                        </legend>
                        <label for="ld_qie_update_duplicate_questions">
                            <input name="ld_qie_settings[update_duplicate_questions]" type="checkbox" id="ld_qie_update_duplicate_questions" value="1" <?php checked(true, !empty($this->options['update_duplicate_questions']));?>>
							<?php _e('Yes', 'wn-ld-quiz-import-export'); ?>
                        </label>
                        
                    </fieldset>
                </td>
            </tr>
            <tr>
                <th scope="row" class="qst-mrk-tbl-ldqie"><?php _e( sprintf('Add existing questions', learndash_get_custom_label_lower('quiz')), 'wn-ld-quiz-import-export' ); ?>
                <i class="fas fa-question"></i>
                    <p class="description"><?php _e( sprintf('If enabled, an extra step will be displayed during import process to attach existing %s, to imported %s.', learndash_get_custom_label_lower('questions'), learndash_get_custom_label_lower('quiz')), 'wn-ld-quiz-import-export' ); ?></p>
                </th>
                <td> <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php _e( sprintf('Import existing questions', learndash_get_custom_label_lower('quiz')), 'wn-ld-quiz-import-export' ); ?></span>
                        </legend>
                        <label for="ld_qie_import_existing_questions">
                            <input name="ld_qie_settings[import_existing_questions]" type="checkbox" id="ld_qie_import_existing_questions" value="1" <?php checked(true, !empty($this->options['import_existing_questions']));?>>
							<?php _e('Yes', 'wn-ld-quiz-import-export'); ?>
                        </label>
                        
                    </fieldset>
                </td>
            </tr>
            

            <!-- Activity Log -->
            <tr>
                <th scope="row" class="qst-mrk-tbl-ldqie"><?php _e( 'Enable Activity Logs', 'wn-ld-quiz-import-export' ); ?>
                <i class="fas fa-question"></i>
                <p class="description"><?php _e( sprintf('Enable this option to generate import activity logs and send to our support team.'), 'wn-ld-quiz-import-export' ); ?></p>
                </th>
                <td> <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php _e( 'Enable Activity Logs', 'wn-ld-quiz-import-export' ); ?></span>
                        </legend>
                        <label for="ld_qie_activity_log">
                            <input name="ld_qie_settings[activity_log]" type="checkbox" id="ld_qie_activity_log" value="1" <?php checked(true, !empty($this->options['activity_log']));?>>
							<?php _e('Yes', 'wn-ld-quiz-import-export'); ?>
                        </label>
                        
                        
                    </fieldset>
                </td>
            </tr>
            
            <!-- Debug Log -->
            <tr>
                <th scope="row" class="qst-mrk-tbl-ldqie"><?php _e( 'Enable Debug Logs', 'wn-ld-quiz-import-export' ); ?>
                <i class="fas fa-question"></i>
                <p class="description"><?php _e( sprintf('Enable this option to generate import debug logs and send to our support team.'), 'wn-ld-quiz-import-export' ); ?></p>
                    <p class="description" style="color: red;"><?php _e( sprintf('Warning: Debug logs can increase rapidly and occupy lot of server storage, be sure to enable it only when needed.'), 'wn-ld-quiz-import-export' ); ?></p>

                </th>
                <td> <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php _e( 'Enable Debug Logs', 'wn-ld-quiz-import-export' ); ?></span>
                        </legend>
                        <label for="ld_qie_debug_log">
                            <input name="ld_qie_settings[debug_log]" type="checkbox" id="ld_qie_debug_log" value="1" <?php checked(true, !empty($this->options['debug_log']));?>>
                            <?php _e('Yes', 'wn-ld-quiz-import-export'); ?>
                        </label>
                        
                        
                    </fieldset>
                </td>
            </tr>
        </table>
        <p class="submit">

            <input type="submit" value="<?php _e( 'Update Settings', 'wn-ld-quiz-import-export' ); ?>"
                   class="button-primary"/>
        </p>
		<?php wp_nonce_field( 'ld_qie_settings_general', 'ld_qie_settings_general_field' ); ?>
    </form>
</div>