<?php 

$ldqie_quiz_settings        = get_option( '__ldqie_plugin_quiz_settings' );
$ldqie_allowed_users            = isset( $ldqie_quiz_settings['ldqie_allowed_users'] ) ? $ldqie_quiz_settings['ldqie_allowed_users'] : '';
$ldqie_question_completion      = isset( $ldqie_quiz_settings['ldqie_question_completion'] ) ? $ldqie_quiz_settings['ldqie_question_completion'] : '';
$ldqie_question_number          = isset( $ldqie_quiz_settings['ldqie_question_number'] ) ? $ldqie_quiz_settings['ldqie_question_number'] : '';
$ldqie_quiz_autostart           = isset( $ldqie_quiz_settings['ldqie_quiz_autostart'] ) ? $ldqie_quiz_settings['ldqie_quiz_autostart'] : '';
$ldqie_question_display         = isset( $ldqie_quiz_settings['ldqie_question_display'] ) ? $ldqie_quiz_settings['ldqie_question_display'] : 0;
$ldqie_question_display_result  = isset( $ldqie_quiz_settings['ldqie_question_display_result'] ) ? $ldqie_quiz_settings['ldqie_question_display_result'] : 'multiple';
$ldqie_question_per_page        = isset( $ldqie_quiz_settings['ldqie_question_per_page'] ) ? $ldqie_quiz_settings['ldqie_question_per_page'] : 0; 
$ldqie_question_overview        = isset( $ldqie_quiz_settings['ldqie_question_overview'] ) ? $ldqie_quiz_settings['ldqie_question_overview'] : 0;
?>

<div class="wn_wrap ld-qei-quiz-settings">
    
   <form method="post">
       
        <!-- ldqie nonce field -->
        <?php wp_nonce_field( "ldqie_quiz_settings_nonce", "ldqie_quiz_settings_nonce" ); ?>

        <!-- ldqie quiz settings table -->
        <table class="form-table">
            
            <!-- ldqie allowed users field -->
            <tr>
                <th class="qst-mrk-tbl-ldqie">
                    <label class="ldqie-setting-title" for="ldqie-allowed-users">
                        <?php esc_html_e( 'Allowed Users', 'learndash' ); ?>
                    </label>
                    <i class="fas fa-question"></i>
                    <p class="ldqie-setting-description"> 
                        <?php esc_html_e( 'Only registered users can take this Quiz', 'learndash' ); ?>
                    </p>
                </th>
                <td>
                    <input type="checkbox" class="ldqie-setting-input" name="ldqie-allowed-users" <?php if ( 'on' === $ldqie_allowed_users ) echo 'checked="checked"'; ?> />
                    
                </td>
            </tr>

            <!-- ldqie question completion field -->
            <tr>
                <th class="qst-mrk-tbl-ldqie">
                    <label class="ldqie-setting-title" for="ldqie-question-completion">
                        <?php esc_html_e( 'Question Completion', 'learndash' ); ?>
                    </label>
                    <i class="fas fa-question"></i>
                        <p class="ldqie-setting-description"> 
                        <?php esc_html_e( 'All Questions required to complete', 'learndash' ); ?>
                    </p>
                </th>
                <td>
                    <input type="checkbox" class="ldqie-setting-input" name="ldqie-question-completion" <?php if ( 'on' === $ldqie_question_completion ) echo 'checked="checked"'; ?>>
                    
                </td>
            </tr>

            <!-- ldqie question number field -->
            <tr>
                <th class="qst-mrk-tbl-ldqie">
                    <label class="ldqie-setting-title" for="ldqie-question-number">
                        <?php esc_html_e( 'Question Numbering', 'learndash' ); ?>
                    </label>
                    <i class="fas fa-question"></i>
                        <p class="ldqie-setting-description"> 
                        <?php esc_html_e( 'All Questions will show numbers', 'learndash' ); ?>
                    </p>
                </th>
                <td>
                    <input type="checkbox" class="ldqie-setting-input" name="ldqie-question-number" <?php if ( 'on' === $ldqie_question_number ) echo 'checked="checked"'; ?>>
                    
                </td>
            </tr>

            <!-- ldqie autostart field -->
            <tr>
                <th class="qst-mrk-tbl-ldqie">
                    <label class="ldqie-setting-title" for="ldqie-quiz-autostart">
                        <?php esc_html_e( 'Autostart', 'learndash' ); ?>
                    </label>
                    <i class="fas fa-question"></i>
                        <p class="ldqie-setting-description"> 
                        <?php esc_html_e( 'Start automatically, without the "Start Quiz" button', 'learndash' ); ?>
                    </p>
                </th>
                <td>
                    <input type="checkbox" class="ldqie-setting-input" name="ldqie-quiz-autostart" <?php if ( 'on' === $ldqie_quiz_autostart ) echo 'checked="checked"'; ?>>
                    
                </td>
            </tr>

             <!-- ldqie question display field -->
            <tr>
                <th class="qst-mrk-tbl-ldqie">
                    <label class="ldqie-setting-title" for="ldqie-quiz-question-display">
                        <?php esc_html_e( 'Question Display', 'learndash' ); ?>
                    </label>
                       
                </th>
                <td>
                    <select id="ldqie-question-display" name="ldqie-question-display" >
                        <option value="0">Select Option</option>
                        <option value="single" <?php if ( 'single' === $ldqie_question_display ) echo 'selected="selected"'; ?>>One Question at a time</option>
                        <option value="multiple" <?php if ( 'multiple' === $ldqie_question_display ) echo 'selected="selected"'; ?>>All question at once or paginated</option>
                    </select>
                    
                    
                    <select class="ldqie-setting-title option-one" name="ldqie-question-display-result" >
                        <option value="0">Select Option</option>
                        <option value="end" <?php if ( 'end'  === $ldqie_question_display_result ) echo 'selected="selected"'; ?>>Display results at the end only</option>
                        <option value="each" <?php if ( 'each' === $ldqie_question_display_result ) echo 'selected="selected"'; ?>>Display results after each submitted answer</option>
                    </select>

                    <!-- <label class="ldqie-setting-title option-one" for="ldqie-display-back">
                        <?php //esc_html_e( 'Display Back Button', 'learndash' ); ?>
                        <input type="checkbox" name="" value="Display back button">
                    </label> -->

                    <label class="ldqie-setting-title option-all" for="ldqie-question-per-page">
                        <input type="number" name="ldqie-question-per-page" value="<?php echo $ldqie_question_per_page; ?>">
                        <?php esc_html_e( 'questions per page (0 = all)', 'learndash' ); ?>
                    </label>
                
                </td>
            </tr>

            <!-- ldqie question display field -->
            <tr>
                <th class="qst-mrk-tbl-ldqie">
                    <label class="ldqie-setting-title" for="ldqie-question-overview">
                        <?php esc_html_e( 'Question Overview Table', 'learndash' ); ?>
                    </label>
                    <i class="fas fa-question"></i>
                     <p class="ldqie-setting-description"> 
                        <?php esc_html_e( 'An overview table will be shown for all questions.', 'learndash' ); ?>
                    </p>
                </th>
                <td>
                    <input type="checkbox" name="ldqie-question-overview" <?php if ( 'on' === $ldqie_question_overview ) echo 'checked="checked"'; ?>>
                   
                
                </td>
            </tr>
            
        </table>
        <div class="submit">
            <input type="submit" name="ldqie_save_settings_options" class="button-primary" value="<?php esc_attr_e( 'Update Settings', 'wn-ld-quiz-import-export' ); ?>">
        </div>
    </form>


</div>