jQuery(document).ready(function() {
    /* JS code for downloading quiz report from frontend
     */

    jQuery("body").delegate(".wdm-export", "click", function(e) {
        e.preventDefault();

        var that = jQuery(this);
        var ref_id = that.attr('data-ref_id');
        if (that.hasClass('wdm-exp-csv'))
            var format = 'csv';
        if (that.hasClass('wdm-exp-xls'))
            var format = 'xls';
        jQuery("#wdm_exp_form_" + wdm_export_obj.wdm_nonce).remove(); // removes previously generated form
        jQuery("#wdm_error").remove(); // removes previously generated errors

        // that.append('<img src="' + wdm_export_obj.loader_link + '" height=20 style="margin-top:15px;" id="wdm_loader" />');
        if (ref_id !== "" && ref_id !== "undefined") {

            var refs = ref_id.split(',');

            if (refs.length > 1) {
                if (typeof jQuery('.entry-content').block !== "undefined") {
                    jQuery('.entry-content').block({
                        message: '<h4>Processing...</h4>',
                        css: {
                            border: '3px solid #a00'
                        }
                    });
                }
                prepareZip(format, ref_id, 0);
            } else {
                that.find('form').remove();
                var html_str = '<form id="wdm_exp_form_' + wdm_export_obj.wdm_nonce + '" method="post" action="" target="_blank" style="display:none;">' +
                    '<input name="wdm_format" type="hidden" value="' + format + '">' +
                    '<input name="ref_id" type="hidden" value="' + ref_id + '">' +
                    '<input name="wdm_nonce" type="hidden" value="' + wdm_export_obj.wdm_nonce + '">' +
                    '</form>';
                that.append(html_str);
                that.find('form').submit();
                jQuery("#wdm_loader").remove();
                //     }
            }
        }
    });
});

function prepareZip(format, ref_id, page){
    jQuery.ajax({
        type : "post",
        url : wdm_export_obj.ajax_url,
        data : {
            action: 'wdm_export_statistics',
            wdm_format: format,
            ref_id: ref_id,
            page: page,
            wdm_nonce: wdm_export_obj.wdm_nonce
        },
        success: function(response) {
            if(response.trim() != '0'){
                page++;
                prepareZip(format, ref_id, page);
            }else{
                jQuery('.wdm-exp-'+format).find('form').remove();
                var html_str = '<form id="wdm_exp_form_' + wdm_export_obj.wdm_nonce + '" method="post" action="" target="_blank" style="display:none;">' +
                    '<input name="wdm_format" type="hidden" value="' + format + '">' +
                    '<input name="ref_id" type="hidden" value="' + ref_id + '">' +
                    '<input name="wdm_nonce" type="hidden" value="' + wdm_export_obj.wdm_nonce + '">' +
                    '<input name="export_zip" type="hidden" value="true">' +
                    '</form>';
                jQuery('.wdm-exp-'+format).append(html_str);
                if (typeof jQuery('.entry-content').unblock !== "undefined"){
                    jQuery('.entry-content').unblock();
                }
                // console.log(html_str);
                jQuery('#wdm_exp_form_' + wdm_export_obj.wdm_nonce).submit();
            }
        }
    });
}