<?php

namespace uncanny_learndash_codes;

if ( ! defined( 'WPINC' ) ) {
	die;
}
$is_edit       = false;
$group_details = [];
if ( isset( $_GET['edit'] ) && isset( $_GET['group_id'] ) ) {
	$is_edit = true;
	global $wpdb;
	$group_details = $wpdb->get_row( "SELECT * FROM {$wpdb->prefix}" . Config::$tbl_groups . " WHERE ID = " . absint( $_GET['group_id'] ) );
	if ( isset( $group_details->character_type ) ) {
		$group_details->character_type = maybe_unserialize( $group_details->character_type );
	}
}
?>

    <div class="uo-ulc-admin wrap">
        <div class="ulc">

			<?php

			// Add admin header and tabs
			$tab_active = 'uncanny-learndash-codes-create';
			include Config::get_template( 'admin-header.php' );

			?>

            <div class="ulc__admin-content">
                <div id="page_create_coupon">
                    <div class="uo-admin-section">
                        <div class="uo-admin-header">
							<?php if ( isset( $_GET['edit'] ) ) { ?>
                                <div class="uo-admin-title"><?php echo __( 'Modify Codes', 'uncanny-learndash-codes' ); ?></div>
								<?php
							} else {
								?>
                                <div class="uo-admin-title"><?php echo __( 'Generate Codes', 'uncanny-learndash-codes' ); ?></div>
								<?php
							} ?>
                            <div class="uo-admin-description">
								<?php printf( __( 'Generate your codes from this page to allow users to register directly into LearnDash Groups and courses. For more information on how to use the plugin, please refer to the <a href="%s" target="_blank" >Knowledge Base articles</a>.', 'uncanny-learndash-codes' ), esc_url( 'https://www.uncannyowl.com/article-categories/uncanny-learndash-code' ) ); ?>
                            </div>
                        </div>

                        <div class="uo-clear"></div>

                        <div class="uo-admin-block">
                            <form id="uncanny-form-create-coupon" method="post" action="" autocomplete="off">
                                <div class="uo-admin-form">
                                    <div class="uo-admin-field" id="tr-coupon-for">
                                        <div class="uo-admin-label"><?php echo __( 'Generate code for', 'uncanny-learndash-codes' ); ?></div>

                                        <label class="uo-radio">
                                            <input name="coupon-for"
			                                       <?php if ( ! $is_edit ){ ?>checked="checked"<?php } ?>
                                                   type="radio" id="coupon-for-course" value="course"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'LearnDash Course(s)', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>

                                        <label class="uo-radio">
                                            <input name="coupon-for" id="coupon-for-group" type="radio"
                                                   value="group"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'LearnDash Group(s)', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>
                                    </div>
                                    <div class="uo-admin-field" id="tr-course-courses">
                                        <div class="uo-admin-label"><?php echo __( 'Courses', 'uncanny-learndash-codes' ); ?></div>

                                        <select class="uo-admin-select" name="coupon-courses[]" id="coupon-courses"
                                                multiple="multiple" required>
			                                <?php foreach ( GenerateCodes::$courses as $course ) {
				                                $selected = '';
				                                if ( $is_edit && 'course' === $group_details->code_for && in_array( $course->ID, maybe_unserialize( $group_details->linked_to ) ) ) {
					                                $selected = 'selected="selected"';
				                                }
				                                ?>
                                                <option <?php echo $selected; ?>
                                                        value="<?php echo esc_attr( $course->ID ) ?>"><?php echo esc_attr( $course->post_title ) ?></option>
			                                <?php } ?>
                                        </select>
                                    </div>
                                    <div class="uo-admin-field uo-hidden" id="tr-course-group">
                                        <div class="uo-admin-label"><?php echo __( 'Groups', 'uncanny-learndash-codes' ); ?></div>

                                        <select class="uo-admin-select" name="coupon-group[]" id="coupon-group"
                                                multiple="multiple">
			                                <?php foreach ( GenerateCodes::$groups as $group ) {
				                                $selected = '';
				                                if ( $is_edit && 'group' === $group_details->code_for && in_array( $group->ID, maybe_unserialize( $group_details->linked_to ) ) ) {
					                                $selected = 'selected="selected"';
				                                }
				                                ?>
                                                <option <?php echo $selected ?>
                                                        value="<?php echo esc_attr( $group->ID ) ?>"><?php echo esc_attr( $group->post_title ) ?></option>
			                                <?php } ?>
                                        </select>
                                    </div>
                                    <div class="uo-admin-field" id="tr-coupon-paid-unpaid">
                                        <div class="uo-admin-label"><?php echo __( 'Code type', 'uncanny-learndash-codes' ); ?></div>

                                        <label class="uo-radio">
                                            <input name="coupon-paid-unpaid"
			                                       <?php if ( $is_edit && 'default' === $group_details->paid_unpaid ){ ?>checked="checked"<?php } ?>
			                                       <?php if ( ! $is_edit ){ ?>checked="checked"<?php } ?>
                                                   type="radio"
                                                   id="coupon-paid-default" value="default"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'Default', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>

                                        <label class="uo-radio">
                                            <input name="coupon-paid-unpaid" type="radio" id="coupon-paid-paid"
			                                       <?php if ( $is_edit && 'paid' === $group_details->paid_unpaid ){ ?>checked="checked"<?php } ?>
                                                   value="paid"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'Paid', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>

                                        <label class="uo-radio">
                                            <input name="coupon-paid-unpaid" type="radio" id="coupon-paid-unpaid"
			                                       <?php if ( $is_edit && 'unpaid' === $group_details->paid_unpaid ){ ?>checked="checked"<?php } ?>
                                                   value="unpaid"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'Unpaid', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>
                                    </div>
                                    <div class="uo-admin-field">
                                        <div class="uo-admin-label"><?php echo __( 'Number of uses per code', 'uncanny-learndash-codes' ); ?></div>

                                        <input class="uo-admin-input" name="coupon-max-usage" type="number" required
                                               id="coupon-max-usage"
                                               min="1"
		                                       <?php if ( $is_edit ){ ?>value="<?php echo $group_details->issue_max_count ?>"
		                                       <?php }else{ ?>value="1"<?php } ?> required>
                                    </div>
                                    <div class="uo-admin-field">
                                        <div class="uo-admin-label"><?php echo __( 'Expiry date', 'uncanny-learndash-codes' ) . ' ' . __( '(optional)', 'uncanny-learndash-codes' ); ?></div>

                                        <input class="uo-admin-input" name="expiry-date" type="date" id="expiry-date"
                                               value="<?php if ( $is_edit && '0000-00-00 00:00:00' !== (string) $group_details->expire_date ) {
			                                       echo date( 'Y-m-d', strtotime( $group_details->expire_date ) );
		                                       } ?>" min="<?php echo date( 'Y-m-d' ) ?>" max="2999-12-31">
                                    </div>
                                    <div class="uo-admin-field">
                                        <div class="uo-admin-label"><?php echo __( 'Expiry time', 'uncanny-learndash-codes' ) . ' ' . __( '(optional)', 'uncanny-learndash-codes' ); ?></div>

                                        <input class="uo-admin-input" name="expiry-time" type="time" id="expiry-time"
                                               value="<?php if ( $is_edit && '0000-00-00 00:00:00' !== (string) $group_details->expire_date ) {
			                                       echo date( 'H:i', strtotime( $group_details->expire_date ) );
		                                       } ?>">
                                    </div>
                                    <div class="uo-admin-field<?php if ( $is_edit ) {
										echo ' uo-hidden';
									} ?>" id="tr-generation-type">
                                        <div class="uo-admin-label"><?php echo __( 'Generation method', 'uncanny-learndash-codes' ); ?></div>

                                        <label class="uo-radio">
                                            <input name="generation-type" checked="checked" type="radio"
                                                   value="auto"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'Auto-generate codes', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>

                                        <label class="uo-radio">
                                            <input name="generation-type" type="radio" value="manual"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'Manually enter codes', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>
                                    </div>
                                    <div class="uo-admin-field method-auto<?php if ( $is_edit ) {
										echo ' uo-hidden';
									} ?>">
                                        <div class="uo-admin-label"><?php echo __( 'Number of unique codes', 'uncanny-learndash-codes' ); ?></div>

                                        <input class="uo-admin-input" name="coupon-amount" type="number" required
                                               id="coupon-amount" min="1" value="1" required>
                                    </div>
                                    <div class="uo-admin-field method-auto<?php if ( $is_edit ) {
										echo ' uo-hidden';
									} ?>">
                                        <div class="uo-admin-label"><?php echo __( 'Number of characters', 'uncanny-learndash-codes' ); ?></div>

                                        <input class="uo-admin-input" name="coupon-length" type="number" required
                                               id="coupon-length" value="20" required>
                                    </div>
                                    <div class="uo-admin-field method-auto <?php if ( $is_edit ) {
	                                    echo ' uo-hidden';
                                    } ?>" id="tr-type-of-characters">
                                        <div class="uo-admin-label"><?php echo __( 'Type of characters', 'uncanny-learndash-codes' ); ?></div>
                                        <label class="uo-checkbox">
                                            <input name="coupon-character-type[]"
			                                       <?php if ( $is_edit && in_array( 'lowercase-letters', $group_details->character_type ) ){ ?>checked="checked"<?php } ?>
                                                   type="checkbox"
                                                   id="coupon-character-lower" value="lowercase-letters"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'Lowercase letters', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>

                                        <label class="uo-checkbox">
                                            <input name="coupon-character-type[]" type="checkbox" id="coupon-character-upper"
			                                       <?php if ( $is_edit && in_array( 'uppercase-letters', $group_details->character_type ) ){ ?>checked="checked"<?php } ?>
			                                       <?php if ( ! $is_edit ){ ?>checked="checked"<?php } ?>
                                                   value="uppercase-letters"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'Uppercase letters', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>

                                        <label class="uo-checkbox">
                                            <input name="coupon-character-type[]" type="checkbox" id="coupon-character-numbers"
			                                       <?php if ( $is_edit && in_array( 'numbers', $group_details->character_type ) ){ ?>checked="checked"<?php } ?>
			                                       <?php if ( ! $is_edit ){ ?>checked="checked"<?php } ?>
                                                   value="numbers"/>
                                            <div class="uo-checkmark"></div>
                                            <span class="uo-label">
											<?php echo __( 'Numbers', 'uncanny-learndash-codes' ); ?>
										</span>
                                        </label>
                                    </div>
                                    
                                    <div class="uo-admin-field method-auto<?php if ( $is_edit ) {
										echo ' uo-hidden';
									} ?>">
                                        <div class="uo-admin-label"><?php echo __( 'Dash separation', 'uncanny-learndash-codes' ); ?></div>

                                        <input class="uo-admin-input" name="coupon-dash" type="text" required
                                               id="coupon-dash" value="4-4-4-4-4">
                                    </div>
                                    
                                    <div class="uo-admin-field method-auto<?php if ( $is_edit ) {
										echo ' uo-hidden';
									} ?>" id="tr-coupon-prefix">
                                        <div class="uo-admin-label"><?php echo __( 'Prefix', 'uncanny-learndash-codes' ) . ' ' . __( '(optional)', 'uncanny-learndash-codes' ); ?></div>
                                        <input class="uo-admin-input regex-alphanumeric" name="coupon-prefix"
                                               type="text"
                                               id="coupon-prefix"
                                               value=""/>
                                        <div class="uo-admin-description">
											<?php echo __( 'Only alphanumeric characters allowed.', 'uncanny-learndash-codes' ); ?>
                                        </div>
                                    </div>

                                    <div class="uo-admin-field method-auto<?php if ( $is_edit ) {
										echo ' uo-hidden';
									} ?>" id="tr-coupon-suffix">
                                        <div class="uo-admin-label"><?php echo __( 'Suffix', 'uncanny-learndash-codes' ) . ' ' . __( '(optional)', 'uncanny-learndash-codes' ); ?></div>

                                        <input class="uo-admin-input regex-alphanumeric" name="coupon-suffix"
                                               type="text"
                                               id="coupon-suffix"
                                               value=""/>
                                        <div class="uo-admin-description">
											<?php echo __( 'Only alphanumeric characters allowed.', 'uncanny-learndash-codes' ); ?>
                                        </div>
                                    </div>

                                    <div class="uo-admin-field method-auto<?php if ( $is_edit ) {
										echo ' uo-hidden';
									} ?>" id="coupon-presuffix">
                                        <div id="coupon-render">
										<span class="coupon-render__title">
											<?php echo __( 'Sample code', 'uncanny-learndash-codes' ); ?>
										</span>
                                            <span id="coupon-render__fakecode"></span>
                                        </div>
                                    </div>
                                    <div class="uo-admin-field method-manual uo-hidden">
                                        <div class="uo-admin-label"><?php echo __( 'Enter one code per line', 'uncanny-learndash-codes' ); ?></div>
                                        <div class="uo-admin-description"><?php printf( __( 'Codes may only contain alphanumeric characters and hyphens and must be between <u>4</u> and <u>%s</u> characters long.', 'uncanny-learndash-codes' ), GenerateCodes::$manual_code_length ); ?>
                                        </div>
                                        <textarea name="manual-codes" rows="10" class="uo-admin-field uo-admin-textarea"
                                                  placeholder="" id="manual-codes"></textarea>
                                    </div>
                                    <input type="hidden" name="_custom_wpnonce"
                                           value="<?php echo wp_create_nonce( Config::get_project_name() ) ?>">
									<?php if ( isset( $_GET['group_id'] ) ) { ?>
                                        <input type="hidden" name="group_id"
                                               value="<?php echo absint( $_GET['group_id'] ) ?>"/>
                                        <input type="hidden" name="edit_group"
                                               value="yes"/>
									<?php } ?>
                                    <div class="uo-admin-field">
										<?php if ( ! $is_edit ) { ?>
                                            <input type="submit" name="submit" id="submit" class="uo-admin-form-submit"
                                                   value="<?php _e( 'Generate Codes', 'uncanny-learndash-codes' ); ?>">
										<?php } else { ?>
                                            <input type="submit" name="submit" id="submit" class="uo-admin-form-submit"
                                                   value="<?php _e( 'Update Codes', 'uncanny-learndash-codes' ); ?>">
										<?php } ?>
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
	<?php
if ( $is_edit ) { ?>
    <script type="application/javascript">
        jQuery(window).ready(function () {
            var t = setTimeout(function () {
				<?php if ( 'group' === $group_details->code_for ) { ?>
                jQuery('input:radio[name="coupon-for"][value="group"]').trigger('click');
				<?php
				} elseif ( 'course' === $group_details->code_for ) { ?>
                jQuery('input:radio[name="coupon-for"][value="course"]').trigger('click');
				<?php
				}?>
            }, 100)
        });
    </script>
<?php }