<?php

namespace uncanny_learndash_codes;
$atts = $GLOBALS['atts'];
if ( isset( $_GET['registered'] ) ) { ?>
	<div class="registered">
		<h2><?php _e( 'Congratulations! You have successfully registered your account.', 'uncanny-learndash-codes' ) ?></h2>
	</div>
	<?php
} else {
	$default = array(
		'redirect'      => '',
		'code_optional' => 'no',
		'auto_login'    => 'yes',
		'role'          => 'subscriber',
	);
	if ( is_multisite() ) {
		$options = get_blog_option( get_current_blog_id(), 'uncanny-codes-custom-registration-atts', $default );
	} else {
		$options = get_option( 'uncanny-codes-custom-registration-atts', $default );
	}
	?>

	<form id="uncanny-learndash-codes-registration_form" class="uncanny-learndash-codes-registration uncanny-learndash-codes" action="" method="POST">
		<fieldset>
			<table class="table table-form form-table clr">
				<tr>
					<td class="label"><label
								for="uncanny-learndash-codes-user_first"><?php echo __( 'First Name', 'uncanny-learndash-codes' ); ?></label>
					</td>
					<td class="input"><input name="uncanny-learndash-codes-user_first"
					                         id="uncanny-learndash-codes-user_first"
							<?php /* placeholder="<?php echo __( 'First Name', 'uncanny-learndash-codes' ); ?>" */ ?>
							                 required="required"
							                 value="<?php if ( isset( $_POST['uncanny-learndash-codes-user_first'] ) ) {
								                 echo $_POST['uncanny-learndash-codes-user_first'];
							                 } ?>"
							                 type="text"/></td>
				</tr>
				<tr>
					<td class="label"><label
								for="uncanny-learndash-codes-user_last"><?php echo __( 'Last Name', 'uncanny-learndash-codes' ); ?></label>
					</td>
					<td class="input"><input name="uncanny-learndash-codes-user_last"
					                         id="uncanny-learndash-codes-user_last"
					                         required="required"
							<?php /* placeholder="<?php echo __( 'Last Name', 'uncanny-learndash-codes' ); ?>" */ ?>
							                 value="<?php if ( isset( $_POST['uncanny-learndash-codes-user_last'] ) ) {
								                 echo $_POST['uncanny-learndash-codes-user_last'];
							                 } ?>"
							                 type="text"/></td>
				</tr>
				<tr>
					<td class="label"><label
								for="uncanny-learndash-codes-user_email"><?php echo __( 'Email / Username', 'uncanny-learndash-codes' ); ?></label>
					</td>
					<td class="input"><input name="uncanny-learndash-codes-user_email"
					                         id="uncanny-learndash-codes-user_email"
					                         required="required"
							<?php /* placeholder="<?php echo __( 'Email / Username', 'uncanny-learndash-codes' ); ?>" */ ?>
							                 value="<?php if ( isset( $_POST['uncanny-learndash-codes-user_email'] ) ) {
								                 echo $_POST['uncanny-learndash-codes-user_email'];
							                 } ?>"
							                 class="required" type="email"/></td>
				</tr>
				<tr>
					<td class="label"><label
								for="password"><?php echo __( 'Password', 'uncanny-learndash-codes' ); ?></label>
					</td>
					<td class="input"><input name="uncanny-learndash-codes-user_pass" id="password"
					                         required="required"
					                         minlength="6"
					                         class="required"
							<?php /* placeholder="<?php echo __( 'Password', 'uncanny-learndash-codes' ); ?>" */ ?>
							                 type="password"/></td>
				</tr>
				<tr>
					<td class="label"><label
								for="password_again"><?php echo __( 'Confirm password', 'uncanny-learndash-codes' ); ?></label>
					</td>
					<td class="input"><input name="uncanny-learndash-codes-user_pass_confirm" id="password_again"
					                         required="required"
					                         minlength="6"
					                         class="required"
							<?php /* placeholder="<?php echo __( 'Confirm Password', 'uncanny-learndash-codes' ); ?>" */ ?>
							                 type="password"/></td>
				</tr>
				<tr>
					<td class="label"><label
								for="code_registration"><?php echo __( 'Registration code', 'uncanny-learndash-codes' ); ?></label>
					</td>
					<td class="input"><input name="uncanny-learndash-codes-code_registration" id="code_registration"
					                         <?php if ( 'no' === $options['code_optional'] ){ ?>required="required"
					                         class="required"<?php } ?>
					                         value="<?php if ( isset( $_POST['uncanny-learndash-codes-code_registration'] ) ) {
						                         echo $_POST['uncanny-learndash-codes-code_registration'];
					                         } ?>"
							<?php /* placeholder="<?php echo __( 'Registration Code', 'uncanny-learndash-codes' ); ?>" */ ?>
							                 type="text"/></td>
				</tr>
				<?php
				if ( ! empty( $term_conditions ) ) {
					?>
                    <tr>
                        <td class="label"><label
                                    for="terms_conditions"><?php echo __( 'Terms & Conditions', 'uncanny-learndash-codes' ); ?></label>
                        </td>
                        <td class="input"><input name="uo_codes_terms_conditions" id="terms_conditions"
                                                 required="required"
                                                 class="required"
                                                 value="<?php if ( isset( $_POST['uo_codes_terms_conditions'] ) ) {
							                         echo sanitize_email( $_POST['uo_codes_terms_conditions'] );
						                         } ?>"
                                                 type="checkbox"/><?php echo $term_conditions; ?>
                        </td>
                    </tr>
				<?php } ?>
				<tr>
					<td class="label">
						<input type="hidden" name="_uo_nonce"
						       value="<?php echo wp_create_nonce( Config::get_project_name() ); ?>"/>
						<input type="hidden" name="redirect_to"
						       value="<?php echo $atts['redirect']; ?>"/>
						<input type="hidden" name="key"
						       value="<?php echo crypt( get_the_ID(), 'uncanny-learndash-codes' ); ?>"/></td>
					<td class="input"><input type="submit" class="btn btn-default"
					                         value="<?php echo __( 'Register Your Account', 'uncanny-learndash-codes' ); ?>"/>
					</td>
				</tr>
			</table>
		</fieldset>
	</form>
<?php } ?>